2009-09-11  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/Makefile.in: Include __doglegm__.m.

2009-09-11  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fminunc.m: Simplify damped BFGS calculation.

2009-09-09  Tatsuro Matsuoka <tmacchant@yahoo.co.jp>

	* plot/gnuplot_drawnow.m: Avoid flickering windows by avoding
	'set multiplot' / 'unset multiplot' for gnuplot's windows and
	wxt terminals.

2009-09-06  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/__dogleg__.m: Revert to revision 22c8272af34b.
	* optimization/__doglegm__.m: New source.
	* optimization/fminunc.m: Use it.

2009-09-08  John W. Eaton  <jwe@octave.org>

	* io/dlmwrite.m: Fix typo.

2009-09-06  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Change initial TR step strategy.
	* optimization/fminunc.m: Change initial TR step strategy.

2009-09-08  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fminunc.m: Correct extra output params handling.

2009-09-06  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Update initial factor.
	* optimization/fminunc.m: Update initial factor.

2009-09-06  Jaroslav Hajek  <highegg@gmail.com>

	* general/arrayfun.m: Fix test.

2009-09-05  John W. Eaton  <jwe@octave.org>

	* plot/hold.m: Correctly toggle hold state.  Set both figure and
	axes "nextplot" property when turning hold state on.
	* plot/ishold.m: Check figure and axes nextplot properties.
	Accept axes or figure handle argument.

2009-09-01  Christophe Tournery  <christophe.tournery@illusonic.com>

	* audio/wavread.m: Rename data_size from obsolete ck_size.

2009-08-31  David Bateman  <dbateman@free.fr>

	* general/quadgk.m: More care with the interval length and
	convergence of contour integrals.

2009-08-29  John W. Eaton  <jwe@octave.org>

	* time/datestr.m: Add missing semicolon.

2009-08-17  Jaroslav Hajek  <highegg@gmail.com>

	* general/int2str.m: Convert to double before calling log10.

2009-08-26  E. Joshua Rigler  <relgire@gmail.com>

	* time/datestr.m: Set tm.isdst to -1 before calling mktime.

2009-08-25  John W. Eaton  <jwe@octave.org>

	* plot/__gnuplot_open_stream__.m: Save pid in __plot_stream__ property.
	* plot/gnuplot_drawnow.m: Wait for gnuplot subprocess when printing.
	From Ben Abbott <bpabbott@mac.com>, Rob Mahurin <rob@utk.edu>, and
	Dmitri Sergatskov <dasergatskov@gmail.com>.

2009-08-22  David Bateman  <dbateman@free.fr>

	* plot/__add_datasource__.m: Correct test for "datasource" argument
	* plot/__countour__.m: Add edgecolor properties and make it an alias
	for linecolor with the value "auto" being "flat" for the edgecolor.

2009-08-17  John W. Eaton  <jwe@octave.org>

	* help/print_usage.m: Make it work again if an argument is given.

2009-08-17  Jaroslav Hajek  <highegg@gmail.com>

	* help/print_usage: Allow calling from methods.

2009-08-11  Jaroslav Hajek  <highegg@gmail.com>

	* general/diff.m: Remove.
	* general/Makefile.in: Update.

2009-08-07  Jaroslav Hajek  <highegg@gmail.com>

	* general/flipdim.m: Fix omitted check.

2009-08-07  Jaroslav Hajek  <highegg@gmail.com>

	* general/flipdim.m: Simplify.

2009-08-07  Olli Saarela  <olli.saarela@gmail.com>

	* plot/__gnuplot_ginput__.m: If read fails to return data, sleep
	before trying again.

2009-08-06  John W. Eaton  <jwe@octave.org>

	* plot/compass.m, plot/feather.m: Simplify argument processing.

2009-08-06  John W. Eaton  <jwe@octave.org>

	* statistics/base/std.m: Correctly work along singleton dimension.
	From Christoph Ellenberger <C.Ellenberger@gmx.net>.

2009-08-06  Jaroslav Hajek  <highegg@gmail.com>

	* geometry/griddata.m: Optimize.

2009-08-06  Olaf Till  <olaf.till@uni-jena.de>

	* geometry/griddata.m: Linearize arrays.

2009-08-04  Pieter Eendebak  <pieter.eendebak@gmail.com> 

	* set/setxor.m: Added test for cell arrays of strings.

2009-08-05  Olli Saarela  <olli.saarela@gmail.com>

	* plot/__gnuplot_get_var__.m: If read fails to return data, sleep
	before trying again.

2009-08-04  Pieter Eendebak  <pieter.eendebak@gmail.com> 

	* set/setxor.m: Support cell arrays of strings.

2009-08-03  Jaroslav Hajek  <highegg@gmail.com>

	* general/sub2ind.m: Remove source.
	* general/ind2sub.m: Remove source.
	* general/Makefile.in: Update.

2009-08-02  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Avoid the flickering x11 window seen with
	rapid replots by avoidng setting multiplot mode. This fix only
	functions for a single axes with no image objects.
	* plot/__go_draw_figure__.m: Move 'set multiplot' to gnuplot_drawnow.

2009-07-31  Jaroslav Hajek  <highegg@gmail.com>

	* general/common_size: Optimize.

2009-07-29  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Fix ticklabels specified as 2D character
	array.
	* plot/__go_draw_axes__.m: Ignore fontnames for the Lua-TikZ terminal.
	* plot/gnuplot_drawnow.m: Support the gnuplot terminal Lua-TikZ.
	* plot/print.m: Support the gnuplot terminal Lua-TikZ.

2009-07-29  Jaroslav Hajek  <highegg@gmail.com>

	* plot/gnuplot_binary.m: Fix typo.

2009-07-27  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fzero.m: Use "global" parameter in str2func.
	* optimization/fsolve.m: Ditto.
	* optimization/fminunc.m: Ditto.

2009-07-24  John W. Eaton  <jwe@octave.org>

	* plot/gnuplot_binary.in: Accept arguments in addition to program name.
	* plot/__gnuplot_open_stream__.m: Pass additional args to gnuplot.

2009-07-23  Ben Abbott  <bpabbott@mac.com>

	* plot/legend.m: Add an hggroup demo using bar(). Include clf()
	in each demo.

2009-07-23  John W. Eaton  <jwe@octave.org>

	* image/imread.m: Fix test.

	* plot/legend.m: Process arguments in order, child objects in
	reverse.  Remove special case for single label.  New demos.

2009-07-23  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* testfun/assert.m: Fix string comparison bug.

2009-07-20  Jaroslav Hajek  <highegg@gmail.com>

	* testfun/assert.m: Use less strict checking for exact matches.

2009-07-17  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Use "layer" property to decide whether
	to send "set border front" or "set border layerdefault" to plot
	stream.  Don't send "set border front" to plot stream for image data.

2009-07-15  Robert T. Short  <octave@phaselockedsystems.com>

	* polynomial/conv.m: Fix Matlab incompatibility.  New tests.

2009-07-09  John W. Eaton  <jwe@octave.org>

	* plot/axis.m: Return 4-element vector for 2-d view.
	From David Woodburn <david.woodburn@gmail.com>.

	* sparse/nonzeros.m: Always return a column vector.  New tests.

2009-06-25  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Apply feature 'wxt_has_size'.
	* plot/__gnuplot_has_feature__.m: Add feature 'wxt_has_size' for
	gnuplot >= 4.3.0.

2009-06-24  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_figure__.m: Modify the implicit margin when gnuplot's
	output is landscape.
	* plot/gnuplot_drawnow.m: Simplify handling of the figure's paper
	properties, and rely upon listeners for units conversion. Minor code
	improvements.
	* plot/print.m: Reimplement -landscape and -portrait to modify the
	properties papersize and paperposition. Produce compatible results
	when paperpositionmode=='auto'. Simplfy units conversion and
	restoration of initial figure properties.

2009-06-24  Marco Caliari  <marco.caliari@univr.it>

	* general/repmat.m: Call kron, not spkron.

2009-06-24  Alexander Mamonov  <mamonov@gmail.com>

	* plot/plot3.m: Correctly compute offsets for property/value pairs.

2009-06-23  Alexander Mamonov  <mamonov@gmail.com>

	* image/imread.m: New test.

2009-06-22  Ben Abbott  <bpabbott@mac.com>

	* plot/grid.m: Add missing semi-colon. Allow grid to be toggled
	on/off for each axis independently. Gnuplot requires that minor
	ticks accompany minor ticks. Add demo.
	* plot/__go_draw_axes__.m: For {x,y,z}scale == 'log' use 10 minor
	ticks.

2009-06-22  John W. Eaton  <jwe@octave.org>

	* statistics/base/var.m: Return zero for scalar case.  Handle
	empty arguments in a Matlab compatible way.  New tests.

2009-06-19  Jaroslav Hajek  <highegg@gmail.com>

	* set/ismember.m: Properly handle NaNs. Fix test.

2009-06-18  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Change the default x11 fontspec from '*,0'
	to ',0' to avoid delays searching the fontpath for a font named '*'.

2009-06-18  Daniel Gualberto  <daniel@alacer.com.br>

	* polynomial/mpoles.m: Fix infinite loop for a multiplicity of
	poles at zero. Test added.

2009-06-17  Bertrand Roessli  <bertrand.roessli@psi.ch>

	* plot/axis.m: Fix bug for 'axis tight' with multiple surface plots,
	add demo.

2009-06-15  Ben Abbott  <bpabbott@mac.com>

	* plot/quiver.m: Add 'clf' to demos.
	* plot/plotyy.m: Consider dataaspectratiomode before changing
	dataaspectratio.

2009-06-14  Ben Abbott  <bpabbott@mac.com>

	* plot/plotyy.m: Fix compatibility with subplot, add listeners for
	dataaspectratio, and add a demo.

2009-06-14  Eric Chassande-Mottin  <echassandemottin@gmail.com>

	* plot/plotyy.m: Correct behavior when there is no currentfigure.

2009-06-14  Jaroslav Hajek  <highegg@gmail.com>

	* set/ismember.m: Reimplement using lookup & unique.

2009-06-11  Ben Abbott  <bpabbott@mac.com>

	* plot/print.m: Fix logic associated with 'have_ghostscript'.
	* plot/gnuplot_drawnow.m: Add support for pdfcairo and pngcairo
	terminals. Minor code improvements.
	* plot/print.m: Associate '-mono' with devices ps, ps2, eps, & eps2.
	Have '-mono' render all objects in monochrome.
	For pdf or png output, favor gnuplot's cairo terminals.

2009-06-10  Marco Caliari  <marco.caliari@univr.it>

	* plot/hold.m: Add demo including a hggroup.
	* plot/__go_draw_axes__.m: Fix order when pushing group children onto
	the axes kid list.
	* general/quadgk.m: Better waypoint transform.

2009-06-09  David Bateman  <dbateman@free.fr>

	* general/quadgk.m: Add test case and fixed doubly infinite 
	waypoint transform for x = 0 case.

2009-06-09  Marco Caliari  <marco.caliari@univr.it>

	* general/quadgk.m: Fix doubly infinite transformation to the finite
	interval.

2009-06-08  Ben Abbott  <bpabbott@mac.com>

	* plot/axis.m: Fix bug for 'axis tight' with multiple lines, modify
	demo.

2009-06-07  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* testfun/assert.m: Fix texinfo bug.

2009-06-04  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Change strncmpi(scale,'lo') to 
	strcmp(scale,'log').
	* plot/__go_draw_axes__.m: For log-scale axes use format '10^{%T}'.

2009-06-03  Ben Abbott  <bpabbott@mac.com>

	* plot/colorbar.m: Colorbar 'handlevisibility' should be 'on'.
	Add additional demos which illustrate problems with the present
	implementation.
	* plot/__gnuplot_has_feature__.m: Change version for 
	"x11_figure_position" from ">=4.3.0" to ">=4.2.5".
	* plot/__scatter__.m: If the color spec is empty, set using
	__next_line_color__.
	* plot/scatter3.m: Add demos.

2009-06-03  Jaroslav Hajek  <highegg@gmail.com>

	* polynomial/polyfit.m: Fix test.

2009-06-02  Rafael Laboissiere  <rafael@debian.org>

	* help/doc.m: In test, look also for the gzipped version of the
	info_file

2009-05-29  John W. Eaton  <jwe@octave.org>

	* plot/__gnuplot_get_var__.m: Insert missing semicolon.

2009-05-28  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Set x2range when xaxislocation=='top' and set
	y2range when yaxislocation=='right'. Simplified support for ticklabel
	separator '|'.
	* plot/__go_draw_figure__.m: Change 'autoscale fix' to 'autoscale keepfix'.
	* plot/colorbar.m: Add demos.

2009-05-28  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Add support for ticklabel separator '|'.

2009-05-28  Jaroslav Hajek  <highegg@gmail.com>

	* sparse/bicgstab.m: Improve preconditioning; avoid explicit inverse.
	* sparse/cgs.m: Improve preconditioning; avoid explicit inverse.

2009-05-28  Radek Salac  <salac.r@gmail.com>

	* sparse/bicgstab.m: New output when calling without arguments.
	Time optimization - remove certain checks linked to preconditioner which
	are unacceptably slow.
	* sparse/cgs.m: New output when calling without arguments.
	Time optimization - remove certain checks linked to preconditioner which
	are unacceptably slow. Rename internal variable to match bicgstab.

2009-05-27  Rik Wehbring  <rdrider0-list@yahoo.com>

	* plot/axis.m: Update documentation to reflect addition of "tight" option.

2009-05-27  Rik Wehbring  <rdrider0-list@yahoo.com>

	* ismember.m: Update examples to remove incorrect reference to residue function

2009-05-27  John W. Eaton  <jwe@octave.org>

	* image/imwrite.m: Convert indexed images to RGB before calling
	__magick_write__.

	* image/imshow.m: In demo, convert image to rgb before scaling
	components.  Use imread instead of loadimage.

2009-05-26  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Fix rendering of overlaping images and
	line objects. Add demos as well.

2009-05-27 S�ren Hauberg  <hauberg@gmail.com>

	* geometry/delaunay.m: Support cellstr's as options. 

2009-05-27  Jaroslav Hajek  <highegg@gmail.com>

	* plot/imshow.m: Fix handling of indexed images.

2009-05-26 S�ren Hauberg  <hauberg@gmail.com>

	* help/__makeinfo__.m: Support several @seealso's in one text. 

2009-05-26  John W. Eaton  <jwe@octave.org>

	* plot/colorbar.m: Downcase location argument.

2009-05-26 Carlo de Falco  <kingcrimson@tiscali.it>

	* pkg/pkg.m: Add "version" field to the structure returned by "pkg
	describe". 

2009-05-25  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Properly render TeX symbols for x11, when
	using the anonymous fontname="*".

2009-05-24 Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* plot/gnuplot_drawnow.m: single-quote output name to allow backslash
	characters as filesep under windows
	* plot/print.m: Support ps->pdf using ghostscript under windows, check
	for %GSC% environment variable.

2009-05-24 Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* plot/__gnuplot_version__.m: quote gnuplot_binary to allow spaces
	in file name

2009-05-22  John W. Eaton  <jwe@octave.org>

	* general/interp3.m: Don't require interpolation grid to have same
	size as data.  From Kris Thielemans <kris.thielemans@imperial.ac.uk>.

2009-05-19 Carlo de Falco  <kingcrimson@tiscali.it>

	* pkg/pkg.m: Fix a bug when quering only one non installed package
	with "pkg describe".

2009-05-14  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/__fdjac__.m: Support central differences.
	* optimization/fsolve.m: Support central differences. Add FinDiffType
	option.
	* optimization/fminunc.m: Ditto.

2009-05-17  Rik Wehbring  <rdrider0-list@yahoo.com>

	* *.m: Simplify Texinfo documentation in .m scripts by removing 
	redundant @iftex calls

2009-05-17  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fminunc.m: Improve TR updating strategy.
	* optimization/fsolve.m: Ditto.

2009-05-15  John W. Eaton  <jwe@octave.org>

	* general/nargchk.m: Don't generate error if output is struct.
	Uncomment some additional tests.
	From Alois Schloegl <alois.schloegl@tugraz.at>

2009-05-14  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fminunc.m: Import the step adaptation strategy
	improvements from fsolve.

2009-05-08  Ben Abbott  <bpabbott@mac.com>

	* plot/__gnuplot_has_feature__.m: Add feature "key_has_font_properties".
	* plot/__go_draw_axes__.m: Have legend inherit the axis font-name/size.

2009-05-04  Peter O'Gorman  <pogma@thewrittenword.com>

	* miscellaneous/tar.m, miscellaneous/unpack.m:
	Pass "xvf" to tar instead of "-x -v -f".

2009-04-30  Ben Abbott  <bpabbott@mac.com>

	* plot/__gnuplot_has_feature__.m: Change version for 
	"x11_figure_position", >4.2.4 to >=4.3.0.

2009-04-30  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: For figure position, treat 'wxt' as 'x11'.

2009-04-30  Jaroslav Hajek <highegg@gmail.com>

	* statistics/base/range.m: Fix behavior when dim is specified.

2009-04-28  Ben Abbott  <bpabbott@mac.com>

	* plot/print.m: Fix typo: 'gswin23c' -> 'gswin32c'. Suppress stderr
	when printing. New sub-function: fix_eps_bbox(). Add option, "-tight",
	to replace the gnuplot bbox with a tight bbox for eps-files.

2009-04-23  Ben Abbott  <bpabbott@mac.com>

	* plot/print.m: Use Ghostscript rather than ImageMagick's 'convert'.
	Support printing to non-postscript printers. Do not change the output
	filename when using Ghostscript. When using lpr to print the output,
	send it without filtering (unix), or as if it were binary (pc).

2009-04-22  Robert T. Short  <octave@phaselockedsystems.com>

	* general/isa.m: Correctly report multiple layers of class hierarchy.

2009-04-20  John W. Eaton  <jwe@octave.org>

	* special-matrix/vander.m: Update tests.

2009-04-20  Jaroslav Hajek  <highegg@gmail.com>

	* special-matrix/vander.m: Allow second argument.
	* special-matrix/polyfit.m: Simplify.

2009-04-17  Rik  <rdrider0-list@yahoo.com>

	* plot/__marching_cube__.m: Correct help Texinfo so manual will compile

2009-04-16  Marco Caliari  <marco.caliari@univr.it>

	* toeplitz.m: Treat separately the sparse case.

2009-04-14  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* plot/__marching_cube__.m: Add help text.
	* plot/isonormals.m: Add help text and tests.

2009-04-14  David Bateman  <dbateman@free.fr>

	* plot/__patch__.m: Set default facecolor to [0,1,0].
	
2009-04-12  Aravindh Krishnamoorthy  <aravindh.k.dev@gmail.com>

	* special-matrix/hadamard.m: Fix a documentation mistake.

2009-04-14  Jaroslav Hajek  <highegg@gmail.com>

	* polynomial/polyaffine.m: New function.
	* polynomial/polyscale.m: Remove.
	* polynomial/polytrans.m: Remove.

2009-04-12  Ben Abbott  <bpabbott@mac.com>

	* plot/__gnuplot_open_stream__.m: New function.
	* plot/__gnuplot_get_var__.m: If not open, open the gnuplot plot stream.
	* plot/gnuplot_drawnow.m: Replace internal function open_gnuplot_stream
	with new __gnuplot_open_stream__.

2009-04-11  David Bateman  <dbateman@free.fr>

	* geometry/trisurf.m: New file.
	* geometry/Makefile.in (SOURCES): Add it here.
	* geometry/trimesh.m: Convert to using 3D patches.
	* plot/__go_draw_axes__.m: Allow 3D filled triangular patches.
	* plot/__patch__.m: Rewrite to allow update of dependent variables
	with listener functions amongst themselves.
	* plot/patch.m: Add 3D demo. Update the documentation.

2009-04-11  Martin Helm  <martinh@sirius.mhelm.de>

	* plot/__interp_cube__.m, plot/__marching_cube__.m, isocolors.m,
	isonnormals.m, isosurface.m: New files.
	* plot/Makefile.in (SOURCES): Add them here.

2009-04-11  Jaroslav Hajek  <highegg@gmail.com>

	* set/intersect.m: Add missing branch.

2009-04-10  Ben Abbott  <bpabbott@mac.com>

	* plot/print.m: If no pdf support in gnuplot, then "convert" from
	postscript to pdf. For gnuplot 4.2.x use "convert", if it is present,
	to produce pdf output. Only render a full page for ps/pdf output.
	Rename variable, "size" to "canvas_size". Reformat help text to
	eliminate unintended spaces. Minor improvements to the code.
	* plot/gnuplot_drawnow.m: Place canvas size at the end of the terminal
	spec, and remove trailing semicolon. Minor improvments to the code.
	* plot/__gnuplot_get_var__.m: If fifo fails to open, try 2nd time.

2009-04-08  Jaroslav Hajek  <highegg@gmail.com>

	* special-matrix/vander.m: Optimize.

2009-04-07  Ben Abbott  <bpabbott@mac.com>

	* plot/Makefile.in: Remove __gnuplot_default_font__.m from SOURCES.

2009-04-06  Ben Abbott  <bpabbott@mac.com>

	* plot/__gnuplot_get_var__.m: Correct misleading error messages, and
	remove dangling/commented code.
	* plot/__gnuplot_default_font__.m: Remove file from archive.
	* plot/__go_draw_axes__.m, plot/__go_draw_figure__.m: Allow
	fontsize to be specified for all terminals with fontname == "*".

2009-04-06  Jaroslav Hajek  <highegg@gmail.com>

	* polynomial/polyscale.m: New function.
	* polynomial/polytrans.m: New function.

2009-04-06  Jaroslav Hajek  <highegg@gmail.com>

	* special-matrix/pascal.m: Fix, optimize & extend.

2009-04-06  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/vech.m: Optimize.

2009-04-06  Jaroslav Hajek  <highegg@gmail.com>

	* special-matrix/toeplitz.m: Optimize.

2008-04-03  David Bateman  <dbateman@free.fr>

	* plot/__scatter__.m: correct indexing of cdata.x

2009-04-03  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fminunc.m: New function.
	* optimization/Makefile.in: Update.
	* optimization/__dogleg__: Allow general quadratics.

2009-04-02  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Include gnuplot command termination when
	plotting image.

2009-04-02  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Fix title placement for gnuplot 4.2.x.

2009-04-02  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Fix test.

2009-03-30  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: New subfunction create_fontspec(). Allow
	fontsize to be specified when the fontname is anonymous.

2009-03-30  Ben Abbott  <bpabbott@mac.com>

	* plot/__gnuplot_default_font__.m: New function: determine gnuplot's
	terminal dependent default font.
	* plot/__go_draw_figure__.m: Substitute gnuplot default font when
	"fontname" = "*".

2009-03-29  John W. Eaton  <jwe@octave.org>

	* testfun/Makefile.in (SOURCES): Add rundemos.m to the list.

2009-03-29  Ben Abbott  <bpabbott@mac.com>

	* plot/print.m: For eps output the bounding box should represent the
	figure's position.

2009-03-28  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Always set figure property "__plot_stream__"
	to the active gnuplot steam. Permits __gnuplot_get_var__ to return to
	proper result for all gnuplot streams.

2009-03-27  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Properly position the title for 3D plots
	when using the gnuplot (v4.3+) backend.

2009-03-27  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/expm.m: Fix order of outputs from balance.

2009-03-25  Kai Habel  <kai.habel@gmx.de>

	* general/gradient.m: Fix calculation for more than two
	dimensions.  Change interpretation of vector arguments from
	spacing to coordinates.  New tests.

2009-03-25  John W. Eaton  <jwe@octave.org>

	* mkdoc: Pass full file name to gethelp.
	* gethelp.cc (main): Handle second argument.  Write comment with
	full file name to output.

2009-03-24  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: When printing, pass scalar plot_stream
	to __gnuplot_draw_figure__, and close all plot streams when done.

2009-03-24  John W. Eaton  <jwe@octave.org>

	* general/isa.m: Handle parent classes.

2009-03-23  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Check that gnuplot has internal variable
	"GPVAL_TERMINALS".
	* plot/__gnuplot_has_feature__.m: Add "variable_GPVAL_TERMINALS".

2009-03-21  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Verify the gnuplot terminal is supported.
	* plot/__gnuplot_get_var__.m: Add function to get gnuplot variables.
	* plot/print.m: Restore the behavior for option -S<num>,<num>.

2009-03-19  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m (guarded_eval): Simplify & fix missing
	semicolon.

2009-03-17  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/__fdjac__.m: Pass in fvec to save one evaluation.
	* optimization/fsolve.m: Avoid redundant reevaluation when using
	FD jacobians. Document how it can be done with user jacobians.  Make
	first iteration special and call outputfcn after it. Skip updates
	unless two successful iterations have occured.
	* optimization/__dogleg__.m: Add missing alpha in the zero-gradient
	case.
	* optimization/fsolve.m: Remove autodg (not used), simplify.

2009-03-14  Jaroslav Hajek  <highegg@gmail.com>

	* statistics/base/var.m: a -> x.

2009-03-13  Jaroslav Hajek  <highegg@gmail.com>

	* statistics/base/mean.m: Simplify.
	* statistics/base/meansq.m: Optimize.
	* statistics/base/center.m: Fix behvaior with vectors, simplify.
	* statistics/base/std.m: Simplify using `center'.
	* statistics/base/var.m: Ditto.
	* statistics/base/cov.m: Ditto.

2009-03-13  Jaroslav Hajek  <highegg@gmail.com>

	* general/repmat.m: Use subscript pairs rather than forming Kronecker
	products.

2009-03-11  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Unset the {x,y,z}ticks when initializing
	each axis. Set ticklabels when the ticklabels are empty and when
	ticklabelmode=="manual".

2009-03-11  Marco Caliari  <marco.caliari@univr.it>

	* plot/axis.m: Implement "square" and "equal" options, conditional
	on how octave positions gnuplot axes. Place the "title()" and
	"axis()" commands after "plot()" in the demos.

2009-03-09  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m (do_tics): Fix typo (xaxislocation ->
	yaxislocation).

2009-03-09  John W. Eaton  <jwe@octave.org>

	* help/lookfor.m (search_cache): Also match function names.

	* pkg/pkg.m, help/gen_doc_cache.m, help/lookfor.m:
	Use doc-cache instead of DOC for doc cache file.

2009-03-09  Jaroslav Hajek  <highegg@gmail.com>

	* general/accumarray.m: Reorder tests. Call either "sparse" or
	__accumarray_sum__ for the default summation case.
	* statistics/base/histc.m: Reimplement using lookup & accumarray.

2009-03-08  S�ren Hauberg  <hauberg@gmail.com>

	* statistics/base/histc.m: New function.

2009-03-06  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Preserve the order of axes' children
	when pruning the handles for the {x,y,z}labels and title.
	* plot/legend.m: Change demo to add colors to lines. This change
	reveals the problem (above) with the ordering of the axes' children.

2009-03-05  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/condest.m: Use lu rather than splu. Use relative tols
	for tests.

2009-03-05  John W. Eaton  <jwe@octave.org>

	* deprecated/spdiag.m: Ensure sparse result.

2009-03-05  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Preserve column vector orientation for
	the axes children while removing the axis label & title handles.

2009-03-03  Jaroslav Hajek  <highegg@gmail.com>

	* polynomial/polyval.m: Implement using Horner scheme.

2009-03-03  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Fix unintended shift of plot image for
	the gnuplot postscript+eps terminal.

2009-03-02  Jaroslav Hajek  <highegg@gmail.com>

	* pkg/pkg.m (fix_depends): Fix & simplify splitting the string.

2009-03-02  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* set/complement.m, set/union.m: Remove reference to deprecated
	function create_set.

2009-03-01  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Do not render axis labels twice when
	their handles are visible, but do render objects with hidden
	handles.

2009-03-01  Ben Abbott  <bpabbott@mac.com>

	* general/num2str.m: Trivial bug fix. Recent switch from split()
	to strsplit() produced cells rather than character data.

2009-03-01  Ben Abbott  <bpabbott@mac.com>

	* plot/colorbar.m: Bug fix. Allow hidden colorbars to be deleted,
	and replace existing colorbar when a new one is created. Additional
	demos are included to verify these behaviors.

2009-02-28  Ben Abbott  <bpabbott@mac.com>

	* plot/__actual_axis_position__.m: Include file missed in prior
	changeset.

2009-02-28  Ben Abbott  <bpabbott@mac.com>

	* plot/print.m, plot/gnuplot_drawnow.m: Add compatible support for
	specificying resolution of bitmap terminals, "-r<num>".

	* plot/gnuplot_drawnow.m: Check that canvas size is only specified
	one time.

	* plot/gnuplot_drawnow.m, plot/__go_draw_figure__.m: Support papersize,
	paperposition properties. Accommodate gnuplot's implicit margins for
	postscript terminals. Remove internal function get_canvassize().

	* plot/gnuplot_drawnow.m:
	Terminate gnuplot "set term ..." with semicolon.
	Specify vector terminals sizes in floating point.
	Rename internal function isbackend() to output_to_screen().
	Rename internal function gnuplot_term() to gnuplot_default_term().
	Rename internal function isbitmap() to term_units_are_pixels().
	Minor changes for coding conventions.

	* plot/__actual_axis_position__.m, Makefile.in: New function to
	determine position of rendered axes, including the effect of the
	aspect ratio.
	* plot/__gnuplot_has_feature__.m: Add new feature
	"screen_coordinates_for_{lrtb}margin".
	* plot/__go_draw_axes__.m, plot/colorbar.m: Enable axes to be positioned
	using {lrtb}margins.
	* plot/colorbar.m: Add to, and modify, demos.

	* plot/print.m: Remove non-functional/commented code.
	* plot/__go_draw_figure__.m: Remove non-functional code.
	* plot/__gnuplot_has_feature__.m: Remove non-functional code.

	* plot/quiver3.m: Add "clf" and "colormap(jet(64))" to demo.

2009-02-27  John W. Eaton  <jwe@octave.org>

	* set/complement.m: Call unique, not create_set.
	* set/unique.m: Style fix for docstring.
	* deprecated/create_set.m: Move here from set/create_set.m.
	Always return a row vector, as documented.

	* set/Makefile.in (SOURCES): Remove create_set.m from the list.
	* deprecated/Makefile.in (SOURCES): Add create_set.m to the list.

	* general/num2str.m: Call strsplit instead of split.

	* strings/strsplit.m: Style fixes.

2009-02-27  Jaroslav Hajek  <highegg@gmail.com>

	* strings/strsplit.m: Check also nargin.

2009-02-26  John W. Eaton  <jwe@octave.org>

	* deprecated/split.m: Add warning, not about version.

2009-02-26  Jaroslav Hajek  <highegg@gmail.com>

	* strings/strsplit.m: New function.
	* strings/split.m: Move to deprecated/.
	* strings/Makefile.in: Update.
	* deprecated/Makefile.in: Update.

	* general/int2str.m: Use strsplit instead of split.
	* general/num2str.m: Ditto.
	* help/__makeinfo__.m: Ditto.
	* help/lookfor.m: Ditto.
	* miscellaneous/compare_versions.m: Ditto.
	* miscellaneous/tar.m: Ditto.
	* miscellaneous/unpack.m: Ditto.
	* miscellaneous/what.m: Ditto.
	* miscellaneous/zip.m: Ditto.
	* pkg/pkg.m: Ditto.
	* strings/strtok.m: Ditto.
	* testfun/rundemos.m: Ditto.

2009-02-25  John W. Eaton  <jwe@octave.org>

	* Makefile.in (distclean maintainer-clean): Remove tags and TAGS
	in distclean target.

2009-02-25  Jaroslav Hajek  <highegg@gmail.com>

	* help/lookfor.m: Vectorize the path splitting using mat2cell.
	Extract new path elements using setdiff.

2009-02-25  John W. Eaton  <jwe@octave.org>

	* plot/pie.m: Use numel to check sizes of X and LABELS instead of
	using size_equal.  From Andy Buckle <andybuckle@gmail.com>.

	* help/lookfor.m: Split original path into cell array and compare
	elements with strcmp.  Suppress warnings and errors when getting
	help text from function files.

2009-02-24  John W. Eaton  <jwe@octave.org>

	* help/gen_doc_cache.m: Don't compress output file.  By default,
	write to DOC, not DOC.gz.  Don't save empty cache.

	* help/lookfor.m: Use doc_cache_file to get location of DOC file.

2009-02-24  Jason Riedy  <jason@acm.org>

	* pkg/pkg.m (generate_lookfor_cache): Generate a DOC file for each
	directory.

	* help/gen_doc_cache.m: Call __makeinfo__, not makeinfo.

2009-02-24  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Update niter after each iteration, not just
	a succesful one.

2009-02-08  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* configure.in: AC_SUBST ac_config_files

	* Makefile.in:  Add make targets for configuration files
	and config.status.

2009-02-23  John W. Eaton  <jwe@octave.org>

	* plot/fplot.m: Fix nargin check.
	From Joel Parker <Joel.Parker@radiancetech.com>.

2009-02-20  Steffen Groot  <steffen.groot@technolution.eu>

	* plot/__patch__.m: Correct indexing of varargin.

2009-02-20  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/dmult.m: Remove.
	* linear-algebra/Makefile.in: Update.
	* deprecated/dmult.m: Move here; revert to the 3.0.x version.
	* deprecated/Makefile.in: Update.
	* statistics/models/logistic_regression_derivatives.m: Replace dmult
	by diagonal matrices.

2009-02-19  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Only send figure position info to gnuplot
	when the plot stream is first opened. Revert usage of hidden axes 
	to store prior figure "position" property.

2009-02-19  John W. Eaton  <jwe@octave.org>

	* general/__isequal__.m, general/__splinen__.m, image/__img__.m,
	image/__img_via_file__.m, miscellaneous/__xzip__.m,
	optimization/__all_opts__.m, optimization/__dogleg__.m,
	optimization/__fdjac__.m, path/__extractpath__.m,
	plot/__add_datasource__.m, plot/__area__.m,
	plot/__axes_limits__.m, plot/__axis_label__.m, plot/__bar__.m,
	plot/__bars__.m, plot/__clabel__.m, plot/__contour__.m,
	plot/__default_plot_options__.m, plot/__errcomm__.m,
	plot/__errplot__.m, plot/__ezplot__.m,
	plot/__gnuplot_has_feature__.m, plot/__gnuplot_version__.m,
	plot/__go_close_all__.m, plot/__go_draw_axes__.m,
	plot/__go_draw_figure__.m, plot/__line__.m,
	plot/__next_line_color__.m, plot/__patch__.m, plot/__plr1__.m,
	plot/__plr2__.m, plot/__plt1__.m, plot/__plt2__.m,
	plot/__plt2mm__.m, plot/__plt2mv__.m, plot/__plt2ss__.m,
	plot/__plt2sv__.m, plot/__plt2vm__.m, plot/__plt2vs__.m,
	plot/__plt2vv__.m, plot/__plt__.m, plot/__plt_get_axis_arg__.m,
	plot/__pltopt1__.m, plot/__pltopt__.m, plot/__quiver__.m,
	plot/__scatter__.m, plot/__stem__.m, startup/__finish__.m,
	statistics/base/__quantile__.m: Consistent doc strings for
	internal fucntions.

2009-02-18  Ben Abbott  <bpabbott@mac.com>

	* plot/subplot.m: Fix unintended deletion of axes.

2009-02-18  Frederick Umminger  <Frederick_Umminger@playstation.sony.com>

	* audio/wavread.m: Improve search for data chunks.

2009-02-18  Ivan Sutoris  <ivan.sutoris@gmail.com>

	* miscellaneous/edit.m: Expand documentation about editor mode.

2009-02-18  John W. Eaton  <jwe@octave.org>

	* plot/__gnuplot_version__.m: Don't use regexp to extract version
	number.

2009-02-18  John W. Eaton  <jwe@octave.org>

	* plot/gnuplot_drawnow.m (gnuplot_set_term):
	Adjust nargin checks for new signature.

2009-02-17  Ben Abbott  <bpabbott@mac.com>

	* plot/contourc.m: Convert demo to test.
	* plot/surfnorm.m: Add another demo.
	* plot/surfnorm.m, plot/pareto.m: Add "colormap(jet)" to 1st demo.
	* plot/plotyy.m, plot/patch.m, plot/pareto.m, plot/legend.m,
	plot/fill.m, plot/comet.m, plot/colorbar.m, plot/clabel.m:
	Replace "close all" with "clf" in demo.

2009-02-17  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Only close the gnuplot window and send
	position/size info when the figure's position property has changed.
	(gnuplot_set_term): New arg, NEW_STREAM.  Change all uses.
	(open_gnuplot_stream): Delete unused output ENHANCED.

2009-02-17  John W. Eaton  <jwe@octave.org>

	* plot/plotyy.m: Handle case of existing figure with no axes.

2009-02-16  John W. Eaton  <jwe@octave.org>

	* help/__makeinfo__.m: Rename from help/makeinfo.m.  Delete tmp file.
	* help/Makefile.in (SOURCES): Add __makeinfo__.m, delete makeinfo.m.
	* help/get_first_help_sentence.m, help/help.m, help/lookfor.m,
	help/print_usage.m: Call __makeinfo__ instead of makeinfo.
	* help/__strip_html_tags__.m, help/__additional_help_message__.m:
	Doc fix.

2009-02-16  Ben Abbott  <bpabbott@mac.com>

	* plot/shading.m: No new figure windows for the demos.
	* plot/surfl.m: Clear figure before running demos.

2009-02-16  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/expm.m: Fix invalid unscaling.
	* help/which.m: Do not add "function" here.
	* optimization/fsolve.m: Update comments.

2009-02-16  John W. Eaton  <jwe@octave.org>

	* help/help.m: Shorten default help text.

2009-02-15  John W. Eaton  <jwe@octave.org>

	* help/doc.m, help/help.m, help/lookfor.m, help/type.m,
	help/which.m, image/colormap.m, miscellaneous/delete.m,
	miscellaneous/dir.m, miscellaneous/edit.m,
	miscellaneous/intwarning.m, miscellaneous/ls.m,
	miscellaneous/mex.m, miscellaneous/mkoctfile.m,
	miscellaneous/run.m, miscellaneous/what.m, path/savepath.m,
	pkg/pkg.m, plot/axis.m, plot/box.m, plot/caxis.m, plot/cla.m,
	plot/close.m, plot/colorbar.m, plot/grid.m, plot/hidden.m,
	plot/hold.m, plot/legend.m, plot/orient.m, plot/print.m,
	plot/shading.m, plot/title.m, plot/xlabel.m, plot/ylabel.m,
	plot/zlabel.m, testfun/demo.m, testfun/example.m, testfun/fail.m,
	testfun/rundemos.m, testfun/test.m:
	Delete "PKG_ADD: mark_as_command" directive.

	* scripts/edit.m: Avoid command-style function call syntax when
	assigning results in tests.

	* deprecated/mark_as_rawcommand.m, deprecated/unmark_rawcommand.m,
	deprecated/israwcommand.m, deprecated/mark_as_command.m,
	deprecated/unmark_command.m, deprecated/iscommand.m:
	New functions.
	* deprecated/Makefile.in (SOURCES): Add them to the list.

2009-02-15  Ben Abbott  <bpabbott@mac.com>

	* plot/subplot.m: Compatible placement of subplots.

2009-02-13 Ben Abbott  <bpabott@mac.com>

	* plot/__go_draw_axes__.m: Respect axes ticklength property.

2009-02-12  John W. Eaton  <jwe@octave.org>

	* general/sortrows.m: Call __sort_rows_idx__, not __sortrows_idx__.

2009-02-12  Soren Hauberg  <hauberg@gmail.com>

	* help/gen_doc_cache.m: Change API so we only handle one directory per
        call to this function.

2009-02-12  Soren Hauberg  <hauberg@gmail.com>

	* help/lookfor.m: Adapt to new cache scheme.

2009-02-11  Jaroslav Hajek  <highegg@gmail.com>

	* general/sortrows.m: Employ __sortrows_idx__ when applicable,
	gripe for sparse matrices.

2009-02-11  John W. Eaton  <jwe@octave.org>

	* miscellaneous/news.m: Look in octetcdir for NEWS file.

2009-02-09  Jaroslav Hajek  <highegg@gmail.com>

	* general/interp2.m: Added support for pchip bicubic interpolation.
	Also simplified code and added support for natural extrapolation via
	"extrap".

2009-02-09  John W. Eaton  <jwe@octave.org>

	* miscellaneous/Makefile.in (SOURCES): Include __xzip__.m in the list.

	* testfun/rundemos.m: Error if fopen fails.

2009-02-08  John W. Eaton  <jwe@octave.org>

	* Makefile.in (install install-strip): Don't install ls-R file.
	(uninstall): Don't uninstall ls-R file.

2009-02-06  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Document support for complex holomorphic
	systems. Improve guarded evaluation.

2009-02-05  John W. Eaton  <jwe@octave.org>

	* miscellaneous/news.m: Use puts instead of printf.

2009-02-05  Thomas D. Dean  <tomdean@speakeasy.org>

	* polynomial/polyout.m: Replace com2str with num2str, and minor
	style changes.

2009-02-04  John W. Eaton  <jwe@octave.org>

	* help/which.m: Still print something sensible if type is empty.

2009-02-04  Soren Hauberg  <hauberg@gmail.com>
            Thomas Treichl  <Thomas.Treichl@gmx.net>

	* miscellaneous/Makefile.in (SOURCES): Add bzip2.m to the list.

2009-02-04  Frederick Umminger  <Frederick_Umminger@playstation.sony.com>

	* signal/freqz.m: Ensure causal phase response.
	Handle long input correctly.

2009-02-04  Petr Mikulik  <mikulik@physics.muni.cz>

	* plot/__go_draw_axes__.m: Pass "interpolate 0, 0" to gnuplot
	instead of "interpolate 4, 4".

2009-02-04  John W. Eaton  <jwe@octave.org>

	* audio/wavwrite.m, deprecated/splu.m, general/bitcmp.m,
	general/fliplr.m, general/flipud.m, general/genvarname.m,
	general/nargchk.m, general/nargoutchk.m, general/quadgk.m,
	general/rot90.m, geometry/griddata.m, geometry/rectint.m,
	geometry/voronoi.m, geometry/voronoin.m,
	help/__strip_html_tags__.m, image/brighten.m, image/imfinfo.m,
	image/imread.m, linear-algebra/cond.m, linear-algebra/condest.m,
	linear-algebra/dmult.m, linear-algebra/dot.m,
	linear-algebra/expm.m, linear-algebra/housh.m,
	linear-algebra/onenormest.m, linear-algebra/subspace.m,
	miscellaneous/compare_versions.m, optimization/__all_opts__.m,
	optimization/optimget.m, pkg/pkg.m, plot/__bar__.m,
	plot/__plr2__.m, plot/ribbon.m, plot/slice.m, polynomial/pchip.m,
	polynomial/roots.m, set/unique.m, signal/fractdiff.m,
	signal/hurst.m, specfun/beta.m, specfun/legendre.m,
	statistics/base/__quantile__.m, statistics/base/quantile.m,
	statistics/tests/cor_test.m,
	statistics/tests/kolmogorov_smirnov_test_2.m, strings/base2dec.m,
	strings/dec2base.m, strings/strcat.m, strings/validatestring.m,
	time/addtodate.m: Style fixes.

2009-02-04  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: remove redundant line.

2009-02-03  Jaroslav Hajek  <highegg@gmail.com>
	
	* optimization/Makefile.in: Add missing source.

2009-02-02  Rob Mahurin  <rob@utk.edu>

	* general/interpft.m: Increase tolerance in tests, for FFTPACK.
	
2009-02-03  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/__all_opts__.m: Yield empty list in recursive calls.
	mlock to avoid unloading.

2009-01-30  John W. Eaton  <jwe@octave.org>

	* optimization/PKG_ADD: Delete.
	* optimization/fsolve.m, optimization/fzero.m,
	optimization/lsqnonneg.m: Use PKG_ADD: comment to call __all_opts__.

2009-01-30  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/__all_opts__.m: New source.
	* optimization/optimset.m: Implement checking for registered options.
	* optimization/optimget.m: Ditto.
	* optimization/fsolve.m: Fix misspelled option.
	* optimization/PKG_ADD: New startup file.

2009-01-30  Kai Habel  <kai.habel@gmx.de>

	* plot/__go_draw_axes__.m: Add support for transparent surfaces.
	* plot/__gnuplot_has_feature__.m: Add feature 'transparent_surface',
	Require gnuplot 4.3 for transparent patches and surfaces.

2009-01-30  Benjamin Lindner  <lindnerben@gmx.net>

	* time/datestr.m: Convert YYYY to %Y instead of %C%y.
	Convert [Dd][Dd] to %d instead of %e.

2009-01-30  Ben Abbott  <bpabbott@mac.com>

	* plot/print.m: Use __gnuplot_has_feature__ instead of
	compare_versions.

	* plot/gnuplot_drawnow.m: Respect x11 figure position property.

2009-01-29  John W. Eaton  <jwe@octave.org>

	* miscellaneous/fileparts.m: Match all possible file separators.

2009-01-29  Kai Habel  <kai.habel@gmx.de>

        * plot/__go_draw_axes__.m: Add support for transparent patches.

2009-01-29  S�ren Hauberg  <hauberg@gmail.com>

	* help/help.m, help/print_usage.m, help/get_first_help_sentence.m:
	print sensible error message when function is found but not documented.

	* help/help.m: Allow displaying 'Contents.m' files.

2009-01-29  Kai Habel  <kai.habel@gmx.de>

        * plot/Makefile.in (SOURCES): Include diffuse.m, specular.m, and
	surfl.m in the list.

2009-01-28  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Style fixes.

	* plot/__gnuplot_has_feature__.m: New file, checks for supported
	feature.

2009-01-28  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Don't use pivoting at all (for the time
	being).

2009-01-28  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Use more adaptive rescaling.
	Put back the default tolerances based on machine eps respecting
	the used precision. Partially reflect this in the default optimset
	values.

2009-01-28  Jaroslav Hajek  <highegg@gmail.com>

	* miscellaneous/ordefields.m: Use indexed assignment instead of a
	loop. Fix for multidimensional cases.

2009-01-27  John W. Eaton  <jwe@octave.org>

	* general/arrayfun.m, image/imwrite.m, plot/axis.m, plot/clf.m,
	plot/ribbon.m, plot/gnuplot_drawnow.m, plot/cla.m, set/unique.m:
	Use endif or endfor instead of "end".

	* path/savepath.m: Call command_line_path instead of commandlinepath.

2009-01-27  Jason Riedy  <jason@acm.org>

	* miscellaneous/orderfields.m: Really fix the indexing for struct
	arrays.

2009-01-27  Carlo de Falco  <kingcrimson@tsicali.it>

	* polynomial/spline.m: Doc fix.

2009-01-27  S�ren Hauberg  <hauberg@gmail.com>

	* general/gradient.m: Handle computing the gradient of a function
	handle.

2009-01-27  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/lsqnonneg.m: Reimplement using QR updating for
	square and overdetermined systems.

2009-01-27  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Provide default values on request.
	Adjust some defaults.
	* optimization/fzero.m: Ditto.
	* optimization/optimset.m: Query optimal values via the M*b way.

2009-01-26  Jason Riedy  <jason@acm.org>

	* miscellaneous/orderfields.m: Also avoid loop for non-empty structs.

2009-01-17  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Disable Broyden updates for sparse jacobians.

2009-01-17  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/__fsolve_defopts__.m: Remove.
	* optimization/Makefile.in: Reflect change.

2009-01-17  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/__fdjac__.m: Fix setting up h.
	* optimization/fsolve.m: Allow underdetermined systems. Use QR for
	large enough square and overdetermined systems, with pivoting in the
	first step. Simplify options. Adjust defaults - make TR radius
	tolerance less stringent. Support DisplayFcn.

2008-12-24 Ben Abbott  <bpabbott@mac.com>

	* path/savepath.m: Respect cmd-line and env paths.

2009-01-24 Ben Abbott  <bpabbott@mac.com>

	* sparse/svds.m: svds.m: skip tests if ARPACK is missing.

2009-01-23  S�ren Hauberg  <hauberg@gmail.com>

	* help/type.m: Make 'type X' work, when X is the name of a variable.

2009-01-22  John W. Eaton  <jwe@octave.org>

	* help/which.m: New function.
	* help/Makefile.in (SOURCES): Add it to the list.

	* help/help.m: Also display location of the file before the help text.
	* help/print_usage: Also display additional help text.
	* help/__additional_help_message__.m: Return message instead of
	displaying it.

2009-01-22  S�ren Hauberg  <hauberg@gmail.com>

	* help: New directory.
	* configure.in (AC_CONFIG_FILES): Add help/Makefile to the list.
	* Makefile.in (SUBDIRS): Add it to the list.
	* help/__additional_help_message__.m, help/__strip_html_tags__.m,
	help/gen_doc_cache.m, help/get_first_help_sentence.m, help/help.m,
	help/lookfor.m, help/makeinfo.m, help/print_usage.m, help/type.m:
	New functions.
	* help/Makefile.in (SOURCES): Add them to the list.
	* help/doc.m: Move here from miscellaneous/doc.m.
	* miscellaneous/Makefile.in (SOURCES): Remove doc.m from the list.
	* miscellaneous/pkg.m: Generate documentation cache during install.

2009-01-22  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Undo the last change.

2009-01-18  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* miscellaneous/doc.m: Add test for existence of info file.
	
2009-01-21  John W. Eaton  <jwe@octave.org>

	* plot/__axis_label__.m: Set properties in existing axis label
	object instead of creating a new text object.
	* plot/ylabel.m: Don't set rotation property here.
	* plot/title.m: Don't set horizontalalignment property here.

	* plot/ylabel.m: Insert rotation property in varargin before
	passing it on to __axis_label__.
	* plot/__axis_label__.m: Don't set rotation for ylabel here.

	* plot/title.m: Insert horizontalalignment property in varargin
	before passing it on to __axis_label__.

2009-01-21  Jaroslav Hajek  <highegg@gmail.com>

	* strings/strchr.m: New function.
	* strings/Makefile.in: Add it.

2009-01-20  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Only use qrupdate if available.

2009-01-20  John W. Eaton  <jwe@octave.org>

	* general/postpad.m: Doc fix.
	* general/prepad.m: Doc fix.
	* image/pink.m: Spelling fix.
	* image/hsv.m: Doc fix.
	From Francesco Potorti` <Potorti@isti.cnr.it>.

	* testfun/assert.m: Use isfield instead of struct_contains.

2009-01-17 Ben Abbott  <bpabbott@mac.com>

	* general/cart2sph.m, cart2pol.m, sph2cart.m pol2cart.m:
	Permit scalars when transforming coordinates.

2009-01-17  Steven Verstoep  <isgoed@hotmail.com>

	* plot/__quiver__.m: __quiver__.m: Fix auto-size of (x,y) coord.

2009-01-16  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/gnuplot_drawnow.m: Fix for handling options.

2009-01-16  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/legend.m: Fix legend order for both horizontal and
	vertical string cell.

2008-01-15  Ben Abbott  <bpabbott@mac.com>

	* plot/grid.m: Document handle argument.

2009-01-15  Peter L. S�ndergaard  <peter@sonderport.dk>

	* general/nargoutchk.m: Doc fix.
	* general/nargchk.m: Improve compatibility.  New tests.

2008-01-15  Rafael Laboissiere  <rafael@debian.org>

	* gethelp.cc: Include <cstdio>.

2009-01-14  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m (ticklabel_to_cell): New function.
	Use it to handle non-cell ticklabels.

2009-01-14  S�ren Hauberg  <hauberg@gmail.com>

	* general/diff.m, general/logspace.m, general/nextpow2.m,
	linear-algebra/commutation_matrix.m,
	linear-algebra/duplication_matrix.m, linear-algebra/expm.m,
	miscellaneous/bincoeff.m, miscellaneous/list_primes.m,
	optimization/fsolve.m, plot/subplot.m, polynomial/pchip.m,
	polynomial/polyout.m, polynomial/residue.m, polynomial/spline.m,
	signal/freqz.m, signal/sinc.m, specfun/beta.m, specfun/betaln.m,
	specfun/nchoosek.m, specfun/pow2.m, special-matrix/hankel.m,
	special-matrix/hilb.m, special-matrix/invhilb.m
	special-matrix/sylvester_matrix.m, special-matrix/toeplitz.m,
	special-matrix/vander.m, statistics/base/gls.m,
	statistics/base/kendall.m, statistics/base/kurtosis.m,
	statistics/base/mean.m, statistics/base/median.m,
	statistics/base/ols.m, statistics/base/skewness.m,
	statistics/distributions/kolmogorov_smirnov_cdf.m:
	Use ifnottex instead of ifinfo.

2009-01-14  John W. Eaton  <jwe@octave.org>

	* linear-algebra/expm.m: 

	* optimization/fsolve.m: Doc fix.

	* plot/__go_draw_axes__.m: Scale markersize by 1/3, not 1/6.

	* io/dlmwrite.m: Use '%c' format for character data.

2009-01-13  John W. Eaton  <jwe@octave.org>

	* general/repmat.m: Handle negative row or column dimension.

	* elfun/lcm.m, general/accumarray.m, general/bicubic.m,
	general/cellidx.m, general/cplxpair.m, general/dblquad.m,
	general/gradient.m, general/interp1.m , general/pol2cart.m,
	general/quadgk.m, general/quadv.m, general/repmat.m,
	general/structfun.m, geometry/griddata.m, geometry/inpolygon.m,
	image/brighten.m, image/hsv2rgb.m, image/imread.m,
	image/imwrite.m, linear-algebra/dmult.m,
	linear-algebra/onenormest.m, miscellaneous/getfield.m,
	miscellaneous/setfield.m, miscellaneous/what.m,
	optimization/fsolve.m, optimization/fzero.m,
	optimization/lsqnonneg.m, optimization/qp.m, pkg/pkg.m,
	plot/__area__.m, plot/__clabel__.m, plot/__stem__.m, plot/axis.m,
	plot/colorbar.m, plot/contour3.m, plot/findall.m, plot/findobj.m,
	plot/fplot.m, plot/grid.m, plot/hist.m, polynomial/convn.m,
	polynomial/polyreduce.m, set/intersect.m, set/setxor.m,
	set/union.m, signal/arch_fit.m, signal/durbinlevinson.m,
	signal/fftshift.m, signal/freqz_plot.m, signal/ifftshift.m,
	signal/spectral_adf.m, sparse/bicgstab.m, sparse/cgs.m,
	sparse/gplot.m, sparse/normest.m, sparse/pcg.m, sparse/pcr.m,
	sparse/spy.m, sparse/svds.m, sparse/treelayout.m,
	sparse/treeplot.m, specfun/primes.m, special-matrix/hadamard.m,
	statistics/base/center.m, statistics/base/quantile.m,
	statistics/base/ranks.m, statistics/base/std.m,
	statistics/distributions/hygepdf.m,
	statistics/tests/kruskal_wallis_test.m, strings/index.m,
	strings/mat2str.m, strings/str2double.m, strings/strrep.m,
	testfun/assert.m, testfun/example.m, testfun/fail.m,
	testfun/speed.m, testfun/test.m: Style fixes.

	* audio/wavread.m, general/__splinen__.m, general/bicubic.m,
	general/rat.m, linear-algebra/expm.m, linear-algebra/krylov.m,
	linear-algebra/onenormest.m, miscellaneous/edit.m,
	optimization/__dogleg__.m, pkg/pkg.m, plot/__errplot__.m,
	plot/__go_draw_axes__.m, plot/__stem__.m, plot/findobj.m,
	set/ismember.m, signal/arma_rnd.m, signal/freqz.m, signal/stft.m,
	sparse/pcg.m, sparse/sprandsym.m, sparse/treelayout.m,
	specfun/factor.m, specfun/nchoosek.m, specfun/primes.m,
	statistics/base/quantile.m, statistics/base/values.m,
	strings/findstr.m, strings/str2double.m, strings/strrep.m,
	testfun/assert.m, testfun/fail.m, testfun/speed.m, testfun/test.m,
	time/datestr.m, time/datevec.m: Comment style fixes.

2009-01-13  Daniel J Sebald  <daniel.sebald@ieee.org>

	* set/unique.m: Fix for vertical array inputs.

2009-01-12  John W. Eaton  <jwe@octave.org>

	* optimization/fzero.m, optimization/fsolve.m: Style fixes.
	Use strcmpi to compare options.

2009-01-12  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* strings/strvcat.m: Remove.
	* strings/Makefile.in (SOURCES): Remove strvcat.m.
	
2009-01-12  John W. Eaton  <jwe@octave.org>

	* plot/diffuse.m, plot/surfl.m, plot/specular.m: Style fixes.

2009-01-11  Jaroslav Hajek  <highegg@gmail.com>

	* general/sortrows.m: Fix invalid `{x:y} = z' assignment.
	* miscellaneous/orderfields.m: Ditto.
	* miscellaneous/what.m: Ditto.
	* pkg/pkg.m: Ditto.
	* plot/ndgrid.m: Ditto.
	* strings/strcat.m: Ditto.

2009-01-09  Kai Habel  <kai.habel@gmx.de>

        * plot/surfl.m: New function
        * plot/diffuse.m: Ditto.
        * plot/specular.m: Ditto.

2009-01-05  John W. Eaton  <jwe@octave.org>

	* mkdoc: Set defaults for FIND and PERL.  Check usage.

2009-01-01  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* miscellaneous/__xzip__.m: Fix error messages, add tests.
	
2008-12-26  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* general/int2str.m, general/num2str.m, strings/base2dec.m,
	strings/blanks.m, strings/cstrcat.m, strings/findstr.m,
	strings/isstrprop.m, strings/mat2str.m, strings/regexptranslate.m,
	strings/split.m, strings/str2double.m, strings/str2num.m,
	strings/strcat.m, strings/strcmpi.m, strings/strfind.m,
	strings/strjust.m, strings/strmatch.m, strings/strncmpi.m,
	strings/strrep.m, strings/strtok.m, strings/strtrim.m,
	strings/strtrunc.m, strings/strvcat.m, strings/substr.m: 
	Fix documentation strings, add examples, references and tests.
	* scripts/general/int2str.m: Add missing semicolon.
	* scripts/strings/regexptranslate.m: add nargin check.
	* scripts/strings/str2double.m: fix nargin check.
	
2008-12-29  David Bateman  <dbateman@free.fr>

	* goemetry/voronoi.m: Speed up and handle dense grids.

2008-12-28  Jaroslav Hajek  <highegg@gmail.com>

	* miscellaneous/delete.m: Allow filename globs. Display warnings if
	operation fails.

2008-12-26  Francesco Potortì  <pot@gnu.org>

	* general/prepad.m: Add reference to postpad.

	* miscellaneous/bincoeff.m: Make reference to nchoosek.

	* general/postpad.m: Use @seealso.  Add reference to resize.

	* statistics/base/statistics.m: Correct help string.

	* plot/hist.m: Doc string now mentions matrix input argument.
	Correct error message.

2008-12-30  Ben Abbott  <bpabbott@mac.com>

	* plot/__contour__.m: __contour__.m: correct order of patches

2008-12-30  Ben Abbott  <bpabbott@mac.com>

	* plot/__contour__.m: __contour__.m: correct order of patches

2008-12-24  Doug Stewart  <dastew@sympatico.ca>

	* plot/grid.m: Handle "minor" option.

2008-12-24  John W. Eaton  <jwe@octave.org>

	* testfun/test.m: Print "has no tests" message if there are demos
	but no tests instead of printing PASSES 0 out of 0 tests.

2008-12-23  David Bateman  <dbateman@free.fr>

	* sparse/svds.m: New function.
	* sparse/Makefile.in (SOURCES): Add it here.

2008-11-21  Radek Salac  <salac.r@gmail.com>

	* sparse/bicgstab.m: New function.
	* sparse/Makefile.in (SOURCES): Add it here.

2008-12-18  Daniel J Sebald  <daniel.sebald@ieee.org>

	* time/datevec.m (__date_vfmt2sfmt__): New helper function.
	(datevec): Avoid repeated parsing of the format string.
	* set/unique.m: Only check for options if nargin > 1.

2008-12-15  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/lsqnonneg.m: Preprocess using QR for over-determined
	systems. Simplify & fix indexing. Use left division for step problem.
	Fix output args.

2008-12-13  Francesco Potort�  <pot@gnu.org>

	* specfun/nchoosek.m: Check for input arguments, signal loss of
	precision, correctly handle k==0 and k==n cases, add proper tests.

2008-12-11  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fsolve.m: Optionally allow pivoted qr factorization.

2008-12-10  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/expm.m: New source.

2008-12-09  Jaroslav Hajek  <highegg@gmail.com>

	* specfun/nchoosek.m: Use a recursionless approach.

2008-12-09  Jaroslav Hajek  <highegg@gmail.com>

	* general/repmat.m: Optimize & simplify the scalar & 2d matrix case.

2008-12-07  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * strings/lower.m: Remove
        * strings/upper.m: Remove
        * strings/Makefile.in: Remove lower.m, upper.m
        
2008-12-02  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * strings/str2mat.m: Make it a simple wrapper around
        char() and move it to scripts/deprecated/str2mat.m, remove
        obsolete tests, move remaining test to src/strfns.cc (Fchar).
        * strings/Makefile.in: Remove str2mat.m.
        * deprecated/Makefile.in: Add str2mat.m.
        * strings/strvcat.m: Remove reference to str2mat.
        
2008-11-28  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Set two point clipping mode to be on.

2008-11-26  Francesco Potortì  <pot@gnu.org>

	* specfun/nchoosek.m: Set max_recursion_depth and use a subfunction.

2008-11-29  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * miscellaneous/gzip.m: Remove @seealso reference to __xzip__,
          improve tests
          miscellaneous/bzip2.m: Remove @seealso reference to __xzip__,
          fix handling of output argument, add test
          miscellaneous/__xzip__.m: Improve error messages, fix cleanup
          of temporary directories, remove tab characters

2008-11-24  Ben Abbott  <bpabbott@mac.com>

	* plot/legend.m: Correct ording of legend labels.

2008-11-24  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Correct order for rendering children.

2008-11-21  Radek Salac  <salac.r@gmail.com>

	* sparse/cgs.m, sparse/treelayout.m: New functions.
	* sparse/Makefile.in (SOURCES): Add them here.

2008-11-14  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m (do_tics_1): Support the minorick properties
	of the axis object.

2008-11-14  Ben Abbott  <bpabbott@mac.com>

	* plot/gnuplot_drawnow.m: Add support of properites to gp backend.

2008-11-13  John W. Eaton  <jwe@octave.org>

	* statistics/distributions/chi2rnd.m: Fix another missing semicolon.
	From sven.mattisson@insatnet.nu.

2008-11-12  David Bateman  <dbateman@free.fr>

	* plot/__quiver__.m: Only autoscale if more than one element to
	plot. Modify callbacks for change in order of children.
	* plot/__stem__.m: Modify callbacks for change in order of children.

2008-11-10  John W. Eaton  <jwe@octave.org>

	* polynomial/spline.m: Delete debugging statements.  From
	Sebastian Sch�ps <sebastian@schoeps.org>.

2008-11-07  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * mkdoc: do not remove white space before @ within @example
          environment

2008-11-05  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * plot/subplot.m: fix texi bug

2008-11-04  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * miscellaneous/unpack.m: return directly after recursive handling
          of cell-strings
          
2008-11-03  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: xticklabel should accept a numeric vector.

2008-09-28  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/__fdjac__.m: New function file.
	* optimization/__dogleg__.m: New function file.
	* optimization/fsolve.m: New function file.
	* optimization/Makefile.in: Include the new sources.
	
2008-09-28  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fzero.m: Replace tabs by spaces.

2008-09-28  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fzero.m: Simplify exception handling.

2008-10-31  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/fzero.m: New function file.
	* optimization/Makefile.in: Add it.

2008-10-31  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/optimset.m: Don't include empty options in option
	structure.
	* optimization/optimget.m: New function file.
	* optimization/Makefile.in: Add it.
	* optimization/lsqnonneg.m: Query options using optimget.

2008-10-31  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/__norm__.m: Remove.

2008-10-25  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * miscellaneous/bzip2.m, miscellaneous/__xzip__.m: new commands.
        * miscellaneous/gzip.m: change to use __xzip__ for actual compression,
          add tests.
                  
2008-10-31  David Bateman  <dbateman@free.fr>

	* plot/__contour__.m: Exclude infinite values when calculating contour
	levels.
	* plot/clabel.m: Close previous plots in demos to avoid pollution
	between other plot demos.
	* plot/plotyy.m: Ditto.

2008-10-30  David Bateman  <dbateman@free.fr>

	* plot/legend.m: Add support for the "left" and "right" options.
	* plot/__go_draw_axes__.m: If the axes property keyreverse is set,
	reverse the key and labelling text.
	
	* plot/__clabel__.m, plot/clabel.m: New functions.
	* plot/Makefile.in (SOURCES): Add them here.
	* plot/__contour__.m: Rewrite to use contour groups.
	* plot/contourf.m: Call __contour__ instead of using specific code.
	* plot/contour.m, plot/contour3.m: Minor modification to allow for
	new interface to __contour__.

2008-10-29  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* set/create_set.m, set/ismember.m, set/union.m, set/complement.m:
	Fix @seealso references to deprecated function intersection.
	* polynomial/polyvalm.m, polynomial/polyout.m,
	polynomial/polyint.m, polynomial/polygcd.m,
	deprecated/polyinteg.m: Remove "and" from @seealso string.
	* specfun/betaln.m: Change @seealso reference from deprecated
	betai to betainc.
	* plot/plot.m, plot/xlabel.m, plot/ylabel.m, plot/zlabel.m, 
	plot/plot3.m: Fix @seealso references to ylabel and zlabel.
	* general/issymmetric.m, image/imagesc.m, specfun/realpow.m,
	polynomial/polyfit.m, time/eomday.m: Remove @seealso references to
	non-existent functions.

2008-10-29  John W. Eaton  <jwe@octave.org>

	* plot/cla.m: In test, set visible off when creating figure.

2008-10-28  Gabriele Pannocchia  <g.pannocchia@ing.unipi.it>

	* optimization/qp.m: Convert bounds of the form b <= x <= b and
	constraints of the form b <= A*x <= b to equality constraints.

2008-10-27  S�ren Hauberg  <hauberg@gmail.com>

	* plot/ellipsoid.m: Check nargin == 6, not nargin == 5.

2008-10-22  Ben Abbott  <bpabbott@mac.com>

	* plot/cla.m: Fix error when no children to clear.

	* plot/findobj.m: Allow handle to be empty.

2008-10-22  John W. Eaton  <jwe@octave.org>

	* plot/allchild.m: Move call to get showhiddenhandles outside of
	unwind_protect block.

2008-10-22  David Bateman  <dbateman@free.fr>

	* plot/refreshdata.m: Modify demo so that "y" is evaluated in the
	"caller" workspace.

	* plot/__errplot__.m: Add errorbar series objects.
	* plot/errbar.m: Add some demos.
	
	* plot/__add_line_series__.m: Remove
	* plot/Makefile.in (SOURCES): Remove it here too.
	* plot/__add_datasource__.m: Allow for more than one character in
	source name.
	* plot/refreshdata.m: Ditto.
	* plot/__plt2mm__.m, plot/__plt2mv__.m, plot/__plt2ss__.m, 
	plot/__plt2sv__.m, plot/__plt2vm__.m, plot/__plt2vv__.m, 
	plot/__plt2vs__.m, plot3.m: Remove previous line series changes.
	* plot/__scatter__.m: Add scatter series objects and data sources.
	* plot/legend.m: Update type in loop and remove debugging messages.
	
2008-10-21  Ben Abbott  <bpabbott@mac.com>

	* specfun/legendre.m: Warn once on under/overflow.

	* plot/clf.m: Improve Matlab compatibility.

2008-10-21  John W. Eaton  <jwe@octave.org>

	* plot/quiver3.m: Turn hold off after demo.

	* plot/newplot.m: Delete stray debugging code.

	* plot/gnuplot_drawnow.m: Pass handle to __go_draw_figure__, not
	struct.  Use get instead of examining struct fields directly.
	* plot/__go_draw_figure__.m: First arg is now handle, not figure
	object struct.  Use get instead of examining struct elements
	directly.  Use allhild instead of looking at children field of
	figure object struct.

2008-10-20  Ben Abbott  <bpabbott@mac.com>

	* plot/orient.m: Fix syntax error.

2008-10-20  David Bateman  <dbateman@free.fr>

	* testfun/rundemos.m: Pause between files, as demo itself doesn't.
	
	* plot/fill.m, plot/quiver.m: Quiet the demos.
	* plot/stair.m: Treat a line style argument correctly.

2008-10-20  John W. Eaton  <jwe@octave.org>

	* plot/surfnorm.m: Save and restore hold state.
	From Daniel J. Sebald <daniel.sebald@ieee.org> and
	Ben Abbott <bpabbott@mac.com>.

2008-10-20  Ben Abbott  <bpabbott@mac.com>

	* plot/closereq.m: Respect property tag.

	* plot/__stem__.m: Respect new ordering of children when setting
	baseline.

	* plot/orient.m, plot/print.m: Properly validate figure handle.

	* plot/hold.m, plot/comet.m: Properly validate axes handle.

	* plot/__go_draw_axes__.m: Fix for binary xfer of suface plots.

2008-10-20  David Bateman  <dbateman@free.fr>

	* plot/plotyy.m: Test that an axes handle actually is one before
	setting it.

2008-10-17  David Bateman  <dbateman@free.fr>

	* plot/__plt_get_axis_arg__.m: Exclude non-numeric and root figure
	from potential axis handles.
	* plot/colorbar.m: Remove debug output.
	* plot/comet.m: Close plot before demo
	* plot/contourc.m: No output if nargout == 0.

2008-10-16  David Bateman  <dbateman@free.fr>

	* plot/subplot.m: Allow for column vector of children for figure.

2008-10-16  John W. Eaton  <jwe@octave.org>

	* testfun/rundemos.m: New function.

2008-10-16  Ben Abbott  <bpabbott@mac.com>

	* plot/contourf.m: Correct order of patch object handles.

2008-10-16  David Bateman  <dbateman@free.fr>

	* plot/colorbar.m (colorbar:resetaxis): Uncomment the reseting of
	the axes.

	* plot/newplot.m: Don't preserve axes properties here, but rather
	do it in the graphics handle code so that the preservation can be
	done after callbacks are executed.
	
	* plot/__go_draw_axes__.m: If current plot is an image, don't flag
	the plot as binary, as the binary specification is already in the
	"usingclause".
	
	* plot/__go_draw_figure__.m: Always use multiplot and create an 
	enclosing axis to ensure bounding box of postscript is correct.

2008-10-16  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m (do_tics_1): New arg, interpreter.
	(do_tics): Pass interpreter to do_tics_1.

2008-10-15  David Bateman  <dbateman@free.fr>

	* general/colon.m: Small typo.
	* general/loadobj.m: Ditto.

2008-10-14  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m (do_tics_1): New args, fontname and fontsize.
	Pass fontspec for tic marks to gnuplot.
	(do_tics): Pass axes fontname and fontsize to do_tics_1.
	
	* plot/newplot.m: Perserve fontangle, fontname, fontsize,
	fontunits, fontweight, position, outerposition, and
	activepositionproperty axes properties when replacing plot.

2008-10-15  Daniel J. Sebald  <daniel.sebald@ieee.org>

	* plot/__go_draw_axes__.m: Make previous change work for surface
	plots.

2008-10-14  Daniel J. Sebald  <daniel.sebald@ieee.org>

	* plot/__go_draw_axes__.m: Send binary data to gnuplot.

2008-10-13  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Fix concatenation of handles.

2008-10-12  David Bateman  <dbateman@free.fr>

	* general/colon..m: New function.
	* general/Makefile.in (SOURCES): Add it here.

2008-10-10  David Bateman  <dbateman@free.fr>

	* image/__img__.m: Manually set the limits of th eimage
	* plot/__go_draw_axes__.m: Base window position in the axis
	position property and not the outerposition property. Remove
	colorbar code based on the gnuplot colorbox. Allow images to be a
	vector to support image based colorbars. Also check labelmode for
	manual tics.
	* plot/__go_draw_figure__.m: Remove gnuplot colorbox based
	colorbar code.
	* plot/colorbar.m: Rewrite to use an image and callbacks to link
	it to the principal axis.
	* plot/legend.m: Support an axis handle as the first
	argument. Support hggroups.
	* plot/pareto.m: Don't support an axis handle as the first
	argument as the plotyy command in fact needs two axis handles.
	* plot/plotyy.m: Rewrite to use listeners and callbacks to
	synchronize the two axes.
	* plot/subplot.m: Also skip axes that are tagged as being a
	colorbar. Don't break in search of overlapping axes to delete. Set
	both the position and the outerposition.
	
2008-10-09  Ben Abbott  <bpabbott@mac.com>

	* plot/__axis_label__.m: Inherit font properties from axes.

2008-10-09  David Bateman  <dbateman@free.fr>

	* general/loadobj.m, general/saveobj.m, general/display: New functions
	* general/Makefile.in (SOURCES): Add then here.
	
2008-10-08  John W. Eaton  <jwe@octave.org>

	* miscellaneous/fileparts.m: Handle "/file" properly.
	Improve compatibility.

2008-10-07  Ben Abbott  <bpabbott@mac.com>

	* plot/cla.m: New function.
	* plot/Makefile.in (SOURCES): Add it to the list.

2008-10-07  John W. Eaton  <jwe@octave.org>

	* miscellaneous/delete.m: Pass array of handles to __go_delete__.

2008-10-06  John W. Eaton  <jwe@octave.org>

	* plot/__add_datasource__.m, plot/__axes_limits__.m,
	plot/__bar__.m, plot/__bars__.m, plot/__contour__.m,
	plot/__go_draw_axes__.m, plot/__go_draw_figure__.m,
	plot/__patch__.m, plot/__quiver__.m, plot/__scatter__.m,
	plot/__stem__.m, plot/ancestor.m, plot/axis.m, plot/box.m,
	plot/caxis.m, plot/close.m, plot/colorbar.m, plot/fill.m,
	plot/findobj.m, plot/grid.m, plot/hidden.m, plot/hold.m,
	plot/ishold.m, plot/legend.m, plot/linkprop.m, plot/orient.m,
	plot/plotmatrix.m, plot/shading.m: Use case-insensitive comparison
	for properties.  Misc style fixes.

2008-10-06  Ben Abbott  <bpabbott@mac.com>

	* plot/orient.m: Figure handle must be scalar.
	* plot/hold.m: Axis handle must be scalar.
	* plot/axes.m: Axis handle must be scalar.
	* plot/__plt_get_axis_arg__.m: Handle must be scalar.

	* miscellaneous/delete.m: Permit a vector of handles to be deleted.

2008-10-02  John W. Eaton  <jwe@octave.org>

	* pkg/pkg.m (configure_make): Handle filenames with spaces.

2008-10-02  Benjamin Lindner  <lindnerb@users.sourceforge.net>

	* pkg.m (configure_make): Enclose building directory in quotes.

2008-10-02  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Remove depdenence on gnuplot version.

2008-09-30  Jaroslav Hajek  <highegg@gmail.com>

	* string/split.m: New tests.

2008-09-30  Ben Abbott  <bpabbott@mac.com>

	* plot/__go_draw_axes__.m: Fix interpolation of facecolors.

	* plot/shading.m: New demo.

2008-09-29  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Eliminate have_newer_gnuplot variable.

	* plot/__gnuplot_version__.m: Also include patchlevel.

2008-09-29  Ben Abbott  <bpabbott@mac.com>

	* polynomial/deconv.m: Fix row/col orientation & length of output.

	* polynomial/conv.m: Correct row/col orientation of output.

2008-09-27  Ivan Sutoris  <ivan.sutoris@gmail.com>

	* optimization/sqp.m: Document additional parameters.

2008-09-26  David Bateman  <dbateman@free.fr>

	* general/subsindex.m: Dummy subsindex function for help string
	and to throw error for use outside of a class
	* general/Makefile.in (SOURCES): Include it here.

2008-09-26  John W. Eaton  <jwe@octave.org>

	* image/imfinfo.m: Delete temporary file.

2008-09-25  S�ren Hauberg  <hauberg@gmail.com>

	* image/imread.m, image/imwrite.m: Doc fix.

2008-09-24  John W. Eaton  <jwe@octave.org>

	* plot/fplot.m: Call axis after calling plot.

2008-09-24  S�ren Hauberg  <hauberg@gmail.com>

	* image/imfinfo.m: New function.
	* image/Makefile.in (SOURCES): Add it to the list.

2008-09-24  Ben Abbott  <bpabbott@mac.com>

	* strings/strcat.m: Improve Matlab compatibility for non-character
	data.

2008-09-24  John W. Eaton  <jwe@octave.org>

	* general/interpft.m: Increase tolerance in tests.

2008-09-23  Francesco Potorti`  <Potorti@isti.cnr.it>

	* plot/pcolor.m: Improve doc string.

2008-09-22 Ben Abbott  <bpabbott@mac.com>

	* plot/comet.m: New file.
	* plot/Makefile.in (SOURCES): Add it here.

2008-09-22  David Bateman  <dbateman@free.fr>

	* plot/plotmatrix.m: New function.
	* plot/Makefile.in (SOURCES): Add it here.

	* general/quadgk.m: No function count in quadgk and so don't try and
	print it when given trace argument.

2008-09-18  Jaroslav Hajek  <highegg@gmail.com>

	* general/blkdiag.m: Skip assignment if rhs is empty.

2008-09-18  Kris Thielemans  <kris.thielemans@csc.mrc.ac.uk>

	* image/imshow.m: Fix for display_range.
	
	* general/interpn.m: Fixe for extrapval and documentation of 
	extrapval.

2008-09-17  David Bateman  <dbateman@free.fr>

	* time/datetick.m: New function.
	* time/Makefile.in (SOURCES): Add it here.
	* time/datestr.m: More careful check for datevec format with 6
	column arguments.
	* plot/__go_draw_axes__ (do_tics_1): Use %.15g format rather than
	%g format. Also use manual mode if xlabelmode is manual.

	* general/cell2mat.m: Backout previous change. Special case 2D
	case for speed.

2008-09-11  David Bateman  <dbateman@free.fr>

	* general/cell2mat.m: Improve the speed.

2008-09-09  John W. Eaton  <jwe@octave.org>

	* time/datestr.m: Convert format and use strftime to do most of
	the actual conversion.

2008-09-08  Tatsuro MATSUOKA  <tmacchant@yahoo.co.jp>

	* plot/plot.m: Doc fix.

2008-09-08  Mark van Rossum  <mvanross@inf.ed.ac.uk>

	* statistics/distributions/binornd.m: Handle zero values of n
	correctly.

2008-09-08  Kai Habel  <kai.habel@gmx.de>

        * plot/contourf.m: Fix case for equal-sized matrices
        of X and Y.

2008-09-02  David Bateman  <dbateman@free.fr>

	* plot/__add_datasource__.m: Fix indexing of varargin.

	* plot/__line__.m: Remove empty clause fof if/then/else test
	* plot/plot3.m: Correctly plot matrices.

2008-08-31  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/__plt2mm__.m, plot/__plt2mv__.m, plot/__plt2ss__.m,
	plot/__plt2sv__.m, plot/__plt2vm__.m, plot/__plt2vs__.m,
	plot/__plt2vv__.m: Do not call "set" with empty arguments.

2008-08-29  David Bateman  <dbateman@free.fr>

	* plot/__plt2mm__.m, plot/__plt2mv__.m, plot/__plt2ss__.m,
	plot/__plt2sv__.m, plot/__plt2vm__.m, plot/__plt2vs__.m,
	plot/__plt2vv__.m, plot/plot3.m, plot/__area__.m, plot/__bars__.m,
	plot/__quiver__.m, plot/__stem__.m, plot/stairs.m :
	Pass additional prop/val pairs to hggroup rather than underlying
	objects. If a baseline existings specifically associate it with
	the parent of the created hggroup to allow things like "stem(...,
	'parent', hg)" to work correctly.
	* plot/hold.m: If currentaxes if figure doesn't exist, create it.

	* plot/plot3.m: Pass hline to __add_line_series__.
	* plot/__add_datasource__.m: Fix off by one error.

2008-08-28  David Bateman  <dbateman@free.fr>

	* plot/__add_line_series__.m, plot/ishghandle.m, plot/linkprop.m,
	plot/refresh.m, plot/refreshdata.m: New functions
	* Makefile.in (SOURCES): Add them here.
	
	* plot/__area__.m, plot/__bars__.m, plot/__quiver__.m,
	plot/__stem__.m, plot/stairs.m, plot/stem.m: Add data sources.

	* plot/__plt2mm__.m, plot/__plt2mv__.m, plot/__plt2ss__.m,
	plot/__plt2sv__.m, plot/__plt2vm__.m, plot/__plt2vs__.m,
	plot/__plt2vv__.m, plot/plot3.m: Add line series and data sources.

2008-08-28  Martin Weiser  <weiser2@natur.cuni.cz>

	* plot/scatter3.m: Doc fix.

2008-08-26  John W. Eaton  <jwe@octave.org>

	* plot/hold.m: If hold is applied to a figure, set state for all
	child axes objects.

2008-08-26  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/backend.m: New function to handle backend switch.
	* plot/Makefile.in: Add it.

2008-08-26  David Bateman  <dbateman@free.fr>

	* plot/__area__.m: Use __next_line_color__ rather than fixed set
	of colors. Convert to use area series objects.
	* plot/area.m: Update documentation to correspond to
	the area series usage.
	* plot/__bar.m: Pass the original rather than scaled width to
	__bars__. 
	* plot/__bars__.m: Convert to use bar series objects.
	* plot/bar.m, plor/barh.m:  Update documentation to correspond to
	the bar series usage.
	* plot/__quiver__.m: Convert to use quiver series objects. Change
	the default scaling and arrowsize for compatibility.
	* plot/quiver.m:  Update documentation to correspond to
	the quiver series usage.
	* plot/stairs.m: Convert to use stair series objects.
	* plot/stem.m: Don't include baseline in xlim calculation. Correct
	test of whether baseline xdata needs updating in the update_xlim
	callback.

2008-08-25  Thomas L. Scofield  <scofield@calvin.edu>

	* image/imwrite.m: Add ras and tiff to the list of accepted formats.
	Handle parameter-value options.  Untabify.
	
2008-08-25  David Bateman  <dbateman@free.fr>

	* plot/__stem__.m: Use property inheritance and don't explicitly
	call drawnow.

	* plot/__go_draw_axes__.m: Respect the "visible" property of object and
	don't draw them if the object is not visible.

	* plot/__stem__.m: Convert to use stem series object.
	* plot/stem.m, plot/stem3.m: Update documentation to correspond to
	the stem series usage.

2008-08-22  John W. Eaton  <jwe@octave.org>

	* statistics/distributions/chi2rnd.m: Fix missing semicolon.

2008-08-21  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Fix test for have_data.
	(__gnuplot_write_data__): Write "Inf Inf\n" if all data pairs
	contain NaN values.

2008-08-21  Thomas Treichl  <Thomas.Treichl@gmx.net>
	
	* optimization/sqp.m: Increase test script tolerance.

2008-08-21  David Bateman  <dbateman@free.fr>

	* plot/ezplot.m : New function.
	* plot/Makefile.in (SOURCES): Add ezplot.m to the list.
	* plot/__ezplot__.m: Adapt to allow for use with the ezplot function.
	
2008-08-20  Jaroslav Hajek  <highegg@gmail.com>

	* pkg/pkg.m (configure_make): Pass handle to is_architecture_dependent
	directly.

2008-08-20  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Don't set pm3d implicit if the plot
	contains a surface. Fixes things like meshc(peaks()).

2008-08-19  Jaroslav Hajek  <highegg@gmail.com>

	* optimization/glpk.m: Fix invalid call to zeros.

2008-08-19  David Bateman  <dbateman@free.fr>

	* miscellaneous/intwarning.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it here.

	* statistics/base/ranks.m: Doc fix.

2008-08-08  John W. Eaton  <jwe@octave.org>

	* general/Makefile.in (SOURCES): Add cellidx.m to the list.

2008-08-07  John W. Eaton  <jwe@octave.org>

	* gethelp.cc: Delete definition of NPOS.

2008-08-04  John W. Eaton  <jwe@octave.org>

	* strings/strtok.m: Include TAB, LF, VT, FF, and CR in default
	list of delim characters.  Update tests.

2008-07-29  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* general/arrayfun.m: Minor bug fixes, update help text and tests

2008-07-29  John W. Eaton  <jwe@octave.org>

	* plot/axis.m (__get_tight_lims__): Use strcat instead of [].
	Don't fail if data is not a vector.

2008-07-29  David Bateman  <dbateman@free.fr>

	* general/cellidx.m: reinclude from control toolbox, as used by
	print command. Replace is_signal_list with iscellstr.
	* general/quadqk.m, linear-algebra/planeror.m,
	miscellaneous/namelengthmax.m, specfun/realpow.m: Miscellaneous
	documentation fixes.

	* control, finance, quaternion: Remove directories and all of the
	files they contain.
	* Makefile.in: Remove all references to the above directories.
	* configure.in: ditto.

2008-07-28  Ben Abbott  <bpabbott@mac.com>

	* plot/hold.m: Clarify help text.

	* specfun/reallog.m: Fix help string.

2008-07-28  David Bateman  <dbateman@free.fr>

	* strings/regexptranslate.m: Add real documentation.

	* plot/contourf.m: Allow X,Y to be unequal vectors.

	* plot/shading.m: Clarify help string.
	
	* general/genvarname.m: Trivial documentation fix.

2008-07-28  John W. Eaton  <jwe@octave.org>

	* image/imwrite.m: New function.
	* image/Makefile.in (SOURCES): Add it to the list.

2008-07-24  Ben Abbott  <bpabbott@mac.com>

	* time/datestr.m: New xtest.

2008-07-21  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/closereq.m: Use first gcbf to get the handle of the figure to
	be closed.
	* plot/close.m: Call __go_execute_callback__.

2008-07-17  John W. Eaton  <jwe@octave.org>

	* general/fliplr.m: Fix usage test.
	* testfun/test.m: Fix usage tests.

2008-07-17  Jaroslav Hajek  <highegg@gmail.com>

	* statistics/base/cov.m: Fix test that should no longer work.

2008-07-16  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/gcbo.m, plot/gcbf.m: New functions.
	* plot/Makefile.in (SOURCES): Add them to the list.

2008-07-16  John W. Eaton  <jwe@octave.org>

	* deprecated/loadimage.m: New file.
	* deprecated/Makefile.in (SOURCES): Add it to the list.
	* image/loadimage.m: Delete.	
	* image/Makefile.in (SOURCES): Remove it from the list.
	* image/imread.m: Incorporate loadimage functionality here.
	Simplify.
	* image/imshow.m: Call imread, not loadimage.

	* image/__img__.m: Set clim for true-color integer data.

	* image/imshow.m: Don't convert integer true-color data to double.

	* plot/__go_draw_axes__.m: Recognize 3-d cdata as a true-color image.

2008-07-14  John W. Eaton  <jwe@octave.org>

	* image/Makefile.in (SOURCES): Add imread.m to the list.

2008-07-14  Thomas L. Scofield  <scofield@calvin.edu>

	* image/imread.m: New file from Octave Forge.

2008-07-10  Jaroslav Hajek  <highegg@gmail.com>

	* set/unique.m: Implement 'first' and 'last', some simplifications.
	* set/union.m: Implement output indices.
	* set/intersect.m: Implement 'rows'.
	* set/setdiff.m: Implement output indices.
	* set/setxor.m: Implement 'rows' and output indices.
	Add tests and adjust docs in all of the above.

2008-06-11  John W. Eaton  <jwe@octave.org>

	* set/ismember.m: Fix fail tests.

	* general/rat.m: Properly initialize steps when all elements of
	input array are integers.  Append spaces as necessary when
	building  character array.

2008-06-05  Jaroslav Hajek  <highegg@gmail.com>

	* plot/__go_draw_axes__.m: Use fprintf for formatted output.

2008-06-04  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/__go_draw_axes__.m: Support hggroup objects.
	* plot/hggroup.m: New file.
	* plot/Makefile.in: Handle it.

2008-06-02  David Bateman  <dbateman@free.fr>

	* miscellaneous/debug.m: New file..
	* Makefile.in (SOURCES): Add it to the list.

	* general/interp1q.m: Remove spaces between functions and args in
	[]. Fix test code to actually test interp1q.

2008-06-02  Jaroslav Hajek  <highegg@gmail.com>

	* strings/strcat.m: Add tests.

2008-06-02  Kim Hansen  <kimhanse@gmail.com>

	* strings/mat2str.m: Change is_complex to iscomplex, add tests, add
	missing ;

2008-05-20  David Bateman  <dbateman@free.fr>

	* miscellaneous/single.m: Remove.
	* Makefile.in (SOURCES): Remove it here as well.

2008-05-20  David Bateman  <dbateman@free.fr>

	* general/interp1q.m: New function.
	* general/Makefile.in (SOURCES): Add it here.

2008-05-20  Bill Denney  <bill@denney.ws>

	* time/datenum.m: Allow mixed scalar and vector/matrix input.
	New tests.

2008-05-19  John W. Eaton  <jwe@octave.org>

	* general/isa.m: Fix tests.

2008-05-13  Bill Denney  <bill@denney.ws>

	* general/isa.m: Use persistent cell arrays to hold class names
	instead of multiple strcmp calls.

2008-05-12  David Bateman  <dbateman@free.fr>

	* control/base/__stepimp__.m, control/base/bode_bounds.m,
	control/base/damp.m, control/base/dlqr.m, control/base/lsim.m,
	control/base/tzero.m, control/hinf/hinfsyn.m,
	control/hinf/is_dgkf.m, control/system/d2c.m,
	control/system/is_controllable.m, control/system/is_detectable.m,
	control/system/is_stabilizable.m, control/system/is_stable.m,
	control/system/sysconnect.m, general/bicubic.m,
	general/cplxpair.m, general/isdefinite.m, general/issymmetric.m,
	general/quadgk.m, general/quadl.m, general/quadv.m,
	geometry/delaunayn.m, linear-algebra/krylov.m,
	linear-algebra/null.m, linear-algebra/onenormest.m,
	linear-algebra/orth.m, linear-algebra/rank.m,
	linear-algebra/rref.m, optimization/qp.m, optimization/sqp.m,
	polynomial/polygcd.m, polynomial/residue.m, sparse/normest.m,
	specfun/erfinv.m, statistics/distributions/betainv.m,
	statistics/distributions/gaminv.m,
	statistics/distributions/kolmogorov_smirnov_cdf.m,
	statistics/tests/manova.m: Modify calls to eps to allow for single
	precision types.

	* general/isa.m: Also treat "float: and "numeric" as the class
	argument.

	* general/dblquad.m, general/quadgk.m, general/quadv.m,
	general/triplequad.m: New functions.

	* testfun/assert.m: Allow assert(cond, errmsg, ...) and
	assert(cond, msgid, errmsg, ...) syntax for compatibility.

2008-05-09  Thomas Weber  <thomas.weber.mail@gmail.com>

	* miscellaneous/news.m: Replace deprecated isstr call.

2008-05-06  David Bateman  <dbateman@free.fr>

	* miscellaneous/symvar.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it to the list.

2008-05-04  John W. Eaton  <jwe@octave.org>

	* miscellaneous/dbstack.m: Delete.
	* miscellaneous/Makefile.in (SOURCES): Remove it from the list.

2008-05-03  Rafael Laboissiere  <rafael@debian.org>

	* linear-algebra/cond.m, miscellaneous/version.m,
	miscellaneous/version.m, plot/feather.m, plot/__bar__.m,
	plot/compass.m, plot/__quiver__.m, plot/__scatter__.m: Use ischar
	instead of deprecated isstr.

2008-05-01  David Bateman  <dbateman@free.fr>

	* plot/plot.m: Remove documentation of 'L' option.
	* plot/stairs.m: Allow axis handles, properties and linespecs to
	be passed.

2008-04-30  John W. Eaton  <jwe@octave.org>

	* elfun/acot.m, elfun/acsc.m, elfun/acsch.m, elfun/asec.m,
	elfun/asech.m, specfun/pow2.m: Fix tests.

2008-04-30  Jaroslav Hajek  <highegg@gmail.com>

	* specfun/log2.m: Delete. 
	* specfun/Makefile.in (SOURCES): Delete it from the list.

2008-04-29  David Bateman  <dbateman@free.fr>

	pkg/pkg.m: Also set archprefix with the -local and -global options.

2008-04-29  Jonathan Stickel  <jjstickel@vcn.com>

	* statistics/distributions/tcdf.m, statistics/distributions/tinv.m:
	Doc fix.

2008-04-25  John W. Eaton  <jwe@octave.org>

	* miscellaneous/dbstack.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it to the list.

2008-04-21  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m (gnuplot_position_colorbox): New arg, obj.
	Change caller.  Improve sizing and position of colorbox for subplots.
	* plot/colorbar.m: New demos.

2008-04-16  S�ren Hauberg  <hauberg@gmail.com>

	* plot/__gnuplot_version__.m: Display error if gnuplot is not found.

2008-04-15  John W. Eaton  <jwe@octave.org>

	* plot/view.m: Get values from current axes if nargin == 0.

2008-04-15  David Bateman  <dbateman@free.fr>

	* plot/__patch__.m: Fix for NaN values in faces of patches.
	
2008-04-14  David Bateman  <dbateman@free.fr>

	* plot/rose.m: Add missing comment mark that causes issues with
	octave-forge function referencing.
	* deprecated/lchol.m, deprecated/splchol.m: Fix texinfo errors.

2008-04-09  John W. Eaton  <jwe@octave.org>

	* deprecated/beta_cdf.m, deprecated/beta_inv.m,
	deprecated/beta_pdf.m, deprecated/beta_rnd.m,
	deprecated/binomial_cdf.m, deprecated/binomial_inv.m,
	deprecated/binomial_pdf.m, deprecated/binomial_rnd.m,
	deprecated/chisquare_cdf.m, deprecated/chisquare_inv.m,
	deprecated/chisquare_pdf.m, deprecated/chisquare_rnd.m,
	deprecated/clearplot.m, deprecated/clg.m, deprecated/com2str.m,
	deprecated/exponential_cdf.m, deprecated/exponential_inv.m,
	deprecated/exponential_pdf.m, deprecated/exponential_rnd.m,
	deprecated/f_cdf.m, deprecated/f_inv.m, deprecated/f_pdf.m,
	deprecated/f_rnd.m, deprecated/gamma_cdf.m,
	deprecated/gamma_inv.m, deprecated/gamma_pdf.m,
	deprecated/gamma_rnd.m, deprecated/geometric_cdf.m,
	deprecated/geometric_inv.m, deprecated/geometric_pdf.m,
	deprecated/geometric_rnd.m, deprecated/hypergeometric_cdf.m,
	deprecated/hypergeometric_inv.m, deprecated/hypergeometric_pdf.m,
	deprecated/hypergeometric_rnd.m, deprecated/intersection.m,
	deprecated/is_bool.m, deprecated/is_complex.m,
	deprecated/is_list.m, deprecated/is_matrix.m,
	deprecated/is_scalar.m, deprecated/is_square.m,
	deprecated/is_stream.m, deprecated/is_struct.m,
	deprecated/is_symmetric.m, deprecated/is_vector.m,
	deprecated/isstr.m, deprecated/lchol.m,
	deprecated/lognormal_cdf.m, deprecated/lognormal_inv.m,
	deprecated/lognormal_pdf.m, deprecated/lognormal_rnd.m,
	deprecated/meshdom.m, deprecated/normal_cdf.m,
	deprecated/normal_inv.m, deprecated/normal_pdf.m,
	deprecated/normal_rnd.m, deprecated/pascal_cdf.m,
	deprecated/pascal_inv.m, deprecated/pascal_pdf.m,
	deprecated/pascal_rnd.m, deprecated/poisson_cdf.m,
	deprecated/poisson_inv.m, deprecated/poisson_pdf.m,
	deprecated/poisson_rnd.m, deprecated/polyinteg.m,
	deprecated/setstr.m, deprecated/spatan2.m, deprecated/spchol.m,
	deprecated/spchol2inv.m, deprecated/spcholinv.m,
	deprecated/spcumprod.m, deprecated/spcumsum.m, deprecated/spdet.m,
	deprecated/spdiag.m, deprecated/spfind.m, deprecated/spinv.m,
	deprecated/spkron.m, deprecated/splchol.m, deprecated/splu.m,
	deprecated/spmax.m, deprecated/spmin.m, deprecated/spprod.m,
	deprecated/spqr.m, deprecated/spsum.m, deprecated/spsumsq.m,
	deprecated/struct_contains.m, deprecated/struct_elements.m,
	deprecated/t_cdf.m, deprecated/t_inv.m, deprecated/t_pdf.m,
	deprecated/t_rnd.m, deprecated/uniform_cdf.m,
	deprecated/uniform_inv.m, deprecated/uniform_pdf.m,
	deprecated/uniform_rnd.m, deprecated/weibcdf.m,
	deprecated/weibinv.m, deprecated/weibpdf.m, deprecated/weibrnd.m,
	deprecated/weibull_cdf.m, deprecated/weibull_inv.m,
	deprecated/weibull_pdf.m, deprecated/weibull_rnd.m,
	deprecated/wiener_rnd.m: Don't embed newline in warning message.

2008-04-09  David Bateman  <dbateman@free.fr>

	* testfun/assert.m: Don't allow cond and expected to be lists.

2008-04-04  John W. Eaton  <jwe@octave.org>

	* strings/Makefile.in (SOURCES): Add isstrprop.m to the list.

	* Makefile.in, audio/Makefile.in, control/Makefile.in,
	* Makefile.incontrol/base/Makefile.in, control/hinf/Makefile.in,
	* Makefile.incontrol/obsolete/Makefile.in,
	* Makefile.incontrol/system/Makefile.in, control/util/Makefile.in,
	* Makefile.indeprecated/Makefile.in, elfun/Makefile.in,
	* Makefile.infinance/Makefile.in, general/Makefile.in,
	* Makefile.ingeometry/Makefile.in, image/Makefile.in,
	* Makefile.inio/Makefile.in, linear-algebra/Makefile.in,
	* Makefile.inmiscellaneous/Makefile.in, optimization/Makefile.in,
	* Makefile.inpath/Makefile.in, pkg/Makefile.in, plot/Makefile.in,
	* Makefile.inpolynomial/Makefile.in, quaternion/Makefile.in,
	* Makefile.inset/Makefile.in, signal/Makefile.in,
	* Makefile.insparse/Makefile.in, specfun/Makefile.in,
	* Makefile.inspecial-matrix/Makefile.in, startup/Makefile.in,
	* Makefile.instatistics/Makefile.in, statistics/base/Makefile.in,
	* Makefile.instatistics/distributions/Makefile.in,
	* Makefile.instatistics/models/Makefile.in,
	* Makefile.instatistics/tests/Makefile.in, strings/Makefile.in,
	* Makefile.intestfun/Makefile.in, time/Makefile.in
	* Makefile.in(check-m-sources): New target.

2008-04-04  Bill Denney  <bill@denney.ws>

	* optimization/lsqnonneg.m: Use optimset, correctly index
	Z and P in main loop.

2008-04-04  David Bateman  <dbateman@free.fr>

	* deprecated/beta_cdf.m deprecated/beta_inv.m
	deprecated/beta_pdf.m deprecated/beta_rnd.m
	deprecated/binomial_cdf.m deprecated/binomial_inv.m
	deprecated/binomial_pdf.m deprecated/binomial_rnd.m
	deprecated/chisquare_cdf.m deprecated/chisquare_inv.m
	deprecated/chisquare_pdf.m deprecated/chisquare_rnd.m
	deprecated/clearplot.m deprecated/clg.m deprecated/com2str.m
	deprecated/exponential_cdf.m deprecated/exponential_inv.m
	deprecated/exponential_pdf.m deprecated/exponential_rnd.m
	deprecated/f_cdf.m deprecated/f_inv.m deprecated/f_pdf.m
	deprecated/f_rnd.m deprecated/gamma_cdf.m deprecated/gamma_inv.m
	deprecated/gamma_pdf.m deprecated/gamma_rnd.m
	deprecated/geometric_cdf.m deprecated/geometric_inv.m
	deprecated/geometric_pdf.m deprecated/geometric_rnd.m
	deprecated/hypergeometric_cdf.m deprecated/hypergeometric_inv.m
	deprecated/hypergeometric_pdf.m deprecated/hypergeometric_rnd.m
	deprecated/intersection.m deprecated/is_bool.m
	deprecated/is_complex.m deprecated/is_list.m
	deprecated/is_matrix.m deprecated/is_scalar.m
	deprecated/is_square.m deprecated/is_stream.m deprecated/isstr.m
	deprecated/is_struct.m deprecated/is_symmetric.m
	deprecated/is_vector.m deprecated/lognormal_cdf.m
	deprecated/lognormal_inv.m deprecated/lognormal_pdf.m
	deprecated/lognormal_rnd.m deprecated/meshdom.m
	deprecated/normal_cdf.m deprecated/normal_inv.m
	deprecated/normal_pdf.m deprecated/normal_rnd.m
	deprecated/pascal_cdf.m deprecated/pascal_inv.m
	deprecated/pascal_pdf.m deprecated/pascal_rnd.m
	deprecated/poisson_cdf.m deprecated/poisson_inv.m
	deprecated/poisson_pdf.m deprecated/poisson_rnd.m
	deprecated/polyinteg.m deprecated/setstr.m
	deprecated/struct_contains.m deprecated/struct_elements.m
	deprecated/t_cdf.m deprecated/t_inv.m deprecated/t_pdf.m
	deprecated/t_rnd.m deprecated/uniform_cdf.m
	deprecated/uniform_inv.m deprecated/uniform_pdf.m
	deprecated/uniform_rnd.m deprecated/weibcdf.m deprecated/weibinv.m
	deprecated/weibpdf.m deprecated/weibrnd.m deprecated/weibull_cdf.m
	deprecated/weibull_inv.m deprecated/weibull_pdf.m
	deprecated/weibull_rnd.m deprecated/wiener_rnd.m: Add warning that
	function will be removed in a future version.

2008-04-03  John W. Eaton  <jwe@octave.org>

	* deprecated/beta_cdf.m, deprecated/beta_inv.m,
	deprecated/beta_pdf.m, deprecated/beta_rnd.m,
	deprecated/binomial_cdf.m, deprecated/binomial_inv.m,
	deprecated/binomial_pdf.m, deprecated/binomial_rnd.m,
	deprecated/chisquare_cdf.m, deprecated/chisquare_inv.m,
	deprecated/chisquare_pdf.m, deprecated/chisquare_rnd.m,
	deprecated/clearplot.m, deprecated/clg.m, deprecated/com2str.m,
	deprecated/exponential_cdf.m, deprecated/exponential_inv.m,
	deprecated/exponential_pdf.m, deprecated/exponential_rnd.m,
	deprecated/f_cdf.m, deprecated/f_inv.m, deprecated/f_pdf.m,
	deprecated/f_rnd.m, deprecated/gamma_cdf.m,
	deprecated/gamma_inv.m, deprecated/gamma_pdf.m,
	deprecated/gamma_rnd.m, deprecated/geometric_cdf.m,
	deprecated/geometric_inv.m, deprecated/geometric_pdf.m,
	deprecated/geometric_rnd.m, deprecated/hypergeometric_cdf.m,
	deprecated/hypergeometric_inv.m, deprecated/hypergeometric_pdf.m,
	deprecated/hypergeometric_rnd.m, deprecated/intersection.m,
	deprecated/is_bool.m, deprecated/is_complex.m,
	deprecated/is_list.m, deprecated/is_matrix.m,
	deprecated/is_scalar.m, deprecated/is_square.m,
	deprecated/is_stream.m, deprecated/is_struct.m,
	deprecated/is_symmetric.m, deprecated/is_vector.m,
	deprecated/isstr.m, deprecated/lchol.m,
	deprecated/lognormal_cdf.m, deprecated/lognormal_inv.m,
	deprecated/lognormal_pdf.m, deprecated/lognormal_rnd.m,
	deprecated/meshdom.m, deprecated/normal_cdf.m,
	deprecated/normal_inv.m, deprecated/normal_pdf.m,
	deprecated/normal_rnd.m, deprecated/pascal_cdf.m,
	deprecated/pascal_inv.m, deprecated/pascal_pdf.m,
	deprecated/pascal_rnd.m, deprecated/poisson_cdf.m,
	deprecated/poisson_inv.m, deprecated/poisson_pdf.m,
	deprecated/poisson_rnd.m, deprecated/polyinteg.m,
	deprecated/setstr.m, deprecated/spatan2.m, deprecated/spchol.m,
	deprecated/spchol2inv.m, deprecated/spcholinv.m,
	deprecated/spcumprod.m, deprecated/spcumsum.m, deprecated/spdet.m,
	deprecated/spdiag.m, deprecated/spfind.m, deprecated/spinv.m,
	deprecated/spkron.m, deprecated/splchol.m, deprecated/splu.m,
	deprecated/spmax.m, deprecated/spmin.m, deprecated/spprod.m,
	deprecated/spqr.m, deprecated/spsum.m, deprecated/spsumsq.m,
	deprecated/struct_contains.m, deprecated/struct_elements.m,
	deprecated/t_cdf.m, deprecated/t_inv.m, deprecated/t_pdf.m,
	deprecated/t_rnd.m, deprecated/uniform_cdf.m,
	deprecated/uniform_inv.m, deprecated/uniform_pdf.m,
	deprecated/uniform_rnd.m, deprecated/weibcdf.m,
	deprecated/weibinv.m, deprecated/weibpdf.m, deprecated/weibrnd.m,
	deprecated/weibull_cdf.m, deprecated/weibull_inv.m,
	deprecated/weibull_pdf.m, deprecated/weibull_rnd.m,
	deprecated/wiener_rnd.m:
	Note version when function was deprecated.

2008-04-03  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Conditionally "set pm3d implict" for 2D
	plot or 3D plots with more than one line.
	
	* deprecated/splchol.m deprecated/lchol.m deprecated/spfind.m
	deprecated/spchol.m deprecated/spmin.m deprecated/spmax.m
	deprecated/spdet.m deprecated/splu.m deprecated/spqr.m
	deprecated/spatan2.m deprecated/spchol2inv.m
	deprecated/spcholinv.m deprecated/spcumprod.m deprecated/spdiag.m
	deprecated/spinv.m deprecated/spcumsum.m deprecated/spprod.m
	deprecated/spsum.m deprecated/spsumsq.m: New files
	* deprecated/Makefile.in (SOURCES): Add them here.

2008-04-03  Ben Abbott  <bpabbott@mac.com>

	* sparse/spaugment.m: Increase test script tolerance.

2008-04-02  John W. Eaton  <jwe@octave.org>

	* deprecated/Makefile.in (SOURCES): Add spkron.m to the list.

	* general/Makefile.in (SOURCES): Add runlength.m to the list.

2008-04-02  Bill Denney  <bill@denney.ws>

	* optimization/lsqnonneg.m: New function.
	* optimization/Makefile.in (SOURCES): Add it to the list.

2008-04-02  David Bateman  <dbateman@free.fr>

	* sparse/spaugment.m: New function
	* sparse/Makefile.in (SOURCES): Add it here.
	
	* plot/__gnuplot_ginput__.m: Use the gnuplot stream itself for
	communication rather than a chat file if mkfifo is not available.
	* plot/gnuplot_drawnow.m: Open stream with popen2 to allow two way
	communication with the gnuplot process.

2008-04-01  Richard Bovey  <Richard.Bovey@baesystems.com>

	* general/sortrows.m: Handle negative column arguments.

2008-04-01  Julian Schnidder  <j.schnidder@gmx.de>

	* miscellaneous/perl.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it to the list.

2008-03-31  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Set the tick direction in the main call
	the set tics rather than separately to avoid issues with multiple
	ticks in plotyy.
	
	* plot/gtext.m: New function to place text on a plot.
	* plot/waitforbuttonpress.m: New function.
	* plot/Makefile.in (SOURCES): Add them to the list.
	* plot/__gnuplot_ginput__.m: Bug fix for nargin==1. Workaround for
	missing mkfifo under Windows.
	* plot/ginput.m: Eliminate setting of n.
	
	* plot/ginput.m: New function.
	* plot/__gnuplot_ginput__.m: New function based on a version of
	ginput.m from Petr Mikulik <mikulik@physics.muni.cz>.
	* plot/Makefile.in (SOURCES): Add them to the list.

2008-03-31  Dmitri A. Sergatskov  <dasergatskov@gmail.com>

	* miscellaneous/run.m: Fix check for existence of file.

2008-03-27  Jaroslav Hajek  <highegg@gmail.com>

	* general/lookup.m: Remove (lookup moved to DLD-FUNCTIONS).
	* general/Makefile.in (SOURCES): Delete lookup.m from the list.
	* general/interp1.m, general/interp2.m, general/interpn.m,
	polynomial/ppval.m: Fix buggy lookup calls.
	* general/interp1.m: New test.

2008-03-28  Thomas Weber  <thomas.weber.mail@gmail.com>

	* miscellaneous/tempdir.m: Use correct function name in texinfo
	documentation.

2008-03-28  Jaroslav Hajek  <highegg@gmail.com>

	* general/del2.m: Missing semicolon.

2008-03-28  Julian Schnidder  <j.schnidder@gmx.de>

	* miscellaneous/info.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it to the list.

2008-03-27  S�ren Hauberg  <hauberg@gmail.com>

	* plot/xlim.m, plot/ylim.m, plot/zlim.m, strings/strtrim.m:
	Doc fixes.

2008-03-27  David Bateman  <dbateman@free.fr>

	* plot/__plt2__.m: Test if args are empty first so that
	plot(zeros(1,0),zeros(1,0)) works as expected.

	* plot/plotyy.m: The axis handle is a two element vector and
	so needs special treatment. Call newplot for the second axis.

2008-03-27  Bill Denney  <bill@denney.ws>

	* time/datenum.m: Allow vector inputs in any orientation.

	* strings/validatestring.m: New function.
	* strings/Makefile.in (SOURCES): Add it to the list.

	* general/nargoutchk.m: New function.
	* general/Makefile.in (SOURCES): Add it to the list.

	* general/genvarname.m: New function.
	* general/Makefile.in (SOURCES): Add it to the list.

	* time/addtodate.m: New function.
	* time/Makefile.in (SOURCES): Add it to the list.

	* geometry/rectint.m: Vectorize and add more tests.

2008-03-27  John W. Eaton  <jwe@octave.org>

	* plot/__axis_label__.m: Use name of caller in error message.

2008-03-27  David Bateman  <dbateman@free.fr>

	* linear-algebra/planerot.m: Givens rotation function.

2008-03-26  John W. Eaton  <jwe@octave.org>

	* set/ismember.m: Set size of idx output correctly for empty args.
	New tests.

	* general/logical.m: Correctly handle empty args.  New tests.

	* control/hinf/h2syn.m, general/__splinen__.m, general/gradient.m,
	geometry/inpolygon.m, geometry/trimesh.m, geometry/triplot.m,
	image/imagesc.m, io/csvread.m, io/csvwrite.m,
	miscellaneous/edit.m, miscellaneous/tempname.m, plot/fill.m,
	plot/patch.m, plot/ribbon.m, plot/surface.m, polynomial/mkpp.m,
	polynomial/pchip.m, polynomial/spline.m, set/unique.m:
	Texinfo fixes.

2008-03-26  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/dmult.m: Handle scaling along arbitrary dimension.

2008-03-26  S�ren Hauberg  <hauberg@gmail.com>

	* polynomial/convn.m: New tests.

2008-03-20  Ben Abbott  <bpabbott@mac.com>

	* statistics/base/statistics.m: Calculate median and quantiles in
	a manner consistent with method #7 used by GNU R.
	* statistics/base/__quantile__.m, statistics/base/quantile.m,
	statistics/base/prctile.m: New functions.
	* statistics/base/Makefile.in (SOURCES): Add them to the list.
 
2008-03-25  S�ren Hauberg  <hauberg@gmail.com>

	* polynomial/convn.m: New function.
	* polynomial/Makefile.in (SOURCES): Add it to the list.

2008-03-25  David Bateman  <dbateman@free.fr>

	* image/contrast.m: New function.
	* image/Makefile.in (SOURCES): Add it to the list.
	
2008-03-24  Thomas Weber  <thomas.weber.mail@gmail.com>

	* pkg/pkg.m: Allow installation of already extracted packages.

2008-03-24  David Bateman  <dbateman@free.fr>

	* general/idivide.m: New function.
	* general/Makefile.in (SOURCES): Add it to the list.

	* miscellaneous/namelengthmax.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it to the list.

	* strings/regexptranslate.m: New function.
	* strings/Makefile.in (SOURCES): Add it to the list.

2008-03-21  David Bateman  <dbateman@free.fr>

	* specfun/reallog.m, specfun/realpow.m, specfun/realsqrt.m:
	New functions.
	* specfun/Makefile.in (SOURCES): Add them to the list.

2008-03-20  David Bateman  <dbateman@free.fr>

	* general/tril.m, general/triu.m: Fail if input is a structure.

	* miscellaneous/cast.m: Also allow cast to "char".

	* general/rotdim.m: Ensure k is an integer scale.

	* general/circshift.m: If matrix is empty fast return.

2008-03-20  Jaroslav Hajek  <highegg@localhost.localdomain>

	* linear-algebra/subspace.m: Check number of arguments, number
	of dimensions of arguments and matching dimensions.

2008-03-19  Jaroslav Hajek  <highegg@gmail.com>

	* linear-algebra/subspace.m: New function.
	* linear-algebra/subspace.m: New function.

2008-03-19  Emil Lucretiu  <emil@la.mine.nu>

	* signal/sinetone.m: Ensure integral number of samples.

2008-03-19  Michael D. Godfrey  <godfrey@isl.stanford.edu>

	* plot/__go_draw_axes__.m: Additional correction for symbol codes.

2008-03-19  Ben Abbott  <bpabbott@mac.com>
	
	* statistics/base/mode.m: Add NDArray tests.

2008-03-19  Jaroslav Hajek  <highegg@gmail.com>

	* statistics/distributions/exppdf.m,
	statistics/distributions/expcdf.m,
	statistics/distributions/expinv.m,
	statistics/distributions/exprnd.m: Doc fix.

2008-03-19  David Bateman  <dbateman@free.fr>

	* statistics/base/mode.m: Fix for row vectors.

	* plot/__scatter__.m: Modify for change of markersize in
	__go_draw_axes__.m and for compatibility.
	* plot/__go_draw_axes__.m: Don't divide the marker size by 6
	twice.
	* plot/scatter3.m: Doc fix.

2008-03-18  Ben Abbott  <bpabbott@mac.com>

	* specfun/beta.m: Fix for negative inputs.

2008-03-18  Michael D. Godfrey  <godfrey@isl.stanford.edu>

	* plot/__go_draw_axes__.m: Use correct symbol codes.

2008-03-14  Kai Habel  <kai.habel@gmx.de>

        * plot/__go_draw_axes__.m: Expicitly set gnuplot user
        style to default to avoid wrong mesh color in some cases.

2008-03-12  David Bateman  <dbateman@free.fr>

	* geometry/griddata3.m: Use griddatan and not griddata
	internally. Return vi and not yi. Add test code.

2008-03-11  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Use get to access hidden properties.
	Use strcmpi when comparing string properties.

	* io/csread.m, io/csvwrite.m, io/dlmwrite.m: Style fixes.

2008-03-11  Kai Habel  <kai.habel@gmx.de>

        * plot/__go_draw_axes__.m: Plot surfaces in front of axes.
        Allow plotting of uniform colored mesh plots with and
        w/o hidden line removal.

2008-03-11  David Bateman  <dbateman@free.fr>

	* io/dlmwrite.m, io/csvread.m, io/csvwrite.m: Files ported from
	octave-forge.
	* io/Makefile.in (SOURCES): Add them here.

2008-03-07  John W. Eaton  <jwe@octave.org>

	* plot/contourf.m: Set axes layer property to "top".

	* plot/__go_draw_axes__.m: Handle tickdir property.

2008-03-06  John W. Eaton  <jwe@octave.org>

	* plot/hist.m: Avoid temporaries.
	Allow matrix arguments when number of bins > 30.
	From Robert S. Mahurin <rob@utk.edu>.

	* plot/ChangeLog: Handle axes linewidth property.

	* plot/__go_draw_axes__.m: Adjust markersize by a factor of 1/6.

	* general/interpn.m: New test.

2008-03-05  Ben Abbott  <bpabbott@mac.com>

	* polynomial/roots.m: Catch Infs and/or NaNs.

2008-03-05  Sebastien Loisel  <loisel@temple.edu>

	* polynomial/roots.m: Apply a scaling factor to the removal of the
	leading zeros.

2008-03-04  John W. Eaton  <jwe@octave.org>

	* plot/print.m: Fix oops in applying last change.

2008-03-04  Bill Denney  <bill@denney.ws>

	* plot/allchild.m, plot/findall.m: New functions.
	* plot/Makefile.in (SOURCES): Add them to the list.

	* geometry/rectint.m: New function.
	* geometry/Makefile.in (SOURCES): Add it to the list.

2008-03-04  Michael Goffioul  <michael.goffioul@gmail.com>

	* pkg/pkg.m (pkg:configure_make): Make it work with recent changes in
	isspace handling with cell arrays of strings.

2008-03-04  Ben Abbott  <bpabbott@mac.com>

	* polynomial/polyfit.m: Modified tests to respect a relative tolerance.

	* plot/print.m: Accept a figure handle as an optional input.
 
2008-02-29  John W. Eaton  <jwe@octave.org>

	* plot/print.m: Handle gif and jpg devices.

2008-02-28  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m (get_old_gnuplot_color): New subfunction.
	Use it to replace repeated if/elseif blocks.

2008-02-28  Kai Habel  <kai.habel@gmx.de>

	* plot/__go_draw_axes__.m: If facecolor property of a surface is
	"none", don't use pm3d mode and set linestyle correctly. 

2008-02-25  Ben Abbott  <bpabbott@mac.com>

	* control/system/zpout.m, finance/irr.m, general/int2str.m,
	general/num2str.m, miscellaneous/bug_report.m,
	miscellaneous/copyfile.m, miscellaneous/dir.m,
	miscellaneous/edit.m, miscellaneous/fullfile.m,
	miscellaneous/mkoctfile.m, miscellaneous/movefile.m,
	miscellaneous/tempdir.m, miscellaneous/unpack.m,
	path/__extractpath__.m, pkg/pkg.m, plot/__ezplot__.m,
	plot/__go_draw_axes__.m, plot/legend.m, plot/print.m,
	signal/spectral_adf.m, signal/spectral_xdf.m,
	statistics/tests/z_test.m, statistics/tests/z_test_2.m,
	strings/Makefile.in, strings/strcat.m, strings/strvcat.m,
	testfun/assert.m, testfun/demo.m, testfun/speed.m,
	testfun/test.m: Use cstrcat instead of strcat.

	* strings/strcat.m: New compatible version.

	* strings/cstrcat.m: Rename from strings/strcat.m.

2008-02-25  John W. Eaton  <jwe@octave.org>

	* strings/isstrprop.m: New file.

2008-02-25  Ryan Hinton  <rwh4s@virginia.edu>

	* miscellaneous/unpack.m: Use "-f -" args for tar.

2008-02-24  John W. Eaton  <jwe@octave.org>

	* specfun/log2.m: Ensure returned value of F strictly less than 1.
	From Dave Hawthorne <davehawthorne@ieee.org>.

2008-02-22  Ben Abbott  <bpabbott@mac.com>

	* specfun/legendre.m: Doc fix.

2008-02-22  David Bateman  <dbateman@free.fr>

	* sparse/pcg.m, sparse/spdiags, spstats.m: Remove references to
	spdiag.
	
2008-02-22  John W. Eaton  <jwe@octave.org>

	* miscellaneous/fullfile.m: Improve handling of empty args and
	args ending with filesep.

	* control/base/__stepimp__.m: Don't use subplot for just one plot.

2008-02-21  John W. Eaton  <jwe@octave.org>

	* image/imshow.m: Call axis ("image").
	From Michael G. Ross <mgross@MIT.EDU>.

	* plot/errorbar.m: If nargout > 0, return vector of handles to
	line objects.
	* plot/__go_draw_axes__.m: Improve handling of line style for
	errorbar plots.

2008-02-20  Marco Caliari  <marco.caliari@univr.it>

	* specfun/legendre.m: Accept normalization options ("sch", "norm"),
	and improve stability for higher orders.

2008-02-20  John W. Eaton  <jwe@octave.org>

	* strings/strcat.m: Detect cellstr args.

2008-02-20  David Bateman  <dbateman@free.fr>

	* sparse/colperm.m, sparse/nonzero.m, sparse/spdiags.m,
	sparse/spfun.m, sparse/spones.m, sparse/sprand.m,
	sparse/sprandn.m, sparse/sprandsym.m, sparse/spy.m: Use generic
	version of find rather than spfind.

2008-02-19  Ben Abbott  <bpabbott@mac.com>

	* miscellaneous/edit.m: New option EDITINPLACE.  Prefer file list
	rather than path list.  Return option structure with "get all".

	* polynomial/polyfit.m: Use QR decomposition.  Handle
	normalization option.
	* polynomial/polyval.m: Normalize dependent variable.  Optionally
	generate 50% prediction intervals.

	* miscellaneous/ver.m: Include package version information in
	output.  Improve consistency with Matlab.

2008-02-19  John W. Eaton  <jwe@octave.org>

	* pkg/pkg.m: Style fixes.

2008-02-19  Carlo de Falco  <carlo.defalco@gmail.com>

	* pkg/pkg.m: Handle 'describe' command.
	(parse_pkg_idx, print_package_description): New subfunctions.
	
2008-02-19  Bill Denney  <bill@denney.ws>

	* time/datestr.m: Avoid confusion for datenum vectors that are 6
	elements wide.

2008-02-18  David Bateman  <dbateman@free.fr>

	* general/rem.m, general/mod.m: Treat integer types correctly.

2008-02-15  Timo Lindfors  <timo.lindfors@iki.fi>

	* statistics/tests/kruskal_wallis_test.m: Handle ties.
	* general/runlength.m: New function from Paul Kienzle.

2008-02-15  Rolf Fabian  <r.fabian@jacobs-university.de>

	* linear-algebra/cond.m: New optional second argument to
	specify 1-norm, inf-norm, or frobenius-norm. 

2008-02-12  Kostas Poulios  <poulios.konstantinos@googlemail.com>

	* plot/__quiver__.m: make arrow head be in z-plane of the arrow
	body. Allow the linespec to specify the arrow color.

2008-02-12  David Bateman  <dbateman@free.fr>

	* miscellaneous/cast.m: Also treat the logical type.

	* plot/__go_draw_axes__.m: Set pm3d implict to fix colorbars on
	contour plots.

 	* plot/__go_draw_axes__.m: Use the cdatamapping property to set
	the cbrange.
	* plot/__img__.m: Set cdatamapping to "direct".
	* plot/imagesc.m: Set cdatamapping to "scaled".

2008-02-08  Julien Pommier  <pommier@pianoteq.com>

	* audio/wavread.m: Limit data read to end of data chunk.

2008-02-08  David Bateman  <dbateman@free.fr>

	* plot/__contour__.m: Respect the graphic handle options that are
	passed.
	* plot/__go_draw_axes__.m: Respect the linewidth for patch objects.

2008-02-01  Dave Goel  <deego3@gmail.com>

	* signal/arch_rnd.m: Correctly index E and Y vectors.

2008-02-01  Bill Denney  <bill@denney.ws>

	* time/weekday.m: Allow vector inputs and speed up.
	* time/eomday.m: Return column vector for column vector inputs.

2008-01-30  John W. Eaton  <jwe@octave.org>

	* miscellaneous/edit.m: Use "## Created: DATE" instead of "initial
	revision".

	* plot/Makefile.in (SOURCES): Include __plt2sv__.m and
	__plt2vs__.m in the list.

	* miscellaneous/tempdir.m: Append filesep to name for
	compatibility.  Warn if not a directory or directory does not
	exist.

	* strings/deblank.m: Improve compatibility.

2008-01-29  John W. Eaton  <jwe@octave.org>

	* strings/str2double.m: Delete unused variable FLAG_OCTAVE.

2008-01-28  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/xlabel.m, plot/ylabel.m, plot/zlabel.m:
	Return the label handle, not the current axis handle.

2008-01-25  Alexander Barth  <barth.alexander@gmail.com>

	* general/interpn.m: Compatibility fix. Don't ndgrid vector
	abscissa.
	
2008-01-25  David Bateman  <dbateman@free.fr>

	* general/__splinen__.m: Treat mixed orientation vectors.
	* plot/__scatter__.m: Remove NaN values from data.
	* plot/__patch__.m: Vectorize treatment of trailing NaN values.

2008-01-25  Thomas Weber  <thomas.weber.mail@gmail.com>

	* linear-algebra/trace.m: Test cases for non 2-d args.

2008-01-25  James Packer  <james.packer@wadh.ox.ac.uk>

	* geometry/griddata3.m: Call griddata, not gridata.

2008-01-24  Schloegl Alois  <alois.schloegl@tugraz.at>

	* linear-algebra/trace.m: Require 2-d args.  Handle vectors properly.

2008-01-22  Thomas Weber  <thomas.weber.mail@gmail.com>

	* linear-algebra/cond.m, linear-algebra/trace.m:
	Move tests here from test/test_linalg.m.
	
	* general/diff.m, general/fliplr.m, general/flipud.m,
	general/logspace.m, general/rot90.m, general/shift.m, general/tril.m,
	general/triu.m, linear-algebra/vec.m, linear-algebra/vech.m,
	special-matrix/hankel.m, special-matrix/hilb.m,
	special-matrix/invhilb.m, special-matrix/sylvester_matrix.m,
	special-matrix/toeplitz.m, special-matrix/vander.m:
	Move tests here from test/test_matrix.m.
	
	* general/isscalar.m, general/issquare.m, general/isvector.m:
	Move tests here from test/test_number.m.
	
	* deprecated/polyinteg.m, polynomial/compan.m, polynomial/conv.m,
	polynomial/deconv.m, polynomial/poly.m, polynomial/polyderiv.m,
	polynomial/polyfit.m, polynomial/polyreduce.m, polynomial/polyval.m,
	polynomial/polyvalm.m, polynomial/roots.m:
	Move tests here from test/test_poly.m.

	* signal/unwrap.m:
	Move tests here from test/test_signal.m.

	* statistics/base/corrcoef.m, statistics/base/cov.m,
	statistics/base/kurtosis.m, statistics/base/mahalanobis.m,
	statistics/base/mean.m, statistics/base/median.m,
	statistics/base/skewness.m, statistics/base/std.m:
	Move tests here from test/test_stats.m.

	* general/int2str.m, general/num2str.m, strings/bin2dec.m,
	strings/blanks.m, strings/deblank.m, strings/dec2bin.m,
	strings/dec2hex.m, strings/findstr.m, strings/hex2dec.m,
	strings/index.m, strings/rindex.m, strings/split.m, strings/str2mat.m,
	strings/str2num.m, strings/strcat.m, strings/strrep.m,
	strings/substr.m:
	Move tests here from test/test_string.m.

	* miscellaneous/computer.m, miscellaneous/ls.m,
	miscellaneous/version.m, time/asctime.m, time/clock.m, time/ctime.m,
	time/date.m, time/etime.m, time/is_leap_year.m:
	Move tests here from test/test_system.m.

2008-01-22  Schloegl Alois  <alois.schloegl@tugraz.at>

	* specfun/erfinv.m: Replace z_old and z_new by a single variable z.
	Simplify initial checks on argument values.

2008-01-22  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/gnuplot_drawnow.m: New function corresponding to the
	implementation of the gnuplot-based graphics backend (derived from
	drawnow.m).
	* plot/drawnow.m: Deleted (converted to C++).

2008-01-15  Rolf Fabian  <Rolf.Fabian@gmx.de>

	* linear-algebra/__norm__.m: Only scale if inf norm is finite.
	New tests.

2008-01-18  John W. Eaton  <jwe@octave.org>

	* optimization/sqp.m: End each function with endfunction.

2008-01-18  Ben Abbott  <bpabbott@mac.com>

	* polynomial/residue.m: For each group of pole multiplicity, set
	the poles of the group to the value of the group's average.

2008-01-17  Tetsuro KURITA  <tkurita@mac.com>

	* plot/print.m: Handle PDF output.
	* plot/drawnow.m: Add "PDF" in a list of enhanced_terminals. 

2008-01-17  John W. Eaton  <jwe@octave.org>

	* path/savepath.m: Print newline before initial comment line.
	Double up single quote characters.
	* path/__extractpath__.m: Return just the path as a string.
	Undo single quote character doubling.

	* path/pathdef.m: Avoid eval.  Simplify.

	* path/pathdef.m: Use fullfile instead of concatenating with filesep.
	* path/__extractpath__.m, path/savepath.m: Use unwind_protect to
	avoid possible file descriptor leak.

2008-01-17  Ben Abbott  <bpabbott@mac.com>

	* path/savepath.m: Warn if modified file is not explicitly specified.
	* startup/main-rcfile: Call atexit ("__finish__").

2008-01-16  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m (__do_enhanced_option__): New subfunction.
	Use it to disable enhanced mode for individual labels and titles.

	* startup/Makefile.in (SOURCES): Add __finish__.m to the list.
	(install install-strip, uninstall): Handle function files.

2008-01-16  Ben Abbott  <bpabbott@mac.com>

	* startup/__finish__.m: New file.
	* path/__extractpath__.m, path/matlabroot.m,
	path/pathdef.m: New files.
	* path/Makefile.in (SOURCES): Add them to the list.

2008-01-15  Thomas Weber  <thomas.weber.mail@gmail.com>

	* special-matrix/vander.m: Vectorize.  New test.

	* elfun/acot.m, elfun/acoth.m, elfun/acsc.m, elfun/acsch.m,
	elfun/asec.m, elfun/asech.m, elfun/cot.m, elfun/coth.m,
	elfun/csc.m,elfun/csch.m, elfun/lcm.m, elfun/sec.m, elfun/sech.m,
	general/rem.m, miscellaneous/bincoeff.m, miscellaneous/xor.m,
	specfun/beta.m, specfun/log2.m, specfun/pow2.m:
	Move tests here from test/test_arith.m.

2008-01-15  John W. Eaton  <jwe@octave.org>

	* linear-algebra/__norm__.m: Use sum(abs(x),2), not sum(abs(x.')).

2008-01-15  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/drawnow.m, plot/__go_draw_figure__.m, plot/__go_draw_axes__.m: 
	Call __get__ instead of get.

2008-01-15  Ben Abbott  <bpabbott@mac.com>

	* linear-algebra/__norm__.m: Avoid divide by zero error for
	Frobenius norm if matrix is all zeros.  Use transpose instead of
	hermitian operator.

2008-01-14  Bill Denney  <bill@denney.ws>

	* plot/axis.m: Correctly handle "tight" and "image" options.

2008-01-14  S�ren Hauberg  <hauberg@gmail.com>

	* image/hsv2rgb.m, image/ntsc2rgb.m, image/rgb2hsv.m,
	image/rgb2ntsc.m: Also accept images as input.

	* image/gray2ind.m: Handle image type other than double.
	Improve error checking and documentation.

2008-01-14  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m (get_fontname_and_size): Use strcmpi
	instead of calling tolower on first arg.  Default font name is
	Helvetica, not helvetica.  Don't downcase user-specified font name.
	(__maybe_munge_text__): Fix typo.

	* optimization/sqp.m: Fix function definitions in test code.

2008-01-12  John W. Eaton  <jwe@octave.org>

	* plot/gnuplot_binary.in: New file.
	* plot/gnuplot_binary.m: Delete.
	* plot/Makefile.in (SOURCES): Remove gnuplot_binary.m from the list.
	(SOURCES_IN, GEN_M): New macros.
	(DISTFILES): Include $(SOURCES_IN) in the list.
	(FCN_FILES): Include $(GEN_M) in the list.
	(all): Depend on $(GEN_M).
	($(GEN_M): %.m : $(TOPDIR)/Makeconf): New pattern rule.
	(distclean): Also remove $(GEN_M).

2008-01-11  John W. Eaton  <jwe@octave.org>

	* optimization/sqp.m: New test from example in doc string.

2008-01-10  Ben Abbott  <bpabbott@mac.com>

	* polynomial/mpoles.m: Avoid cases where poles could be assigned
	to more than one multiplicity group.

2008-01-10  John W. Eaton  <jwe@octave.org>

	* plot/gnuplot_binary.m: New file.
	* plot/Makefile.in (SOURCES): Add it to the list.

2008-01-09  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m: Fail if filename includes a directory part that
	does not exist.

2008-01-07  John W. Eaton  <jwe@octave.org>

	* miscellaneous/copyfile.m, miscellaneous/movefile.m:
	Error if glob call fails to match any files.

2008-01-04  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* strings/strtrim.m: Doc fix.

2008-01-04  Muthiah Annamalai  <muthuspost@gmail.com>

	* general/sub2ind.m, general/ind2sub.m: Doc fix.

2008-01-04  S�ren Hauberg   <hauberg@gmail.com>

	* set/create_set.m, set/union.m: Accept "rows" argument.

2008-01-02  John W. Eaton  <jwe@octave.org>

	* plot/print.m: Correctly handle pbm terminal.

2007-12-28  John W. Eaton  <jwe@octave.org>

	* miscellaneous/edit.m: Use strcat instead of fullfile to add file
	extensions.

2007-12-28  David Bateman  <dbateman@free.fr>

	* ezcontourf.m, ezcontour.m, ezmeshc.m, ezmesh.m, ezplot3.m,
	__ezplot__.m, ezpolar.m, ezsurfc.m, ezsurf.m: New functions.
	* Makefile.in (SOURCES): Add to the sources.

2007-12-28  Kai Habel  <kai.habel@gmx.de>

	* plot/pcolor.m: Swap 1st and 2nd argument in call to meshgrid.
	Remove unnecessary call of size function.

2007-12-21  John W. Eaton  <jwe@octave.org>

	Version 3.0.0 released.

2007-12-21  S�ren Hauberg  <hauberg@gmail.com>

	* image/imshow.m: Accept empty value for display_range.

2007-12-20  Michael Goffioul  <michael.goffioul@gmail.com>

	* pkg/pkg.m: Add .lib as architecture-dependent suffix.

2007-12-19  S�ren Hauberg  <hauberg@gmail.com>

	* image/imshow.m: Store uint8 images as doubles.  Handle default
	display ranges correctly.

2007-12-19  Alexander Barth  <barth.alexander@gmail.com>
	    Peter A. Gustafson  <petegus@umich.edu>

	* plot/contourc.m: Allow usage of irregular spaced x, y data.

2007-12-19  John W. Eaton  <jwe@octave.org>

	* miscellaneous/edit.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it to the list.

2007-12-19  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/__bar__.m: Handle "basevalue" option.
	* plot/__bars__.m: New arg, base_value.

2007-12-17  David Bateman  <dbateman@free.fr>

	* plot/rose.m, plot/feather.m, plot/compass.m: New functions
	* plot/Makefiles (SOURCES): Add them to the sources
	* plot/polar.m: Set the x and y limits to the maximum polar
	radius. Set the axes to be square.
	* plot/__go_draw_axes__.m: Allow {x|y}axislocation to be "zero"
	and print axis at zero if this is used.

	* plot/__go_draw_axes__.m: Use "set pm3d explicit" so that
	contours can overlay pcolor plots. Priveldge no hidden line
	removal when there are multiple objects in the plot.

2007-12-17  Peter A. Gustafson  <petegus@umich.edu>

	* plot/__go_draw_axes__.m:  Fix mirrored tics and borders for
	set (gca (), "[xy]axislocation", "{right|top}", "box", "off").

2007-12-17  Ben Abbott  <bpabbott@mac.com>

         * miscellaneous/run.m: Replace script with f when looking for
	 file to run.

2007-12-14  David Bateman  <dbateman@free.fr>

	* plot/contour3.m, plot/__contour__.m: Handle linespec.
	* plot/contour.m: Doc fix.
	* plot/__go_draw_axes__.m (case "patch"): Include "lt" in lt string.
	Include linetype in withclause.

	* plot/__go_draw_axes__.m (__calc_dimensions__): New function.
	Use it to determine dimensions.  Consolidate all 3-d settings.

2007-12-13  John W. Eaton  <jwe@octave.org>

	* image/imshow.m: Turn axis visibility off.
	Don't scale true color images.
	* image/image.m: Set axis layer property to "top".

2007-12-12  John W. Eaton  <jwe@octave.org>

	* image/loadimage.m: Avoid calling eval.  Avoid calling exist.

	* plot/pie.m: Avoid calling "exist".

	* linear-algebra/condest.m: Use nargin instead of size(varargin,2).	
	Condense argument processing logic.  Allow 6 arguments.
	Use issquare.  Avoid calling "exist".

	* plot/__go_draw_axes__.m: Handle the axes layer property.

2007-12-12  David Bateman  <dbateman@free.fr>

	* plot/ellipsoid.m: Port from octave-forge, editing for style.
	* plot/Makefile.in (SOURCES): Add to the sources.

2007-12-11  John W. Eaton  <jwe@octave.org>

	* plot/surf.m: Set xgrid, ygrid, and zgrid on here.
	* plot/surface.m: Not here.

	* plot/__go_draw_axes__.m: Always use "set grid front".  Send a
	subsequent "unset grid" if there is no grid.

	* plot/__go_draw_axes__.m: Include "front" in "set label" options.

	* plot/surface.m: Don't set facecolor property in call to
	__go_surface__.

	* plot/__plt2vs__.m, plot/__plt2sv__.m: New functions.
	* plot/__plt2__.m: Handle scalar-vector and vector-scalar cases.

2007-12-11  Kai Habel  <kai.habel@gmx.de>

	* plot/__patch__.m: Fix typo. Improve argument checking, so that a
	color string is not taken as z value.

	* plot/slice.m: Remove unused variable, set xgrid, ygrid, and
	zgrid to "on" and box to "off" for used axes.

	* plot/__go_draw_axes__.m, plot/plot3.m, plot/ribbon.m,
	plot/slice.m: Use size_equal(var1,var2,...) when possible.

2007-12-11  David Bateman  <dbateman@free.fr>

	* miscelleaneous/fullfile.m: Ignore empty arguments.

	* sparse/spstats.m: Drop argument to Fsparse to force mutation.
	* statistics/base/mode.m: Ditto.

	* plot/__plt_get_axis_arg__.m: Ignore integer valued handles as
	object handles are all now non integer.

2007-12-10  John W. Eaton  <jwe@octave.org>

	* plot/sombrero.m, plot/peaks.m: Use surf instead of mesh.

	* general/issymmetric.m: Use ' instead of .' for compatibility
	with previous versions of Octave.
	* general/ishermitian.m: Delete.
	* general/Makefile.in (SOURCES): Remove ishermitian.m from the list.

	* plot/fplot.m: In N is not specified, increase initial number of
	points from 3 and 5 to 5 and 8.

	* signal/detrend.m: Move tests here from test/test_signal.m.
	Loosen tolerance on first test from 10*eps to 20*eps.

	* finance/rate.m: Don't request info from fsolve.

2007-12-10  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/__line__.m: Pass initial property/value pairs to __go_line__.
	* plot/surface.m: Pass initial property/value pairs to __go_surface__.

2007-12-10  David Bateman  <dbateman@free.fr>

	* image/image.m: Rewritten to allow trailing properties to be
	passed to underlying image object.
	* image/__img__.m: Pass additional arguments to __go_image__.
	* plot/__patch__.m: Don't set clim, rely on autoscaling.

2007-12-10  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: If we have a grid, send "set grid
	front" to gnuplot.

2007-12-10  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Issue "set view map" for pcolor, and "set
	border front" from images.
	* plot/__go_draw_figure__.m: Issue "set autoscale fix" for gnuplot.
	* plot/pcolor.m: Set axis "box" property.
	* plot/title.m, plot/xlabel.m, plot/ylabel.m, plot/xlabel.m:
	Mark as commands.

2007-12-07  David Bateman  <dbateman@free.fr>

	* plot/surf.m: Don't set facecolor property.

2007-12-06  John W. Eaton  <jwe@octave.org>

	* plot/print.m: Pass mono to drawnow.
	* plot/drawnow.m: New arg, mono.  Pass it to __go_draw_figure__.
	* plot/__go_draw_figure__.m: New arg, mono.  Pass it to __go_draw_axes.
	* plot/__go_draw_axes__.m: New arg, mono.  If mono is true,
	disable color specifications.

	* general/issymmetric.m: Move tests here from test/test_number.m

2007-12-06  Jason Riedy  <ejr@cs.berkeley.edu>

	* general/issymmetric.m: To keep its argument sparse and the
	function quick, use the infinity norm rather than the 2-norm.
	Also measure the symmetric part rather than the Hermitian part.
	* general/ishermitian.m: New file.  Measure the Hermitian part.
	* general/Makefile.in: Add ishermitian.m to SOURCES.

2007-12-04  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Omit "font \"NAME,SIZE\"" in gnuplot
	text and label commands if font is "*".

	* linear-algebra/krylov.m: Doc fixes.
	From Marco Caliari <caliari@sci.univr.it>.

2007-12-04  Kai Habel  <kai.habel@gmx.de>

	* plot/shading.m: Use __plt_get_axis_arg__ for optional axes argument.
	Add "## PKG_ADD: mark_as_command axis" line.

2007-12-03  John W. Eaton  <jwe@octave.org>

	* contour.m, contour3.m, contourc.m, contourf.m, cylinder.m,
	fplot.m, plot3.m, plotyy.m, quiver3.m, scatter.m, scatter3.m,
	slice.m, sombrero.m, stairs.m, stem.m, stem3.m:
	Generate demos from examples.

2007-12-03  David Bateman  <dbateman@free.fr>

	* testfun/test.m: Disable "testif" test block to avoid spurious
	skipped test for "make check". Avoid printing variables for
	skipped tests.

	* testfun/test.m: Add "testif" type to allow for conditional tests.

	* plot/plotyy.m: Use activepositionproperty property of axes
	object. Set second axis color to "none".
	* plot/__go_draw_axes__.m: Respect the activepositionproperty
	property of the axis objects.

2007-12-03  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* linear-algebra/condest.m: Loosen tolerance in test.

2007-12-02  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Remove unnecessary call to
	get_data_limits.

2007-11-30  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Don't compute data or axis limits.
	(get_data_limits, get_axis_limits): Delete.

2007-11-30  David Bateman  <dbateman@free.fr>

	* plot/__scatter__.m: Avoid out of bounds varargin element access.

	* plot/__go_draw_axes__.m (do_tics_1): regexprep the cell array of
	tick labels rather than one by one on the labels themselves.
	* plot/pareto.m: Bug in numerical labels fixed. Bug in search for
	95% crossing fixed.

2007-11-29  David Bateman  <dbateman@free.fr>

	* plot/pareto.m: New file.
	* plot/Makefile.in (SOURCES): Add it to the sources.
	* plot/__go_draw_axes__.m (do_tics1): Replace "%" with "%%" in tic
	marks to avoid gnuplot error about formating. More colorspec to
	after the tics.
	* plot/plotyy.m: More generic check for appropriate axis color.

	* plot/__stem__.m: New file based on old stem.m expanded to treat
	2- and 3-D.
	* plot/stem3.m: New function.
	* plot/Makefile.in (SOURCES): Add them to the sources.
	* plot/stem.m: Adapt to use __stem__.

2007-11-29  John W. Eaton  <jwe@octave.org>

	* plot/contour.m, plot/contour3.m, plot/fill.m, plot/patch.m,
	plot/surf.m, plot/surface.m: Don't return handle value unless
	requested.

	* plot/patch.m: Omit isnan check on handle returned from
	__plt_get_axis_arg__.

	* plot/__plt_get_axis_arg__.m: Don't fail if current figure exists
	but has no axes.

2007-11-28  David Bateman  <dbateman@free.fr>

	* __plt_get_axis_handle__.m: Also allow hggroup and return axes
	ancestor. If leading argument is logical set variable nogca to see
	if gca() should be called if there is no active handle found.
	* __bar__.m, caxis.m, scatter.m, contourf.m, __axes_limits__.m,
	fill.m,  surf.m, meshz.m, axis.m, pie.m, contour.m,
	quiver.m, area.m, grid.m, cylinder.m, contour3.m, surface.m,
	patch.m, scatter3.m, plot.m, sphere.m, quiver3.m, plotyy.m,
	xlabel.m, ylabel.m, surfnorm.m, zlabel.m: Adapt to use
	__plt__get_axis_arg__ to find axis handle.
	* polar.m: Typo.

2007-11-28  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m (get_data_limits): Delete unused arg TX.

2007-11-28  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/drawnow.m: Fix typo.

2007-11-27  David Bateman  <dbateman@free.fr>

	* plot/errorbar.m, plot/loglog.m, plot/loglogerr.m, plot/polar.m,
	plot/semilogx.m, plot/semilogxerr.m, plot/semilogy.m,
	plot/semilogyerr.m: Treat an axis handle as the first argument.

	* plot/meshz.m: New function.
	* plot/Makefile.in (SOURCES): Add it to the list.
	* plot/surface.m: Allow surface to accept an axis handle as the
	first argument.
	* plot/meshc.m: Extract z from the the surface object rather than
	varargin so that we can rely on code in surface to treat leading
	axis handles.

	* plot/__go_draw_axes__.m: Add nomirror to "set ytics" and "set
	y2tics" in the case of a plotyy plot.
	* plot/plotyy.m: ensure the position property is set correct for
	the second axis, by setting it after the plot itself. In the case
	of a plot that returns multiple handles, base the color selection
	on the first.

2007-11-27  Kai Habel  <kai.habel@gmx.de>

	* plot/__go_draw_axes__.m: Set quadrilateral color according to
	z-value of vertex 'c3'.

2007-11-27  John W. Eaton  <jwe@octave.org>

	* image/image.m: Allow nargin == 0 case to work again.

2007-11-27  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_figure__.m: Force a multiplot mode with a
	colorbar, to ensure that the colorbar is on the canvas for png and
	postscipt outputs.

2007-11-26  David Bateman  <dbateman@free.fr>

	* sparse/spstats.m, statistics/base/mode.m: More care with sparse
	return values.

	* plot/plotyy.m: New function
	* plot/Makefile.in (SOURCES): Add it here.
	* plot/__go_draw_axes__.m: Force axis margins for plotyy. Set text
	color for {x|y|z}label and {x|y|z}tics. Also force the label of 
	{x|y}label to respect the axis position.
	* plot/xlabel.m, plot/ylabel.m, plot/zlabel.m: Accept an axis
	handle as the first argument.
	
	* pkg/pkg.m (pkg:install): When loading the installed packages
	index into installed_pkgs_lst and not descriptions..

	* plot/quiver3.m, plot/surfnorm.m, plot/__quiver__.m: New functions.
	* plot/Makefile.in (SOURCES): Add them to the sources.
	* plot/quiver.m: Modify to use __quiver__.m.

	* plot/hist.m: Avoid saturation when the x values are in an
	inetger type.

2007-11-26  Jason Riedy  <ejr@cs.berkeley.edu>

	* linear-algebra/condest.m, linear-algebra/onenormest.m: New
	functions.
	* linear-algebra/Makefile.in (SOURCES): Add them to the sources.

2007-11-26  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Prevent the cbrange from being of zero
	extent.

	* plot/colorbar.m: New function.
	* plot/Makefile.in (SOURCES): Add it to the sources.
	* plot/__go_draw_axes__.m: Calculate the colorbar position,
	precalculate the clim, set pm3d except for mesh.
	* plot/__contour__.m: Don't scale the contours to clim, but rather
	save the real values so that colorbar corresponds to the contour
	levels.

	* plot/stem.m: Set marker color the same as the line color. Draw 
	a single discontinous line object for the stems.

	* plot/sphere.m: New function ported from JHandles.
	* plot/Makefile.in (SOURCES): Add it to the sources.

	* plot/__go_draw_axes__.m: Pass the have_newer_gnuplot arg to
	__maybe_munge_text__. Use it to reforce fontname for gnuplot 4.0
	to get enhanced mode to work correctly for the X11 terminal.

	* plot/imagesc.m, plot/image.m: Scale colormap to image and not
	the reverse. Allow an axes handle to be passed and/or returned.
	* plot/__go_draw_axes__.m: Autoscale colormap for images.

	* plot/__go_draw_axes__.m: Add depthorder flag to "set pm3d" to
	sort surface patches by their depth and not the order they are
	rendered in.

	* plot/__patch__.m: Set clim correctly.
	* plot__go_draw_axes__.m: Allow patch objects to have markers, and 
	the marker color is determined by the cmap.
	* plot/scatter.m: New function to 2D scatter plots.
	* plot/scatter3.m: New function to 3D scatter plots.
	* plot/__scatter__.m: Support function for scatter plots
	* Makefile.in (SOURCES): Ad dnew functions here.

	* plot/drawnow.m (open_gnuplot_stream, init_gnuplot_stream):
	Return whether the terminal supports enhanced text or not.
	(drawnow:enhanced_term): New sub-function to determine if terminal
	supports enhanced mode.
	* plot/__go_draw_figure__.m: Accept enhanced flag and pass to
	__go_draw_axes__.
	* plot/__go_draw_axes__.m: Accept enhanced flag and munge text if
	needed to support the enhanced mode.
	* plot/print.m: Remove "enhanced" option as this is now treated in
	drawnow.m.

	* plot/caxis.m: New function to control the color axis limits.
	* plot/Makefile.in (SOURCES): Include it.
	* plot/axis.m: Allow the first argument to be an axes handle.
	* plot/__go_draw_axes__.m: Move the setting of the caxis, also
	autoscale caxis for patches. If any(isinf(clim)) don't set the
	caxis limits.

	* image/gmap40.m: New gnuplot 4.0 specific colormap fucntion.
	* image/Makefile.in (SOURCES): Include it.
	* plot/__bar__.h: Allow axis handles to be passed. Set the color
	of the bars for the colormap. 
	* plot/bar.m, plot/barh.m: Document that axis handles can be
	passed.
	* plot/__contour.m: Avoid possible divide by zero error.
	* plot/contour.m: Missing semicolon.
	* plot/surface.m: Don't attempt to set additional arguments if
	there are none.
	* plot/Makefile.in (SOURCES): Include __bars__.m
	
2007-11-19  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/__bar__.m: put bar creation code into separate function
	to allow easy hook up from other graphic backends

	* plot/__bars__.m: new function containing bar creation code

2007-11-26  Alexander Barth  <barth.alexander@gmail.com>

	* general/accumarray.m: Correct dimension check.

2007-11-26  John W. Eaton  <jwe@octave.org>

	* polynomial/residue.m: Prepad along second dimension.
	From Doug Stewart <dastew@sympatico.ca>.

2007-11-26  Kai Habel  <kai.habel@gmx.de>

	* plot/cylinder.m, plot/slice.m: New functions.
	* plot/Makefile.in (SOURCES): Add them to the list.

2007-11-14  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/patch.m: Handle arg may also be hggroup object.
	Use ancestor to find parent axes object.

2007-11-14  David Bateman  <dbateman@free.fr>

	* plot/__contour__.m: Treat unclosed contours by adding NaN to
	flag to patch that it is not closed. Allow z to take string
	arguments and use it to flag that the contours are placed at the
	z level of the contour itself.
	* plot/__go_draw_axes__.m: Treat hidden line removal in patch
	objects as well. Let hidden removal take precedence in case of a
	conflict.
	* plot/surface.m: Allow surface to treat handles being passed or
	returned. Any additional arguments arr used to set the surface
	handle.
	* plot/contour3.m: New function
	* plot/Makefile.in (SOURCES): Add it to the sources.

2007-11-14  John W. Eaton  <jwe@octave.org>

	* specfun/bessel.m: Update doc string from
	src/DLD-FUNCTIONS/besselj.cc.

2007-11-12  David Bateman  <dbateman@free.fr>

	* plot/contour.m: Allow handles to be passed and returned. Split
	the countour function itself into __contour__.m to be shared with
	surfc and meshc.
	* plot/__contour__.m: New file
	* plot/Makefile.in (SOURCES): Add it to the sources.
	* plot/__go_draw_axes.m: For patch objects don't attempt to patch
	the face or edge if the facecolor or edge color are marked as
	"none". Allow the edgecolor to be determined by the cdata in the
	same manner as the facecolor. Fail if facecolor is not "none" and
	a 3-D plot is desired, rather than ignoring zdata. Make the
	storage of 3D/4D data consistent between line, surface and patch 
	objects.
	* plot/meshc.m: Use new __contour__.m to plot the contours.
	* plot/surfc.m: Use new __contour__.m to plot the contours.

	* plot/__go_draw_axes__.m (get_fontname_and_size):
	Handle fontweight and fontangle properties.

2007-11-12  Kai Habel  <kai.habel@gmx.de>

	* plot/spinmap.m, plot/ribbon.m: New functions.
	* plot/Makefile.in (SOURCES): Add them to the list.

2007-11-12  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m (get_fontname_and_size): New subfunction.
	Use it to avoid duplicated code.

2007-11-12  David Bateman  <dbateman@free.fr>

	* plot/title.m: Fix return value for nargout > 0.

	* plot/__go_draw_axes.m: Allow the font and fontsize to be
	specified for the title, xlabel, ylabel and text objects.

	* plot/__go_draw_axes.m: Allow arbitrary colormaps with gnuplot
	4.0 and surface plots.

2007-11-12  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/__patch__.m: Fix computation of faces when patch is defined
	with X/Y/Z data.

2007-11-09  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Correct test for have_data.
	Correct logic in setting palette data.

	* audio/wavread.m, control/base/__bodquist__.m,
	control/base/dare.m, control/base/dlqr.m, control/hinf/h2norm.m,
	control/system/c2d.m, control/system/is_detectable.m,
	control/system/is_signal_list.m, control/system/is_stabilizable.m,
	control/system/tfout.m, general/isdefinite.m,
	linear-algebra/krylov.m, miscellaneous/compare_versions.m,
	optimization/glpk.m, path/savepath.m, plot/findobj.m,
	plot/shading.m, polynomial/mpoles.m, polynomial/polyint.m,
	signal/freqz.m, signal/hurst.m, sparse/spfun.m, sparse/spones.m,
	sparse/spstats.m, testfun/assert.m, testfun/fail.m,
	testfun/test.m: Use specific end keywords.

	* plot/surfc.m, plot/meshc.m: Don't change view if hold is on.

2007-11-09  Kai Habel  <kai.habel@gmx.de>

	* plot/mesh.m, plot/pcolor.m, plot/surf.m, plot/surface.m:
	Don't change view if hold is on.

2007-11-09  David Bateman  <dbateman@free.fr>

	* plot/hidden.m: New function.
	* plot/Makefile.in (SOURCES): Add it here.
	* plot/meshc.m, plot/mesh.m: Set facecolor to White for hidden
	line removal.
	* plot/__go_draw_axes__.m: If facecolor is white flag hidden line
	removal and if it is "none" don't do hidden line removal.

	* plot/legend.m: Also allow labels for surface and patch types.
	* plot/__bar__.m: Split into separate patch pbjects to allow
	setting of the legend.
	* plot/__go_draw_axes__.m: Set titlespec from keylabel for patch
	objects as well.

	* plot/area.m, plot/__area__.m: New functions
	* plot/Makefile.in (SOURCES): Add them to the list of files.

	* plot/patch.m: Correctly handle case of axis handle as first arg.

2007-11-09  Joseph P. Skudlarek  <Jskud@Jskud.com>

	* sparse/spdiags.m: Tweak documentation entries to match other uses.

2007-11-08  John W. Eaton  <jwe@octave.org>

	* control/base/dcgain.m, control/base/dre.m,
	control/base/impulse.m, control/base/step.m,
	control/system/dmr2d.m, control/system/ord2.m,
	control/system/sys2ss.m, control/system/sysdimensions.m,
	control/system/sysgetsignals.m, control/system/sysout.m,
	control/system/tfout.m, control/system/ugain.m,
	control/system/zpout.m, control/util/strappend.m:
	Don't fail with usage message if nargout is too large.

	* control/hinf/h2syn.m, control/hinf/hinf_ctr.m,
	control/hinf/hinfnorm.m, control/hinf/hinfsyn.m,
	control/hinf/hinfsyn_chk.m, control/hinf/is_dgkf.m,
	control/hinf/wgt1o.m, control/obsolete/dezero.m,
	control/obsolete/dlqg.m, control/obsolete/minfo.m,
	control/obsolete/packsys.m, control/obsolete/qzval.m,
	control/obsolete/rotg.m, control/obsolete/series.m,
	control/obsolete/swapcols.m, control/obsolete/swaprows.m,
	control/obsolete/syschnames.m, control/obsolete/unpacksys.m,
	control/system/__syschnamesl__.m,
	control/system/__syscont_disc__.m,
	control/system/__sysdefioname__.m, control/system/__sysgroupn__.m,
	control/system/__tf2sysl__.m, control/system/__zp2ssg2__.m,
	control/system/abcddim.m, control/system/buildssic.m,
	control/system/c2d.m, control/system/cellidx.m,
	control/system/d2c.m, control/system/dmr2d.m,
	control/system/fir2sys.m, control/system/is_abcd.m,
	control/system/is_controllable.m, control/system/is_detectable.m,
	control/system/is_digital.m, control/system/is_observable.m,
	control/system/is_stabilizable.m, control/system/is_stable.m,
	control/system/jet707.m, control/system/listidx.m,
	control/system/parallel.m, control/system/ss.m,
	control/system/ss2sys.m, control/system/ss2zp.m,
	control/system/starp.m, control/system/sys2ss.m,
	control/system/sys2tf.m, control/system/sys2zp.m,
	control/system/sysadd.m, control/system/sysappend.m,
	control/system/sysconnect.m, control/system/syscont.m,
	control/system/sysdimensions.m, control/system/sysdisc.m,
	control/system/sysdup.m, control/system/sysgetsignals.m,
	control/system/sysgroup.m, control/system/sysmin.m,
	control/system/sysmult.m, control/system/sysout.m,
	control/system/sysprune.m, control/system/sysreorder.m,
	control/system/sysscale.m, control/system/syssetsignals.m,
	control/system/syssub.m, control/system/sysupdate.m,
	control/system/tf.m, control/system/tf2ss.m,
	control/system/tf2sys.m, control/system/tfout.m,
	control/system/zp.m, control/system/zp2ss.m,
	control/system/zp2sys.m, control/system/zp2tf.m,
	control/system/zpout.m, control/util/__outlist__.m,
	control/util/__zgpbal__.m, control/util/axis2dlim.m,
	control/util/prompt.m, control/util/sortcom.m,
	control/util/zgfmul.m, control/util/zgfslv.m,
	control/util/zginit.m, control/util/zgreduce.m,
	control/util/zgrownorm.m, control/util/zgscal.m: Style fixes.

2007-11-08  David Bateman  <dbateman@free.fr>

	* plot/quiver.m: Fix arrowheads.

2007-11-07  Ben Abbott  <bpabbott@mac.com>

	* set/ismember.m: Call cell_ismember to handle cellstr args.
	Handle "rows" argument.  New tests.
	(cell_ismember): New function.

2007-11-07  John W. Eaton  <jwe@octave.org>

	* control/base/__bodquist__.m, control/base/__freqresp__.m,
	control/base/__stepimp__.m, control/base/are.m,
	control/base/ctrb.m, control/base/damp.m, control/base/dare.m,
	control/base/dcgain.m, control/base/dgram.m, control/base/dlqr.m,
	control/base/dre.m, control/base/impulse.m, control/base/lqe.m,
	control/base/lqg.m, control/base/lqr.m, control/base/lsim.m,
	control/base/ltifr.m, control/base/nichols.m,
	control/base/nyquist.m, control/base/obsv.m, control/base/place.m,
	control/base/rlocus.m, control/base/step.m, control/base/tzero.m:
	Style fixes.

2007-11-07  Muthiah Annamalai  <muthuspost@gmail.com>

	* control/base/bode_bounds.m, control/base/dgram.m,
	control/base/dlyap.m, control/base/freqchkw.m,
	control/base/gram.m, control/base/place.m,
	control/hinf/hinf_ctr.m, control/hinf/hinfsyn_chk.m,
	control/hinf/hinfsyn_ric.m, control/system/is_sample.m,
	control/system/is_signal_list.m, control/system/ss2tf.m,
	control/system/sys2fir.m, control/system/sysgettsam.m,
	control/system/sysgettype.m, control/system/sysreorder.m,
	control/system/tf2sys.m, control/system/zp2tf.m,
	control/util/axis2dlim.m, control/util/swap.m,
	control/util/zgfmul.m, control/util/zgfslv.m,
	control/util/zginit.m, control/util/zgreduce.m,
	control/util/zgrownorm.m, control/util/zgscal.m,
	control/util/zgsgiv.m, control/util/zgshsr.m, general/isa.m,
	geometry/inpolygon.m, linear-algebra/housh.m,
	miscellaneous/compare_versions.m, miscellaneous/inputname.m,
	miscellaneous/run.m, quaternion/qconj.m,
	quaternion/qcoordinate_plot.m, quaternion/qderiv.m,
	quaternion/qderivmat.m, quaternion/qinv.m, quaternion/qmult.m,
	quaternion/qtrans.m, quaternion/qtransvmat.m, signal/fractdiff.m,
	signal/freqz_plot.m, signal/periodogram.m, signal/rectangle_lw.m,
	signal/rectangle_sw.m, signal/sinc.m, signal/triangle_lw.m,
	signal/triangle_sw.m, signal/yulewalker.m, sparse/colperm.m,
	sparse/etreeplot.m, sparse/nonzeros.m, sparse/spalloc.m,
	sparse/spones.m, sparse/spy.m, specfun/isprime.m,
	statistics/distributions/empirical_cdf.m,
	statistics/distributions/empirical_inv.m,
	statistics/distributions/empirical_pdf.m,
	statistics/models/logistic_regression_derivatives.m,
	statistics/models/logistic_regression_likelihood.m: Check nargin.

2007-11-07  David Bateman  <dbateman@free.fr>

	* general/gradient.m: Correctly convert deltax and deltay scalar
	values are scalars to vectors.

	* plot/__go_draw_axes__.m: Fix surfaces for gnuplot 4.0 and for
	the meshc.m function.
	* plot/meshc.m: Also use the surface function.
	
	* plot/meshc.m, plot/quiver.m, plot/surfc.m, : New files.
	* plot/Makefile.in (SOURCES): Add them to the list.
	Also add pcolor.m, shading.m, surf.m, and surface.m to the list.

2007-11-07  Michael Zeising  <michael@michaels-website.de>

	* audio/wavwrite.m, audio/wavwrite.m: Correct sample scaling.

2007-11-07  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Also set have_data to false if any of
	the data limits are infinite.
	(get_data_limits): Don't do anything if xdat or tx are empty.
	(get_axis_limits): Don't do anything if min_val or max_val are
	infinite.

2007-11-06  David Bateman  <dbateman@free.fr>

	* plot/hist.m: Pass any additional arguments to bar for
	treatment. Create a default x value that is always a vector.

2007-11-06  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* pkg/pkg.m.m: Check for environment variables CC, CXX, AR, RANLIB
	when calling ./configure and add quotes to preserve spaces.

2007-11-06  Kai Habel  <kai.habel@gmx.de>

	* plot/pcolor.m, plot/shading.m, plot/surf.m, plot/surface.m:
	New files.
	* plot/mesh.m: Call surface to do the real work.
	* plot/__go_draw_axes__.m: Use pm3d mode to handle new surface
	properties.

	* image/colormap.m: Also return current colormap if nargout and
	nargin are both 0.

2007-11-05  Michael Goffioul  <michael.goffioul@gmail.com>

	* startup/inputrc: Delete key bindings starting with \340 code.

2007-11-05  David Bateman  <dbateman@free.fr>

	* linear-algebra/__norm__.m: Scale frobenius norm by infinity norm
	to avoid issues of over- and underflow.  From Rolf Fabian
	<Rolf.Fabian@gmx.de>.

2007-11-02  Olli Saarela  <Olli.Saarela@kcl.fi>

	* time/asctime.m, general/structfun.m: Fix broken @examples in
	help texts.

2007-11-02  Kai Habel  <kai.habel@gmx.de>

	* plot/bar.m, plot/barh.m: Doc fix.

2007-10-31  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Call undo_string_escapes on obj.keylabel.

2007-10-31  Michael goffioul  <michael.goffioul@gmail.com>

	* plot/subplot.m: Ignore legend objects when parsing existing axes
	objects and legend objects are implemented with a separate axes
	object.

2007-10-30  David Bateman  <dbateman@free.fr>

	* control/base/DEMOcontrol.m: Doc fixes for small book format.

	* plot/__go_draw_axes__.m (do_linestyle_command):
	Use point type 0 for ".".

2007-10-26  John W. Eaton  <jwe@octave.org>

	* image/imshow.m: Improve compatibility.
	* image/image.m: Return handle if nargou > 0.

	* pkg/pkg.m: Delete PKG_ADD directive for autoloading packes.

2007-10-25  John W. Eaton  <jwe@octave.org>

	* miscellaneous/compare_versions.m: Style fixes.

2007-10-24  John W. Eaton  <jwe@octave.org>

	* image/saveimage.m: Use functional form of save instead of eval.
	Use -text instead of -ascii.

	* plot/__go_draw_axes__.m: Handle visible = "off" for axes objects.

2007-10-23  Peter A. Gustafson  <petegus@umich.edu>

	* plot/legend.m: Also extract location string from varargin (lost
	when 2007-10-08 patch was applied).

2007-10-23  David Bateman  <dbateman@free.fr>

	* plot/xlim.m, plot/ylim.m, plot/zlim.m, plot/__axes_limits__.m,
	miscellaneous/what.m: New functions
	* plot/Makefile.in, miscellaneous/Makefile.in (SOURCES): Add new
	functions.

2007-10-22  David Bateman  <dbateman@free.fr>

        * miscellaneous/cputime.m, time/tic.m, time/toc.m: Delete.
	* miscellaneous/Makefile.in (SOURCES): remove cputim.m
	* time/Makefile.in (SOURCES): Remov tic.m and toc.m

2007-10-19  Kai Habel  <kai.habel@gmx.de>

	* plot/contourf.m: New function.
	* plot/Makefile.in (SOURCES): Add it to the list.

2007-10-19  John W. Eaton  <jwe@octave.org>

	* plot/subplot.m: Doc fix.

2007-10-19  David Bateman  <dbateman@free.fr>

	* plot/__bar__.m, plot/fill.m: Call newplot as needed.

2007-10-17  Carlo de Falco  <kingcrimson@tiscali.it>

	* plot/print.m: Handle -textspecial and -textnormal flags for fig
	output.

2007-10-15  S�ren Hauberg  <hauberg@gmail.com>

	* general/rat.m, sparse/pcg.m, sparse/pcr.m, optimization/sqp.m,
	statistics/models/logistic_regression.m, polynomial/polygcd.m,
	control/system/ss.m, signal/arch_rnd.m, control/system/ss2sys.m,
	control/system/syssetsignals.m, control/base/lqg.m,
	strings/str2double.m, control/system/sysscale.m,
	control/hinf/hinfdemo.m, general/cplxpair.m:
	Make help text fit on pages when using smallbook.

2007-10-15  David Bateman  <dbateman@free.fr>

	* plot/print.m: Call drawnow before printing to ensure the plot is
	on the screen.

	* testfun/test.m: In error/warning blocks test for an error before
	a warning to avoid unexpected failures.

2007-10-15  Kim Hansen  i<kimhanse@gmail.com>

	* testfun/assert.m: Correct documentation of absolution versus 
	relative error tolerance and add tests.

2007-10-14  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (pkg:configure_make): Treat case of no files to install in
	src directory.
	* plot/Makefile.in (SOURCES): Add fill.m.

2007-10-13  David Bateman  <dbateman@free.fr>

	* plot/__patch__.m: Allow multiple patches to be defined and
	return a single patch object. Allow Faces/Vertices form of
	patch. Flag failure so the patch can call print_usage.
	* plot/patch.m: Update help string for Faces/Vertices
	call. Respect the fail flag returned by __patch__. Add demo code
	that tests the functionality of patch.
	* plot/__go_draw_axes__.m: Treat an array of patches in a single
	patch object.
	* plot/fill.m: New function.

2007-10-12  John W. Eaton  <jwe@octave.org>

	* Change copyright notices in all files that are part of Octave to
	GPLv3 or any later version.

2007-10-11  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m (get_axis_limits):
	Return lim = [] if logscale and no positive values.
	(__go_draw_axes__): Skip plotting if computed axis limits are empty.
	Set initial min and min positive values to Inf, max values to -Inf.
	(get_data_limits): Correctly handle xminp when no positive values
	are found.

2007-10-11  Ben Abbott  <bpabbott@mac.com>

	* polynomial/residue.m: New optional input for pole multiplicity.
	Doc fix.  Fix tests.

2007-10-11  Thomas Treichl  <Thomas.Treichl@gmx.net>

         * toplev.cc (Foctave_config_info): Add field "mac".

	* miscellaneous/ismac.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it to the list.
	* miscellaneous/ispc.m, miscellaneous/isunix.m: Doc fix.

2007-10-11  Arno Onken  <asnelt@asnelt.org>

	* statistics/distributions/hygernd.m: Allow size to be specified
	as a scalar.  Handle three argument case.  Allow T, M, and N to be
	scalars or matrices of a common size.

2007-10-11  Brian Gough  <bjg@network-theory.co.uk>

	* control/csrefcard.lt, control/system/is_detectable.m,
	control/system/sysgroup.m, geometry/voronoin.m,
	miscellaneous/dir.m, sparse/pcg.m, sparse/treeplot.m,
	statistics/base/mode.m, statistics/distributions/betarnd.m,
	statistics/distributions/binornd.m,
	statistics/distributions/cauchy_rnd.m,
	statistics/distributions/chi2rnd.m,
	statistics/distributions/discrete_rnd.m,
	statistics/distributions/exprnd.m,
	statistics/distributions/frnd.m,
	statistics/distributions/gamrnd.m,
	statistics/distributions/geornd.m,
	statistics/distributions/laplace_rnd.m,
	statistics/distributions/logistic_rnd.m,
	statistics/distributions/lognrnd.m,
	statistics/distributions/nbinrnd.m,
	statistics/distributions/normrnd.m,
	statistics/distributions/poissrnd.m,
	statistics/distributions/stdnormal_rnd.m,
	statistics/distributions/trnd.m,
	statistics/distributions/unifrnd.m,
	statistics/distributions/wblrnd.m: Spelling fixes.

2007-10-10  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* time/tic.m: New optional output value.

	* general/int2str.m: Doc fix.

2007-10-10  Arno Onken  <asnelt@asnelt.org>

	* statistics/distributions/hygecdf.m,
	statistics/distributions/hygeinv.m,
	statistics/distributions/hygepdf.m,
	statistics/distributions/hygernd.m:
	Swap order of T and M args for compatibility.

2007-10-10  Olli Saarela  <Olli.Saarela@kcl.fi>

	* control/hinf/hinfsyn.m, control/hinf/wgt1o.m,
	control/system/buildssic.m, control/system/c2d.m,
	control/system/d2c.m, control/system/ord2.m, control/system/ss.m,
	control/system/ss2sys.m, control/system/ss2tf.m,
	control/system/syscont.m, control/system/sysdimensions.m,
	control/system/sysdisc.m, control/system/sysmult.m,
	control/system/sysrepdemo.m, control/system/tf2ss.m, elfun/lcm.m,
	finance/fv.m, general/cumtrapz.m, general/gradient.m,
	general/interp1.m, general/interp2.m, general/interp3.m,
	general/interpft.m, general/interpn.m, general/polyarea.m,
	general/rat.m, general/structfun.m, general/trapz.m,
	geometry/tsearchn.m, image/rgb2hsv.m, linear-algebra/krylov.m,
	miscellaneous/ans.m, miscellaneous/gzip.m, optimization/glpk.m,
	optimization/sqp.m, plot/findobj.m, plot/legend.m, plot/peaks.m,
	plot/plot3.m, plot/stem.m, polynomial/deconv.m,
	polynomial/pchip.m, polynomial/spline.m, polynomial/unmkpp.m,
	sparse/pcr.m, sparse/spalloc.m, sparse/spconvert.m,
	specfun/factor.m, specfun/legendre.m, statistics/base/mean.m,
	statistics/base/meansq.m, statistics/base/var.m,
	statistics/tests/chisquare_test_independence.m,
	statistics/tests/t_test.m, statistics/tests/u_test.m,
	strings/dec2base.m, strings/mat2str.m, testfun/speed.m,
	testfun/test.m: Spelling fixes.

2007-10-10  Ben Abbott  <bpabbott@mac.com>

	* polynomial/mpoles.m: Return indx = ordr(indx), not indx(ordr).

2007-10-10  John W. Eaton  <jwe@octave.org>

	* general/num2str.m: Always allow for sign for automatically
	computed format widths.

2007-10-09  David Bateman  <dbateman@free.fr>

	* plot/patch.m: Accept a handle as the first argument.

2007-10-09:  Kim Hansen  <kimhanse@gmail.com>

	* general/repmat.m: Handle sparse input.  Add tests.

2007-10-09  John W. Eaton  <jwe@octave.org>

	* audio/wavwrite.m: Accept arguments in compatible order.

2007-10-08  David Bateman  <dbateman@free.fr>

	* general/interp2.m: Relax test for values outside the grid to
	allow monotonically decreasing abscissa as well.

2007-10-08  Ben Abbott  <bpabbott@mac.com>

	* polynomial/residue.m: Doc fix.  Add tests.  Restore multiplicity
	as output parameter.

2007-10-08  Peter A. Gustafson  <petegus@umich.edu>

	* plot/__go_draw_axes__.m, plot/legend.m:
	Handle compatible position specifiers as strings.

2007-10-08  John Swensen  <jpswensen@comcast.net>

	* general/num2str.m: Eliminate extra whitespace in output.
	* strings/strtrim.m: New function.
	* strings/Makefile.in (SOURCES): Add it to the list.

2007-10-06  John W. Eaton  <jwe@octave.org>

	* polynomial/residue.m: New test from test/test_poly.m.

2007-10-06  S�ren Hauberg  <hauberg@gmail.com>

	* image/saveimage.m: Handle saving color images without a colormap.
	* image/__img_via_file__.m: Add missing semicolon.

2007-10-06  Bill Denney  <wsloand@gmail.com>

	* general/__splinen__.m, general/isscalar.m, general/rat.m,
	strings/dec2base.m: Use numel(x) instead of prod(size(x)).

2007-10-06  Francesco Potorti`  <Potorti@isti.cnr.it>

	* plot/print.m: Handle svg output type.  Accept new -S option to
	specify size for PNG and SVG output types.

2007-10-05  Ben Abbott  <bpabbott@mac.com>

	* polynomial/mpoles.m: New function.
	* polynomial/residue.m: Modified to behave in reciprocal
	manner.  No longer compute 4th output, "e".  No longer accept
	tolerance input.  Explicitly set tolerance parameter to 0.001.
	Respect maximum relative difference in poles when determining
	their multiplicity.  Use mpoles to determine the multiplicity of
	poles.

2007-10-05  Peter A. Gustafson  <petegus@umich.edu>

	* plot/__go_draw_axes__.m: Add cbrange to the plot stream 
	for surface plots.

2007-10-05  John W. Eaton  <jwe@octave.org>

	* plot/__next_line_color__.m: Get color_rotation from axes
	colororder property.

2007-10-03  John W. Eaton  <jwe@octave.org>

	* miscellaneous/dir.m: Handle symbolic links in compatible way.
	Use S_ISDIR (st.mode) instead of checking st.modestr(1) == "d".

	* linear-algebra/Makefile.in (SOURCES): Rename norm.m to __norm__.m.
	* linear-algebra/__norm__.m: Rename from norm.m.  Eliminate
	special for __vnorm__.

2007-10-03  Quentin Spencer  <qspencer@ieee.org>

	* linear-algebra/norm.m: Special case vector 1-norm and 2-norm.

2007-10-03  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (is_architecture_dependent): New function to identify
	if a file is architecture dependent based on a list of file
	extensions.
	(configure_make): Simplify the search for architecture dependent
	files based on this function.
	(load_pakages_and_dependencies): Also look for bin directory in
	the architecture dependent directory.

2007-10-03  John W. Eaton  <jwe@octave.org>

	* miscellaneous/dir.m: Create empty struct with field names.
	Include datenum in struct.
	
2007-10-02  David Bateman  <dbateman@free.fr>

	* miscellaneous/ls.m: If nargout return string array of files
	returned by ls.

2007-10-01  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Use %.15e instead of %.15g when setting
	range values.

2007-10-01  David Bateman  <dbateman@free.fr>

	* linear-algebra/norm.m: Inline the isvector(x) calculation for
	speed with small vectors.
	* pkg/pkg.m (archprefix): Set using octave_config_info("libexecdir") 
	rather than OCTAVE_HOME().

2007-09-30  Ben Abbott  <bpabbott@mac.com>

	* plot/findobj.m: New function.
	* plot/Makefile.m (SOURCES): Add it to SOURCES.

2007-09-26  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m: Add second argument to setting for prefix for
	architecture dependent files. Use throughout.
	(pkg:issuperuser): New function, use through to check for
	root user.
	(pkg:getarchprefix): function to give the archiecture dependent
	prefix for a package.
	(pkg:getarchdir): New function giving location of architetcure
	dependent directory. Use through out.
	(pkg:install): Treat architecture dependent directory separately
	as in might not be a sub-directory of the package directory.
	(pkg:uninstall): ditto.
	(pkg:create_pkgadddel): Check for global or local install for
	architecture dependent directory.
	(pkg:finish_installation): ditto.
	(pkg:write_INDEX): ditto.
	(pkg:load_packages_and_dependencies): ditto.
	(pkg:copy_files): ditto. Add step to copy architecture dependent
	files to a new location if user is root.
	(pkg:rm_rf): Check if file or directory exists before removing.
	(pkg:dirempty): Check if directory exists before checking.
	
	* plot/___patch__.m: Allow face colors to be passed as strings

	* plot/__plt_get_axis_arg__.m: Treat case of empty "varargin"
	needed for calls to "hold" without an argument.

2007-09-21  John W. Eaton  <jwe@octave.org>

	* optimization/sqp.m: Fix typo.

	* plot/__go_draw_axes__.m (do_tics_1): Use %g, not %.15g here.

2007-09-21  Luther Tychonievich  <lty@cs.byu.edu>

	* control/hinf/h2norm: Compute d*d', not d'*d.

2007-09-21  Thomas Weber  <thomas.weber.mail@gmail.com>

	* statistics/distributions/Makefile.in (SOURCES): Add unidcdf.m,
	unidpdf.m and unidinv.m

2007-09-18  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Use %.15g throughout.
	(do_tics_1): Set numeric axes formats to "%.15g".

2007-09-18  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m (__gnuplot_write_data__): Use %e instead
	of %g when writing data.

2007-09-17  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Omit linestyle clause for errorbar plots.

2007-09-14  Ulrich Tipp  <ulrich.tipp@hsnr.de>

	* miscellaneous/bincoeff.m: Fix calculation of bincoeff (n, k) for
	noninteger N with N-K < 1.

2007-08-04  Jean-Francois Cardoso  <cardoso@tsi.enst.fr>

	* strings/index.m: Correct for strings differing after the third
	position (bug reported by Maude Martin).

2007-09-13  John W. Eaton  <jwe@octave.org>

	* plot/__default_colormap__.m: Delete.
	* plot/Makefile (SOURCES): Remove from the list.

2007-09-13  Christof Zeile  <cz-oct07@cvmx.com>

	* pol2cart.m: Make it work with mixed scalar/nonscalar arguments.

2007-09-10  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Allow gnuplot 4.0 with patches, but
	limit the selection of colors in the same way as for lines.
	* plot/__patch__.m: Allow matrix arguments with one patch per
	column.
	* plot/__bar__.m: Adapt to use "patch".

2007-09-06  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m (drawnow): New arg, debug_file.
	(init_plot_stream): Split from open_plot_stream.
	* plot/print.m: Accept -debug=FILE argument.

2007-09-06  David Bateman  <dbateman@free.fr>

	* general/celldisp.m: New function.
	* general/Makefile.in (SOURCES): Add celldisp.m.
	* miscellaneous/swapbytes.m: New function.
	* miscellaneous/gzip.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add swapbytes.m and gzip.m.

2007-09-05  David Bateman  <dbateman@free.fr>

	* general/structfun.m: New function.
	* general/Makefile.in (SOURCES): Add it to sources.
	* miscellaneous/run.m: New function.
	* miscellaneous/Makefile.in (SOURCES): Add it to sources.
	* statistics/base/mode.m: New function.
	* statistics/base//Makefile.in (SOURCES): Add it to sources.

2007-09-05  John W. Eaton  <jwe@octave.org>

	* miscellaneous/orderfields.m: Use numel instead of length.

2007-09-05  Michael goffioul  <michael.goffioul@gmail.com>

	* miscellaneous/orderfields.m: Handle empty structs.

2007-09-05  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Consistently index PARAMETRIC with
	DATA_IDX.

2007-09-04  David Bateman  <dbateman@free.fr>

	* general/isdir.m: Return a logical value.

2007-09-04  David Bateman  <dbateman@free.fr>

	* statistics/distributions/chi2pdf.m,
	statistics/distributions/chi2cdf.m,
	statistics/distributions/chi2inv.m: Modifiy the call to the gamma
	distribution functions to account for inverse of scale factor in
	gamma functions.

2007-09-01  John W. Eaton  <jwe@octave.org>

	* plot/Makefile.in (SOURCES): Add ancestor.m to the list.

2007-09-01  David Bateman  <dbateman@free.fr>

	* polynomial/polyint.m: New function like polyinteg but with
	explicit integration constant.
	* polynomial/polyinteg.m: Remove.
	* polynomial/Makefile.in (SOURCES): Add polyint.m and remove
	polyinteg.m.
	* deprecated/polyinteg.m: Move version here.
	* deprecated/Makefile.in (SOURCES): Add polyinteg.m.
	
	* geometry/voronoi.m: Add large box around data to get a good
	approximation of the rays to infinity.

2007-08-31  Michael goffioul  <michael.goffioul@gmail.com>

	* plot/axes.m: Allow parent to be specified when creating axes
	objects.  Support non-figure parents.

2007-08-31  John W. Eaton  <jwe@octave.org>

	* plot/ancestor.m: New function, adapted from Octave Forge.

2007-08-31  S�ren Hauberg  <hauberg@gmail.com>

	* polynomial/polygcd.m: Better layout of example.
	* polynomial/compan.m: Remove unnecessary check.
	* polynomial/roots.m: Added example to help text.
	* polynomial/polyderiv.m: Change 'polyder' to 'polyderiv' in help text.
	* polynomial/poly.m: Added example to help text.

2007-08-30  John W. Eaton  <jwe@octave.org>

	* optimization/qp.m: Increase maxit to 200.

2007-08-30  David Bateman  <dbateman@free.fr>

	* geometry/inpolygon.m: New file.
	* geometry/Makefile.in (SOURCES): Add inpolygon.m.
	
2007-08-29  Peter A. Gustafson  <petegus@umich.edu>

	* plot/__go_draw_axes__.m: Disable linetype in do_linestyle_command.

2007-08-24  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Treat text color property.

2007-08-24  John W. Eaton  <jwe@octave.org>

	* plot/subplot.m, plot/plot.m, plot/grid.m:
	Use p = get (h, "prop") instead of obj = get (h); p = obj.prop.

	* miscellaneous/movefile.m: Separate second and third args and
	use p1 and p2, not f1 and f2 when constructing arguments for
	calls to system.  From Michael Goffioul <michael.goffioul@gmail.com>.

2007-08-24  Michael Goffioul  <michael.goffioul@gmail.com>

	* set/intersect.m: Make it work with cell arrays of strings.

2007-08-24  David Bateman  <dbateman@free.fr>

	* geometry/convhull.m, geometry/delaunay.m, geometry/delaunay3.m, 
        geometry/griddata.m, geometry/voronoi.m, geometry/voronoin.m: New 
        functions ported from octave-forge.
	* geometry/delaunayn.m, geometry/dsearch.m, geometry/dsearchn.m,
        geometry/griddata3.m, geometry/griddatan.m, geometry/trimesh.m, 
        geometry/triplot.m, geometry/tsearchn.m:
        New functions.
	* geometry/voronoi.m: Remove duplicate edges from Voronoi diagram.
	* geometry/Makefile.in (SOURCES): Add functions above.
	* configure.in (AC_CONFIG_FILES): Add new file geometry/Makefile.
        
2007-08-23  John W. Eaton  <jwe@octave.org>

	* pkg/pkg.m: Avoid using installed_packages for both function and
	variable name.

2007-08-23  David Bateman  <dbateman@free.fr>

	* plot/plot.m: Allow first arg to be axes handle.

2007-08-22  David Bateman  <dbateman@free.fr>

	* control/base/nichols.m: Correct for misnamed variable, and ensure
	outputs are returned only if requested.

2007-08-22  Donald Parsons  <dparsons@brightdsl.net>

	* control/base/nichols.m: Fix typo.

2007-08-13  John W. Eaton  <jwe@octave.org>

	* plot/meshgrid.m: Use repmat instead of multiplication.

2007-08-10  Peter A. Gustafson  <petegus@umich.edu>

	* plot/__go_draw_axes__.m: Add axes position to the usingclause,
	use axes position in each appropriate gnuplot set statement.

2007-08-10  John W. Eaton  <jwe@octave.org>

	* image/Makefile.in (DISTFILES): Also include $(IMAGES) in the list.
	(install install-strip): Use $(IMAGES), not $(IMAGE_FILES_NO_DIR).
	(uninstall): Use $(IMAGES), not $(IMAGE_FILES_NO_DIR).
	(IMAGE_FILES, IMAGE_FILES_NO_DIR): Delete obsolete variables.

2007-08-10  Kai Habel  <kai.habel@gmx.de>

	* plot/patch.m, plot/__patch__.m: New files.
	* plot/Makefile.in (SOURCES): Add them to the list.

2007-08-07  John W. Eaton  <jwe@octave.org>

	* path/savepath.m: Use single quotes for argument to PATH command
	that is inserted in file.

2007-07-27  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m: Only set default value for term if GNUTERM is
	not set in the environment.

2007-07-25  David Bateman  <dbateman@free.fr>

	* Makefile.in, audio/Makefile.in, control/Makefile.in,
	control/base/Makefile.in, control/hinf/Makefile.in,
	control/obsolete/Makefile.in, control/system/Makefile.in, 
	control/util/Makefile.in, deprecated/Makefile.in,
	elfun/Makefile.in, finance/Makefile.in, general/Makefile.in,
	image/Makefile.in, io/Makefile.in, linear-algebra/Makefile.in,
	miscellaneous/Makefile.in, optimizaton/Makefile.in,
	path/Makefile.in, pkg/Makefile.in, plot/Makefile.in,
	polynomial/Makefile.in, quaternion/Makefile.in,
	set/Makefile.in, signal/Makefile.in, sparse/Makefile.in,
	specfun/Makefile.in, special-matrix/Makefile.in,
	startup/Makefile.in, statistics/Makefile.in,
	statistics/base/Makefile.in, statistics/distributions/Makefile.in,
	statistics/models/Makefile.in, statistics/tests/Makefile.in,
	strings/Makefile.in, testfun/Makefile.in, time/Makefile.in:
	Adjust DISTFILES to allow out of tree "make dist" to work.

2007-07-25  John W. Eaton  <jwe@octave.org>

	* plot/__plt2__.m: Return [](0x1) if both X and Y are empty.

2007-07-24  David Bateman  <dbateman@free.fr>

	* image/flag.m: New colormap function.
	* images/Makefile.in: Include it in SOURCES.

	* image/autumn.m image/bone.m image/cool.m image/copper.m 
	image/hot.m image/hsv.m image/jet.m image/pink.m image/prism.m 
	image/rainbow.m image/spring.m image/summer.m image/white.m 
	image/winter.m, image/brighten.m: Use isscalar and not is_scalar.
	* image/gray.m, image/ocean.m: Use the same means of finding the
	number of colormap elements as the other colormap functions.

2007-07-24  Kai Habel  <kai.habel@gmx.de>

	* plot/__go_draw_axes__.m: Handle patch.

2007-07-23  David Bateman  <dbateman@free.fr>

	* general/rat.m: New function for ration approximation imported
	from octave-forge.
	* general/del2.m: New function for discrete laplacian operator.
	* general/Makefile.in: Include rat.m and del2.m  in SOURCES.

	 * image/autumn.m image/bone.m image/cool.m image/copper.m 
	image/hot.m image/hsv.m image/jet.m image/pink.m image/prism.m 
	image/rainbow.m image/spring.m image/summer.m image/white.m 
	image/winter.m, image/brighten.m: Port image functions from
	octave-forge.
	* image/Makefile.in: Add ported functions to SOURCES.
	* image/gray.m, image/ocean.m: Don't set the colormap for
	compatibility with matlab.
	
	* plot/meshc.m, plot/peaks.m: Port plotting function from
	octave-forge
	* plot/Makefile.in: Add ported functions to SOURCES.
	* plot/__go_draw_axes__.m: Set the palette for the surfaces if
	using gnuplot 4.2 or greater.
	
2007-07-23  Claudio Belotti  <c.belotti@imperial.ac.uk>

	* general/cart2sph.m: Fix unbalanced paranthesis.

2007-07-19  David Bateman  <dbateman@free.fr>

	* plot/fplot.m: More compatible version.

2007-07-18  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/clf.m: Check for valid handle before deleting.

	* plot/figure.m: Pass "figure" property/value pairs directly to
	__go_figure__ instead of using regular "set" call.

2007-07-18  Paul Kienzle  <pkienzle@users.sf.net>

	* plot/drawnow.m: Prefer GNUTERM to DISPLAY when choosing terminal
	type for gnuplot.

2007-07-18  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Unconditionally send "unset label" to
	gnuplot for each set of axes.

2007-07-18  David Bateman  <dbateman@free.fr>

	* statistics/distributions/gamcdf.m, statistics/distributions/gaminv.m,
	statistics/distributions/gampdf.m, statistics/distributions/gamrnd.m,
	statistics/distributions/expcdf.m, statistics/distributions/expinv.m,
	statistics/distributions/exppdf.m, statistics/distributions/exprnd.m:
	Use standard scale factor rather than one on the scale factor for
	compatibility.

	* deprecated/gamma_cdf.m, deprecated/gamma_inv.m,
	deprecated/gamma_pdf.m, deprecated/gamma_rnd.m,  
	deprecated/exponential_cdf.m, deprecated/exponential_inv.m,
	deprecated/exponential_pdf.m, deprecated/exponential_rnd.m:
	Preserve backward compatibility.

2007-07-17  Michael Goffioul  <michael.goffioul@gmail.com>

	* pkg/pkg.m (pkg:installed_packages): Use findstr rather than regexp
	to avoid issues with regexp special characters in the path strings.

2007-07-06  David Bateman  <dbateman@free.fr>

	* general/accumarray.m: New function to create an array by 
	accumulating the elements.

2007-06-29  Marcus W. Reble  <reble@wisc.edu>

	* optimization/sqp.m (sqp): New args, lb, ub, maxiter, and tolerance.
	(fdjac): Set nx outside of if block.
	(cf_ub_lb, cigrad_ub_lb): New subfunctons.

2007-06-28  Michael Goffioul  <michael.goffioul@gmail.com>

	* plot/subplot.m: Add 'ishandle' check when parsing the existing axes.

	* plot/axis.m: Also set "visible" property when setting axes to
	on/off.

2007-06-27  Michael Goffioul  <michael.goffioul@swing.be>

	* image/colormap.m: Only return colormap if nargout > 0.
	Mark as command.

2007-06-25  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m, plot/__go_draw_axes__.m: Use strcmpi instead of
	strcmp for selected property comparisons.

2007-06-25  S�ren Hauberg  <hauberg@gmail.com>

	* image/imshow.m: Fix check for colormap arguments.

2007-06-25  Joel Keay  <keay@nhn.ou.edu>

	* plot/drawnow.m: Handle GNUTERM=aqua if DISPLAY is not set.

2007-06-25  S�ren Hauberg  <hauberg@gmail.com>

	* statistics/base/median.m: Update help text to mention 'dim'
	argument, and note that the data should be sorted for the
	definition of the median to be correct.

	* statistics/base/std.m: Add missing square to definition of
	standard deviation.

	* statistics/base/cov.m: Add definition of covariance to the help text.

	* statistics/base/kurtosis.m, statistics/base/skewness.m,
	statistics/base/std.m:
	Note that \bar{x} is the mean value of x in the help text.

	* specfun/nchoosek.m: Add alternative definition of the binomial
	coefficient to the help text.

	* specfun/perms.m, statistics/base/values.m: Add example in help text.

	* statistics/base/var.m: Put N in @math in help text.

	* statistics/base/qqplot.m, statistics/base/ppplot.m, 
	statistics/tests/kolmogorov_smirnov_test.m:
	Write about possible values of 'dist' in help text.

	* statistics/base/corrcoef.m, statistics/base/cor.m:
	Add definition of correlation to the help text.

	* statistics/base/logit.m, statistics/base/kendall.m,
	statistics/base/cloglog.m, statistics/tests/hotelling_test_2.m,
	statistics/distributions/wblcdf.m, statistics/distributions/wblpdf.m:
	TeXification of help text.

	* statistics/tests/hotelling_test.m: Write T^2 in @math in help text.

	* statistics/tests/var_test.m, statistics/tests/welch_test.m:
	Add missing @var's to help text.

	* statistics/models/logistic_regression.m: Fix typos in help text.

	* statistics/distributions/kolmogorov_smirnov_cdf.m: Fix TeX part
	of help text.

	* statistics/distributions/unidinv.m: Add a missing 'discrete' to
	help text.

	* statistics/distributions/unidpdf.m,
	statistics/distributions/discrete_pdf.m:
	Replace 'pDF' with 'PDF' in help text.

2007-06-25  John W. Eaton  <jwe@octave.org>

	* strings/substr.m: Use offset consistently in code and doc string.
	From Rafael Laboissiere <rafael@debian.org>.

2007-06-25  Pete Gustafson  <petegus@umich.edu>

	* plot/__go_draw_axes__.m: Handle units for text objects.

2007-06-25  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Handle char arrays for tic labels.
	Recycle tic labels if necessary.  From Juhani Saastamoinen
	<juhani@cs.joensuu.fi>.

2007-06-20  John W. Eaton  <jwe@octave.org>

	* strings/index.m: Allow strings to be empty.
	From Hartmut Wziontek <hwz@hwz.bv.TU-Berlin.DE>

	* plot/__go_draw_axes__.m (do_tics_1): Fix typo (xtic -> tics).

2007-06-19  Vittoria Rezzonico  <vittoria.rezzonico@epfl.ch>

	* sparse/pcg.m: Allow the preconditioner to be passed as two
	separate matrices.

2007-06-19  David Bateman  <dbateman@free.fr>

	* plot/axis.m: Prefer to use legend rather than the older Octave
	only ";;" legend syntax.
	* polynomial/mkpp.m: ditto.
	* polynomial/pchip.m: ditto.
	* signal/freqz_plot.m: ditto.
	* sparse/gplot.m: ditto.
	* sparse/treeplot.m: ditto.

2007-06-19  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m (do_tics, do_tics_1): New functions.
	(__go_draw_axes__): Call do_tics to handle tic marks.

2007-06-18  S�ren Hauberg  <hauberg@gmail.com>

	* general/interp1.m, general/interp2.m, general/interp3.m,
	general/interpn.m: Replace, NaN with NA.  Use isna instead of ==
	to check for NA.

2007-06-18  S�ren Hauberg  <hauberg@gmail.com>

	* optimization/glpk.m: TeXified the help text.
	* optimization/qp.m: TeXified the help text.
	* optimization/sqp.m: TeXified the help text.

2007-06-16  S�ren Hauberg  <hauberg@gmail.com>

	* plot/legend.m: Replace 'vargin' with 'varargin'.

2007-06-15  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Only attempt label rotation if
	have_newer_gnuplot is true.

2007-06-15  Pete Gustafson  <petegus@umich.edu>

	* plot/__go_draw_axes__.m  Handle rotation arg for axis labels.
	* plot/__axis_label__.m  Assign ylabel default rotation property
	to 90, all others 0.

	* plot/__errplot__.m: Set ifmt from fmt.linestyle.
	* plot/__go_draw_axes__.m: Removed undefined tx from call to
	get_data_limits.
	* plot/__plotopt1__.m: Intercept and strip format string when
	called by __errplot__.

2007-06-15  John W. Eaton  <jwe@octave.org>

	* testfun/test.m: Also return number of expected failures.

2007-06-14  John W. Eaton  <jwe@octave.org>

	* set/ismember.m: Mark two tests known to fail with xtest.

	* plot/__go_draw_axes__.m: Handle text rotation property.

2007-06-14  Paul Kienzle  <pkienzle@users.sf.net>

	* testfun/test.m: Add xtest support for tests known to fail.

2007-06-14  Sebastian Schubert  <sebastian-schubert@gmx.de>

	* plot/print.m: Handle pstex, pslatex, epslatex, and
	epslatexstandalone terminals.

2007-06-14  David Bateman  <dbateman@free.fr>

	* general/__splinen__.m: Check also for ND vectors. Fix for N > 2,
	as permutation of results was incorrect.
	* general/interp1.m: Add demo on second derivative
	* general/interpn.m: Convert "y" to vectors for __splinen__
	call. Add 3D demo. Fix typos
	* general/interp3.m: Fix typos. Correct permutation for use of
	interpn.
	* polynomial/mkpp.m: Correction for matrices of 3 or more dimensions.

2007-06-13  John W. Eaton  <jwe@octave.org>

	* miscellaneous/mkoctfile.m: Quote args too.

2007-06-13  Michael Goffioul  <michael.goffioul@swing.be>

	* miscellaneous/mkoctfile.m: Quote script name for call to system.

2007-06-12  Michael Goffioul  <michael.goffioul@swing.be>

	* plot/__pltopt1__.m: Set linestyle to "none" instead of "".
	Set have_linestyle to true if two character linestyle is found.

2007-06-12  David Bateman  <dbateman@free.fr>

	* general/Makefile.in (SOURCES): Include __spline__.m, interp3.m
	and interpn.m.

	* pkg/pkg.m (pkg:load_package_dirs): Check for field "loaded" in
	structure before using it.

2007-06-12  David Bateman  <dbateman@free.fr>

	* general/interp1.m: Change examples to use new graphics interface.
	* general/__splinen__.m: New support function for N-dimensional
	spline interpolation.
	* general/bicubic.m: Allow definition of extrapolation
	value. Adapt tests to use new graphics interface
	* general/interp2.m: Call __splinen__ for 2-D spline
	interpolation. Make the lookup table code only be called for
	linear and nearest methods.
	* general/interpn.m: New function for N-dimensional, linear, nearest
	and spline interpolation.
	* general/interp3.m: New function for 3-dimensional, linear, nearest
	and spline interpolation.
	* polynomial/spline.m: Change examples to use new graphics interface.
	
2007-06-12  Steve M. Robbins  <steve@sumost.ca>

	* statistics/tests/wilcoxon_test.m: Error if N <= 25.

2007-06-12  S�ren Hauberg  <soren@hauberg.org>

	* plot/fplot.m: If function is inline, vectorize it.

2007-06-10  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (pkg:installed_packages): truncate start of package
	directory if need to, so that it fits on a line.
	
2007-06-07  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (pkg): For rebuild target, force package order in
	saved file so that dependent packages are loaded first, and if
	nargout==0 don't return any arguments.
	(pkg:install): Only load packages that are marked autoload after
	install. Various fixes. Save in order.
	(pkg:uninstall): Save in order
	(pkg:load_packages): Use load_package_and_dependencies to load
	packages.
	(pkg:save_order): New function to sort package list with dependent
	packages first.
	(pkg:load_packages_and_dependencies): New function to load both a
	list of packages and their dependencies.
	(pkg:load_package_dirs): New function that returns a vector of the
	indexes into the installed package list indicating the packages to
	load and the order to load them in to respect the dependencies.

2007-06-03  S�ren Hauberg  <soren@hauberg.org>

	* plot/axes.m: Eliminate redundant else clause.

2007-06-03  David Bateman  <dbateman@free.fr>

	* polynomial/spline.m: Add a small tolerance to spline tests.
	* pkg/pkg.m: Protect against multiple actions being define.
	
2007-06-01  David Bateman  <dbateman@free.fr>

	* pkg.m (pkg:is_superuser): Remove function used in one place and
	incorporate into main pkg function.
	(pkg:install): Check for existence of files to install before
	globbing and warn the user if they don't exist.

2007-05-31  David Bateman  <dbateman@free.fr>

	* miscellaneous/copyfile.m: Split copying of multiple files to a 
	directory over several copy command to limit the line length.
	* miscellaneous/movefile.m: Ditto.
	
	* pkg.m: Add build option to allow binary Octave packages to be
	built from source packages. Probe absolute path of prefix, global
	and local lists. Use strcat, rather that [] for strings.
	(pkg:build): New function to binary binary package.
	(pkg:absolute_pathname): Use fileattrib to probe absolute path.
	(pkg:repackage): Package binary Octave package from installation.
	(pkg:create_pkgadddel): Extract PKG_ADD and PKG_DEL directives
	from m-files into main installation directory.
	(pkg:shell): Suppress verbose messages from shell and only display
	them with the verbose flag.
	(pkg:installed_packages): Also include the loaded flag in the
	local and global packages.
	(pkg:uninstall): On uninstall, only rmpath the package if it is
	flagged as loaded.

2007-05-31  Michael Goffioul  <michael.goffioul@swing.be>

	* pkg.m (pkg:load_packages): Correctly load a mix of packages
	with and without architecture dependent directories.
	(pkg:installed_packages): Probe the global_list file even if it is
	the same as the local_list. 

2007-05-29  John W. Eaton  <jwe@octave.org>

	* sparse/spy.m: Set axis to "ij" mode.

2007-05-24  John W. Eaton  <jwe@octave.org>

	* set/ismember.m: Quote first arg of "fail" tests.

2007-05-24  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (pkg:rebuild): Thinko in rebuild logic.

2007-05-22  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m: Use rethrow(lasterror()) throughout rather than
	error(lasterr()(8:end)).
	(pkg:install): Warning for empty packages being removed. Suppress
	spurious output. Warning rather than error for uninstalling a
	package that is not installed to avoid RPM issue.
	(pkg:configure_make): Fix for parsing of src/FILES. Don't create
	inst or architecture dependent directory if it exists.

2007-05-22  Thomas Weber  <thomas.weber.mail@gmail.com>

	* ChangeLog, control/system/is_stabilizable.m, general/bicubic.m,
	image/ind2gray.m, image/saveimage.m, plot/box.m, plot/grid.m,
	signal/freqz.m: Fix typos.

2007-05-21  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m: Add rebuild target, and -local, -global option to
	force installation location.
	(rebuild): New subfunction to rebuild package database from
	installed packages. Also allows changing of autoload status
	(install): Warn use if attempting to install from non existent
	file. 
	(issuperuser): Use 'geteuid() == 0' instead of 'strcmp (getenv(
	"USER", "root"))' for root test.

2007-05-21  Michael Goffioul  <michael.goffioul@swing.be>

	* miscellaneous/copyfile.m: check for cp.exe on Windows platforms
	and replace "\" characters with "/".
	* pkg/pkg.m: Use shell rather than system throughout. Replace "\" 
	characters with "/" throughout.
	(shell): New subfunction that wraps system and is careful with the
	shell on windows platforms.
	(configure_make): Explictly pass complier etc to configure
	process.
	(issuperuser): Force default to global install for Windows machines.
	
2007-05-19  Kristan Onu

	* plot/Makefile.in (SOURCES): Remove hbar.m and add barh.m.

2007-05-18  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (install): More verbosity. 
	(configure_make): Ditto.
	(create_pkgadddel): Install in architecture dependent directory if
	it exists to address issues with autoload/mfilename.
	(write_INDEX): Check in archiecture dependent directories as well.

2007-05-17  David Bateman  <dbateman@free.fr>

	* plot/hbar.m: Remove.
	* plot/barh.m: and move it here.

2007-05-16  S�ren Hauberg  <soren@hauberg.org>

	* general/sub2ind.m, general/ind2sub.m: Doc fix.

2007-05-16  John W. Eaton  <jwe@octave.org>

	* general/logspace.m: Return second arg if fewer than two values
	are requested.

2007-05-14  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_figure__.m: Ensure that a reset commands starts
	on a new line.

2007-05-14  Tarmigan Casebolt  <tarmigan+list@gmail.com>

	* statistics/distributions/norminv.m,
	statistics/distributions/norminv.m,
	statistics/distributions/normpdf.m,
	statistics/distributions/normrnd.m:
	Use standard deviation, not variance.
	* statistics/distributions/lognpdf.m: Adapt to change in norminv.
	* statistics/distributions/logninv.m: Refer to norminv, not normal_inv.
	* deprecated/normal_cdf.m, deprecated/normal_inv.m,
	deprecated/normal_pdf.m, deprecated/normal_rnd.m: Preserve
	backward compatibility.

2007-05-14  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m: Mark loaded packages with "*".

2007-05-13  S�ren Hauberg  <soren@hauberg.org>

	* miscellaneous/single.m: Doc fix.
	Convert to double instead of returning argument unchanged.

	* miscellaneous/doc.m: Doc fix.

	* miscellaneous/ver.m: Doc fix.
	Don't display information about Octave Forge.

2007-05-12  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m: Add a "-verbose" option that allows all output of an
	install to be printed. An error in the on_uninstall script causes
	a failure to uninstall. Place oct- and mex-files in an
	architecture dependent directory.

2007-05-09  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Break plot command over multiple lines.

2007-05-09  G. D. McBain  <geordie.mcbain@aeromech.usyd.edu.au>

	* statistics/distributions/normcdf.m: Use standard deviation
	instead of variance for compatibility.

2007-05-08  John W. Eaton  <jwe@octave.org>

	* set/unique.m, set/ismember.m: Use numel(x) instead of prod(size(x)).

	* set/ismember.m: Always return logical values.

	* set/ismember.m: Return early if no matches are found.  New tests.
	From David Grohmann <grohmann@arlut.utexas.edu>.

	* general/__isequal__.m: Allow numeric values of different classes
	to compare equal.

2007-05-07  David Bateman  <dbateman@free.fr>

	* sparse/spy.m: Reverse Y axis for new graphics code. Make more
	compatiable, accepting LineSpec and markersize arguments.

2007-05-02  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Convert NA to NaN before writing.

2007-05-02  G. D. McBain  <geordie.mcbain@aeromech.usyd.edu.au>

	* contour.m: Rewrite help string.

2007-04-28  John W. Eaton  <jwe@octave.org>

	* miscellaneous/unzip.m, miscellaneous/untar.m,
	miscellaneous/bunzip2.m, miscellaneous/gunzip.m:
	Special case nargout == 0.

2007-04-27  Kim Hansen  <kimhanse@gmail.com>

	* general/sub2ind.m: Handle empty input, add tests.

2007-04-27  G. D. McBain  <geordie.mcbain@aeromech.usyd.edu.au>

	* plot/contourc.m: Doc fix.

2007-04-26  David Bateman  <dbateman@free.fr>

	* plot/hist.m: Partially remove previous patch.

2007-04-26  David Bateman  <dbateman@free.fr>

	* plot/hist.m: Support returning of handle
	* plot/__bar__.m: __pltopt__ should only be called on strings or
	cells.

2007-04-25  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: For images, set titlespec{data_idx} to
	"title \"\"", not "".

	* plot/legend.m: Initialize WARNED to false.

2007-04-24  John W. Eaton  <jwe@octave.org>

	* io/beep.m: Fix cut and paste error.
	From S�ren Hauberg  <soren@hauberg.org>.

2007-04-23  John W. Eaton  <jwe@octave.org>

	* plot/box.m: Delete extra endfunction keyword.

2007-04-23  David Bateman  <dbateman@free.fr>

	* plot/plot3.m: Call newplot.

2007-04-20  John W. Eaton  <jwe@octave.org>

	* plot/Makefile.in (SOURCES): Fix typo in adding __bar__.m to the list.

2007-04-19  John W. Eaton  <jwe@octave.org>

	* miscellaneous/unpack.m: Use gzip -d and bzip2 -d instead of
	gunzip and bunzip.  From Michael Goffioul <michael.goffioul@swing.be>.

2007-04-19  A. S. Hodel  <a.s.hodel@eng.auburn.edu>

	* control/util/axis2dlim.m: Delete extraneous line.

2007-04-18  John W. Eaton  <jwe@octave.org>

	* specfun/factorial.m: Increase tolerance in large value test.

2007-04-18  David Bateman  <dbateman@free.fr>

	* __bar__.m: New support function for bar/hbar to support graphic
	handles, and additional arguments.
	* bar.m: Convert to use __bar__.
	* hbar.m: New function
	* hist.m: Explicitly set the width of the bar plot.
	
2007-04-17  John W. Eaton  <jwe@octave.org>

	* plot/stem.m (stem_line_spec): Pass false as third arg to __pltopt__.

	* set/ismember.m: New tests.
	From David Grohmann <grohmann@arlut.utexas.edu>

2007-04-17  Paul Kienzle  <pkienzle@users.sf.net>

	* specfun/factorial.m: Use gamma function instead of cumprod.
	Add tests.

2007-04-16  John W. Eaton  <jwe@octave.org>

	* gethelp.cc (looks_like_octave_copyright): Use same logic as in
	looks_like_copyright in src/help.cc.
	From S�ren Hauberg <soren@hauberg.org>.

	* plot/__go_draw_axes__.m: For log plots, omit zero values too.

2007-04-13  John W. Eaton  <jwe@octave.org>

	* optimization/sqp.m: Initialize info to 0.

	* optimization/qp.m: Undo previous change.

2007-04-13  Geordie McBain  <geordie.mcbain@aeromech.usyd.edu.au>

	* spdiags.m: Fixed the four-argument case to work for columns of
	length one.

2007-04-12  John W. Eaton  <jwe@octave.org>

	* optimization/qp.m: Avoid Octave indexing bug.

2007-04-12  Carlo de Falco  <kingcrimson@tiscali.it>

	* miscellaneous/menu.m, control/base/bddemo.m,
	control/hinf/dgkfdemo.m, control/system/packedform.m,
	control/system/sysrepdemo.m:
	Adapt to page_screen_output as a function.

2007-04-11  John W. Eaton  <jwe@octave.org>

	* miscellaneous/not.m: Delete.
	* miscellaneous/Makefile.in (SOURCES): Delete it from the list.

2007-04-11  A. S. Hodel  <a.s.hodel@eng.auburn.edu>

	* control/util/axis2dlim.m: Try harder to handle min and max vals
	that are close but not exactly equal.

2007-04-11  David Bateman  <dbateman@free.fr>

	* general/bitcmp.m: Make it work again.

2007-04-10  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Try harder to handle min and max vals
	that are close but not exactly equal.

2007-04-09  Daniel J. Sebald  <daniel.sebald@ieee.org>

	* plot/stem.m: Add back the baseline line and let it be not adjustable
	in response to a change in x limits for now.

2007-04-09  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m (__gnuplot_write_data__): New function.
	(__go_draw_axes__): Use it to write data to plot stream.

2007-04-09  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/stem.m: Fix typos in doc string.  Fix typo in call to
	zeros.  Set markerfacecolor property in call to plot.

2007-04-06  John W. Eaton  <jwe@octave.org>

	* linear-algebra/norm.m: Use new __vnorm__ function for vector args.

2007-04-06  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/stem.m: Use plot instead of a series of calls to line.

2007-04-05  John W. Eaton  <jwe@octave.org>

	* sparse/nonzeros.m, sparse/normest.m, sparse/spconvert.m,
	sparse/spdiags.m, sparse/speye.m, sparse/spfun.m, sparse/spones.m,
	sparse/sprand.m, sparse/sprandn.m, sparse/sprandsym.m,
	sparse/spstats.m, sparse/treeplot.m: Style fixes.

	* pkg/pkg.m: Use "strcat (...)" instead of "[...]".
	Use strcmpi instead of strcmp+tolower.
	Style fixes.

	* testfun/speed.m: Use "strcat (...)" instead of "[...]".
	Plotting fixes.  Style fixes.

	* testfun/test.m: Use "strcat (...)" instead of "[...]".
	Style fixes.

	* testfun/fail.m: No need to check for evalin and lastwarn.
	Style fixes.

	* testfun/demo.m, testfun/example.m: Style fixes.
	Use "strcat (...)" instead of "[...]".
	Use format specifiers in calls to warning.

	* testfun/assert.m: Use "numel (x)" instead of "prod (size (x))".
	Use "strcat (...)" instead of "[...]".
	Use "x(end)" instead of "x(length (x))".
	Check NA before NaN.
	Style fixes.

2007-03-29  John W. Eaton  <jwe@octave.org>

	* plot/stem.m (stem, set_default_values): Use RGB triple for color.

2007-03-27  John W. Eaton  <jwe@octave.org>

	* Makefile.in, audio/Makefile.in, control/Makefile.in,
	control/base/Makefile.in, control/hinf/Makefile.in,
	control/obsolete/Makefile.in, control/system/Makefile.in,
	control/util/Makefile.in, deprecated/Makefile.in,
	elfun/Makefile.in, finance/Makefile.in, general/Makefile.in,
	image/Makefile.in, io/Makefile.in, linear-algebra/Makefile.in,
	miscellaneous/Makefile.in, optimization/Makefile.in,
	path/Makefile.in, pkg/Makefile.in, plot/Makefile.in,
	polynomial/Makefile.in, quaternion/Makefile.in, set/Makefile.in,
	signal/Makefile.in, sparse/Makefile.in, specfun/Makefile.in,
	special-matrix/Makefile.in, startup/Makefile.in,
	statistics/Makefile.in, statistics/base/Makefile.in,
	statistics/distributions/Makefile.in,
	statistics/models/Makefile.in, statistics/tests/Makefile.in,
	strings/Makefile.in, testfun/Makefile.in, time/Makefile.in:
	Use ln instead of $(LN_S) in dist target.

2007-03-27  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Allow linewidth settings to work with
	gnuplot 4.0.

2007-03-26  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Send image data to gnuplot via plot stream.

2007-03-26  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/__go_draw_axes__.m: Always end palette data to gnuplot via
	plot stream and using binary data.

2007-03-26  John W. Eaton  <jwe@octave.org>

	* plot/__plt1__.m, plot/__plt2__.m, plot/__plt2mm__.m,
	lot/__plt2mv__.m, plot/__plt2ss__.m, plot/__plt2vm__.m,
	plot/__plt2vv__.m: Accept properties in addtition to options struct.

2007-03-26  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Send "set ticslevel 0" to plot stream.

	* plot/plot3.m: Handle line properties.
	* plot/plot.m: Update docstring.
	* plot/__plotopt__.m, plot/__pltopt1__.m: New arg, err_on_invalid.
	* plot/__plt__.m: Also gather properties.

2007-03-26  Kim Hansen  <kimhanse@gmail.com>

	* testfun/assert.m: Delete special check for empty objects.
	Add test.

2007-03-26  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m: Exit early if call is recursive.

	* plot/__go_draw_axes__.m (get_data_limits): New function.
	Check for Inf too.
	(__go_draw_axes__): Use get_data_limits.

2007-03-24  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m: If GNUTERM is set to wxt in the environment,
	send terminal setting command with title option to plot stream.

	* plot/legend.m: Correctly increment index into list of children..

2007-03-23  John W. Eaton  <jwe@octave.org>

	* general/interp2.m, general/bicubic.m, control/base/rldemo.m,
	control/hinf/hinfdemo.m, control/hinf/dhinfdemo.m,
	control/base/nyquist.m, control/base/nichols.m,
	control/base/frdemo.m, signal/freqz_plot.m,
	control/base/__stepimp__.m, control/base/bode.m,
	quaternion/demoquat.m, quaternion/qcoordinate_plot.m,
	statistics/base/qqplot.m, statistics/base/ppplot.m, sparse/spy.m:
	Update plotting code.

	* control/base/bode.m: Unwrap phase angle.

	* miscellaneous/dump_prefs.m: Remove automatic_replot from the list.

	* plot/axis.m: Don't check automatic_replot, or call replot.

	* quaternion/demoquat.m: Delete comments with obsolete plotting
	commands.

	* plot/__pltopt1__.m: Handle "@" marker same as "+".
	Handle numeric color specs.
	* plot/plot.m: Remove "-@" and "@" from docstring.

	* plot/orient.m: Fix tests to avoid creating a plot window.

	* elfun/acosd.m, elfun/acotd.m, elfun/acscd.m, elfun/asecd.m,
	elfun/asind.m, elfun/atand.m, elfun/cosd.m, elfun/cotd.m,
	elfun/cscd.m, elfun/secd.m, elfun/sind.m, elfun/tand.m,
	general/arrayfun.m, miscellaneous/compare_versions.m,
	path/savepath.m, pkg/pkg.m, plot/__gnuplot_version__.m,
	plot/contour.m, plot/contourc.m, plot/legend.m, plot/stem.m,
	polynomial/pchip.m: Fix copyright notice, correct FSF address.

	* plot/__go_draw_figure__.m: Send reset to gnuplot before every
	plot, not just multiplots.

	* plot/__go_draw_axes__.m: Use %g for label coordinates, not %d.

	* plot/contour.m: Don't call drawnow.

2007-03-22  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m: Check and optionally, set, the __modified__
	property of each figure.

	* plot/__go_draw_axes__.m: If no real data, plot a point at Inf,
	Inf to show axes.  From Daniel J Sebald <daniel.sebald@ieee.org>.

2007-03-21  John W. Eaton  <jwe@octave.org>

	* linear-algebra/null.m: Set elements of retval with magnitudes
	less than eps to 0.

2007-03-21  David Bateman  <dbateman@free.fr>

	* plot/__go_draw_axes__.m: Handle some colors with older gnuplot.
	* testfun/speed.m: Documentation and example fix.
	
2007-03-21  John W. Eaton  <jwe@octave.org>

	* plot/subplot.m: If we find an existing subplot region, set
	it to be the "currentaxes" property for the current figure.
	Delete old axes objects if the new axes object overlaps the old.

2007-03-20  David Bateman  <dbateman@free.fr>

	* general/Makefile.in: Include arrayfun.m in SOURCES.

2007-03-20  Bill Denney  <denney@seas.upenn.edu>

	* general/arrayfun.m: New function.

2007-03-20  John W. Eaton  <jwe@octave.org>

	* plot/newplot.m: Call __request_drawnow__ after initializing axes.
	* plot/text.m: Call __request_drawnow__ after creating text objects.

	* plot/clf.m: Don't call drawnow.

2007-03-20  Daniel J Sebald  <daniel.sebald@ieee.org>

	* image/__img__.m: Maybe set yaxis to reverse for images.
	* plot/__go_draw_axes__.m: Don't add flipy to gnuplot command for
	images.

	* plot/drawnow.m: Make __go_close_all_registered__ persistent
	instead of global.  Only register __go_close_all__ with atexit if
	the plot stream is successfully opened.

2007-03-15  John W. Eaton  <jwe@octave.org>

	* plot/__go_draw_axes__.m: Make have_newer_gnuplot persistent.
	From Daniel J Sebald <daniel.sebald@ieee.org>.

2007-03-15  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/__go_draw_axes__.m (do_linestyle_command): Fix marker types.
	Use numeric line types.

	* control/base/rlocus.m: Add asymptotes to the plot.  Use wider
	lines and larger markers.  Remove key titles from line type
	properties.

2007-03-14  John W. Eaton  <jwe@octave.org>

	* plot/__axis_label__.m: Accept additional property-value pairs
	and pass them to __go_text__.  Simply return the handle obtained
	from __go_text__ instead of calling get on the current axis.
	* plot/xlabel.m, plot/zlabel.m, plot/zlabel.m: Check args here.
	Allow for extra property value pairs to be passed along.
	* plot/title.m: Implement with __axis_label__ since it does all
	that title needs to do.

	* plot/clf.m: Set currentaxes property for current figure to [].

	* plot/__axis_label__.m: Convert arg to text handle before calling set.

	* plot/__plt__.m: Return line handles from all calls to __plt1__
	and __plt2__, not just the last.

	* plot/Makefile.in (SOURCES): Rename from SOURCES_M.
	(SOURCES_IN, GEN_M): Delete.
	(FCN_FILES): Don't include $(GEN_M).
	(all): Don't depend on $(GEN_M).
	($(GEN_M) : %.m : %.in): Delete pattern rule.

	* plot/text.m: Use __go_text__ instead of __uiboject_text_ctor__.

	* plot/newplot.m: Call __go_axes_init__ instead of
	__uiobject_axes_init__.

	* plot/mesh.m: Use __go_surface__ instead of
	__uiobject_surface_ctor__.  Don't access object fields directly.

	* plot/line.m: Use __line__ to do actual work.
	* plot/__line__.m: New function.

	* plot/axes.m: Use __go_axes__ to create axes graphics handle.
	Use get and set instead of accessing object fields directly.

	* plot/figure.m: Use __go_figure__ to create figure graphics
	handle.

	* plot/drawnow.m: Register __go_close_all__ with atexit instead of
	__uiobject_close_all.  Call __go_draw_figure__ instead of
	__uiobject_draw_figure__.

	* plot/clf.m: Use get instead of accessing object fields
	directly.  Simply delete children.  Don't set currentaxes.

	* plot/close.m (close_all_figures): New subfunction.
	Use it instead of getting list of figures to close from
	__uiobject_figures__.

	* plot/closereq.m: Simply delete the current figure.  Don't set
	currentfigure.

	* plot/__errplot__.m: Call __line__ instead of
	__uiobject_line_ctor__.  Use set instead of accesing object fields
	directly.  Don't call __uiobject_adopt__.

	* plot/__uiobject_adopt__.m, plot/__uiobject_alloc__.in,
	plot/__uiobject_axes_ctor__.m, plot/__uiobject_axes_dtor__.m,
	plot/__uiobject_axes_init__.in, plot/__uiobject_axes_setr__.m,
	plot/__uiobject_delete__.m, plot/__uiobject_figure_ctor__.m,
	plot/__uiobject_figures__.in, plot/__uiobject_free__.in,
	plot/__uiobject_get_handle__.in, plot/__uiobject_globals__.m,
	plot/__uiobject_grow_list__.in, plot/__uiobject_handle2idx__.in,
	plot/__uiobject_image_ctor__.m, plot/__uiobject_init_figure__.in,
	plot/__uiobject_init_root_figure__.in,
	plot/__uiobject_line_ctor__.m, plot/__uiobject_make_handle__.in,
	plot/__uiobject_root_figure_ctor__.m,
	plot/__uiobject_surface_ctor__.m, plot/__uiobject_text_ctor__.m:
	plot/get.in, plot/include-globals.awk, plot/ishandle.m,
	plot/set.in: Delete.
	* plot/Makefile.in (SOURCES_M, SOURCES_IN): Remove from lists.

	* plot/__go_close_all__.m: Rename from __uiobject_close_all.m.
	Pass "hidden" as second arg to close.
	* plot/__go_draw_axes__.m: Rename from __uiobject_draw_axes.m.
	* plot/__go_draw_figure__.m: Rename from __uiobject_draw_figure.m.
	* plot/Makefile.in (SOURCES_M): Rename in list.
	
	* image/__img__.m: Use __go_image__ to create image graphics
	handle.

	* miscellaneous/delete.m: Call __go_delete__, not
	__uiobject_delete__.  Check that arg is a graphics handle before
	calling __go_delete__.

2007-03-13  John W. Eaton  <jwe@octave.org>

	* miscellaneous/cast.m: Use feval and strcmp with cell to check
	arg instead of switch statement.
	From S�ren Hauberg <soren@hauberg.org>.

2007-03-12  John W. Eaton  <jwe@octave.org>

	* miscellaneous/cast.m: New function.

	* miscellaneous/delete.m: Call __go_delete__, not __uiobject_delete__.

2007-03-08  John W. Eaton  <jwe@octave.org>

	* miscellaneous/copyfile.m, miscellaneous/movefile.m: Perform
	tilde expansion on target filename before passing it to the shell.

	* statistics/base/Makefile.in (SOURCES): Remove unidrnd.m from list.
	* statistics/distributions/Makefile.in (SOURCES): Add it here.

2007-03-08  David Bateman  <dbateman@free.fr>

	* statistics/base/unidrnd.m: Move to statistics/distributions
	replacing slower version based on dicrete_rnd.

2007-03-07  John W. Eaton  <jwe@octave.org>

	* control/base/rlocus.m: Update for current plotting functions.

2007-03-07  A. S. Hodel  <a.s.hodel@eng.auburn.edu>

	* control/base/rlocus.m: Improve display.

2007-03-07  John W. Eaton  <jwe@octave.org>

	* plot/legend.m: Only handle positions -1:4.
	* plot/__pltopt1__.m: Don't set linestyle if only marker style is
	found in option string
	* plot/__uiobject_draw_axes__.m: Handle key position.

	* plot/newplot.m: Always reset next line color.

	* testfun/assert.m: Check that number of dimensions match before
	checking dimensions.

2007-03-07  Muthiah Annamalai  <muthuspost@gmail.com>

	* specfun/perms.m, specfun/factorial.m: Check args.

2007-03-07  John W. Eaton  <jwe@octave.org>

	* plot/mesh.m: Call newplot before doing anything.

	* plot/__uiobject_draw_axes__.m: Send "e\n" at end of data, not
	just "e".  Only flush plot stream once.
	From Daniel J Sebald <daniel.sebald@ieee.org>.

	* strings/blanks.m: Omit first index in assignment.

2007-03-07  Paul Kienzle  <pkienzle@users.sf.net>

	* set/setdiff.m: Some code cleanup and a fix for setdiff on rows.

2007-03-06  David Bateman  <dbateman@free.fr>
	    John W. Eaton  <jwe@octave.org>

	* set/setdiff.m: Ignore "rows" for cell array args.
	Handle cellstr args.

2007-03-05  John W. Eaton  <jwe@octave.org>

	* optimization/sqp.m: Defer first call to obj_hess until after
	calling obj_fun.

2007-03-02  Bob Weigel  <rweigel@gmu.edu>

	* specfun/nchoosek.m: Fix nargin check.

2007-03-01  Daniel J Sebald  <daniel.sebald@ieee.org>

	* image/__img__.m: Don't set xlim and ylim properties.

2007-03-01  Paul Kienzle  <pkienzle@users.sf.net>

	* general/interp1.m: Fix *style cases for decreasing x.

2007-03-01  Muthiah Annamalai  <muthuspost@gmail.com>

	* polynomial/roots.m: Check nargin before accessing arg.

2007-02-28  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: If looking at image data, Don't
	increment data_idx unless using gnuplot for display.

2007-02-28  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/__uiobject_draw_axes__.m: Improve calculation of limits for
	plots with images.
	* image/image.m, image/imagesc.m, image/imshow.m:
	Deprecate zoom argument.

2007-02-28  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: Use fullfile to generate
	temporary file names.  Keep image and colormap file ids separate.

	* general/interp1.m: Correctly compute min and max values when
	values are decreasing and not evenly spaced.
	From Ricardo Marranita <ricardo.marranita@gmail.com>.

2007-02-27  John W. Eaton  <jwe@octave.org>

	* testfun/test.m (test): Handle possibility of file_in_loadpath
	returning an empty cell array.

2007-02-27  Michael Goffioul  <michael.goffioul@swing.be>

	* pkg/pkg.m: Use fullfile to create filenames from parts.

2007-02-26  Michael Goffioul  <michael.goffioul@swing.be>

	* Makefile.in, audio/Makefile.in, control/Makefile.in,
	control/base/Makefile.in, control/hinf/Makefile.in,
	control/obsolete/Makefile.in, control/system/Makefile.in,
	control/util/Makefile.in, deprecated/Makefile.in,
	elfun/Makefile.in, finance/Makefile.in, general/Makefile.in,
	image/Makefile.in, io/Makefile.in, linear-algebra/Makefile.in,
	miscellaneous/Makefile.in, optimization/Makefile.in,
	path/Makefile.in, pkg/Makefile.in, plot/Makefile.in,
	polynomial/Makefile.in, quaternion/Makefile.in, set/Makefile.in,
	signal/Makefile.in, sparse/Makefile.in, specfun/Makefile.in,
	special-matrix/Makefile.in, startup/Makefile.in,
	statistics/Makefile.in, statistics/base/Makefile.in,
	statistics/distributions/Makefile.in,
	statistics/models/Makefile.in, statistics/tests/Makefile.in,
	strings/Makefile.in, testfun/Makefile.in, time/Makefile.in:
	Use $(LN_S) instead of ln or ln -s.

2007-02-24  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (configure_make): Ignore blank lines and trailing
	'\n' in FILES file.
	(configure_make): Also install any mex files.

2007-02-24  David Bateman  <dbateman@free.fr>

	* statistics/distributions (SOURCES): Add nbincdf.m,
	nbininv.m, nbinpdf.m and nbinrnd.m.

2007-02-23  John W. Eaton  <jwe@octave.org>

	* statistics/distributions/Makefile.in (SOURCES): Remove
	pascal_cdf.m pascal_inv.m pascal_pdf.m pascal_rnd.m from the list.

	* deprecated/Makefile.in (SOURCES): Add pascal_cdf.m,
	pascal_inv.m, pascal_pdf.m, and pascal_rnd.m to the list.

2007-02-23  David Bateman  <dbateman@free.fr>

	* statistics/distributions/discrete_rnd.m, 
	statistics/distributions/geornd.m, 
	statistics/distributions/lognnd.m, 
	statistics/distributions/nbinrnd.m, 
	statistics/distributions/wblrnd.m:  Accelerate distributions.
	 
	* statistics/distributions/unidcdf.m, 
	statistics/distributions/unidinv.m, 
	statistics/distributions/unidpdf.m, 
	statistics/distributions/unidrnd.m: New functions based on 
	discrete_cdf, etc.

	* statistics/distributions/pascal_cdf.m,
	statistics/distributions/pascal_inv.m,
	statistics/distributions/pascal_pdf.m,
	statistics/distributions/pascal_rnd.m: Remove.
	* statistics/distributions/nbincdf.m,
	statistics/distributions/nbininv.m,
	statistics/distributions/nbinpdf.m,
	statistics/distributions/nbinrnd.m: Replace with matlab
	compatible functions.
	* deprecated/pascal_cdf.m, deprecated/pascal_inv.m,
	deprecated/pascal_pdf.m, deprecated/pascal_rnd.m: Use the new
	nbincdf, etc functions to implement these.

2007-02-22  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/__uiobject_draw_axes__.m: Insert newline between plot
	command and data.

2007-02-22  John W. Eaton  <jwe@octave.org>

	* miscellaneous/doc.m: If index search fails, try again without
	the index search option.

2007-02-22  David Bateman  <dbateman@free.fr>

	* miscellaneous/doc.m: Find doc.info file correctly in user directories.

	* statistics/distributions/frnd.m, statistics/distributions/exprnd.m, 
	statistics/distributions/gamrnd.m, statistics/distributions/trnd.m, 
	statistics/distributions/poissrnd.m, statistics/distributions/chi2rnd.m,
	statistics/distributions/betarnd.m: Convert to use randg, rande
	and randp to accelerate.

	* pkg/pkg.m (fix_depends): Support > and < operators as well. 

2007-02-22  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: If not using gnuplot for images,
	cache data and display after xlim and ylim have been determined.

2007-02-22  Daniel J Sebald  <daniel.sebald@ieee.org>

	* plot/__uiobject_draw_axes__.m:
	Allow multiple images to be displayed with gnuplot.

2007-02-20  Rafael Laboissiere  <rafael@debian.org>

	* optimization/glpk.m: Document the fact that extra.mem does not work
	for versions of GLPK 4.15 and later.

2007-02-19  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_alloc__.in: If next available element in
	__uiobject_list__ is 0, grow list before doing anything else.
	* plot/__uiobject_grow_list__.in: Only set __uiobject_head__ on
	first call when size of __uiobject_list__ is 0.

2007-02-16  John W. Eaton  <jwe@octave.org>

	* miscellaneous/Makefile.in (SOURCES): Remove popen2.m from the list.

2007-02-16  Michael Goffioul  <michael.goffioul@swing.be>

	* miscellaneous/popen2.m: Remove as replaced with builtin.

2007-02-16  Muthiah Annamalai  <muthuspost@gmail.com>

	* specfun/nchoosek.m: Check nargin.

2007-02-15  John W. Eaton  <jwe@octave.org>

	* path/addpath.m, path/rmpath.m: Delete
	* path/Makefile.in (SOURCES): Remove them from the list.

	* plot/__uiobject_axes_init__.in, plot/__uiobject_axes_setr__.m:
	Delete title, xlabel, ylabel, and zlabel properties before
	reassigning.
	* plot/__uiobject_axes_init__.in: New arg, mode.
	Don't init outerposition if "mode" is "replace".
	* plot/newplot.m: Check both figure and axes nextplot properties.
	If axes nextplot property is replace, pass "replace" as mode arg
	to __uiobject_axes_init__.

2007-02-15  Daniel J Sebald  <daniel.sebald@ieee.org>

	* image/imshow.m: Don't restore old colormap.

	* plot/__uiobject_image_ctor__.m: Set xdata and ydata properties.
	* image/__img__.m: New file containing common parts of image.m and
	imshow.m.
	* image/Makefile.in (SOURCES): Add __img__.m to the list.
	* image/image.m, image/imshow.m: Call __img__.
	* plot/__uiobject_draw_axes__.m:
	Handle rgb imaged data stored in 3-d arrays.

	* plot/figure.m: Doc fix.

2007-02-14  Thomas Weber  <thomas.weber.mail@gmail.com>

	* audio/wavread.m, audio/wavwrite.m: Use types with specific sizes
	for reading and writing data.  New tests.  Improve rounding.

2007-02-13  John W. Eaton  <jwe@octave.org>

	* plot/stem.m: New file, adapted from OctPlot.
	* plot/Makefile.in (SOURCES_M): Add it to the list.

	* plot/__errcomm__.m, plot/__plr1__.m, plot/__plr2__.m,
	plot/__plt1__.m, plot/__plt2__.m, plot/__plt2mm__.m,
	plot/__plt2mv__.m, plot/__plt2ss__.m, plot/__plt2vm__.m,
	plot/__plt2vv__.m, plot/__plt__.m, plot/loglog.m,
	plot/loglogerr.m, plot/plot.m, plot/plot3.m, plot/polar.m,
	plot/semilogx.m, plot/semilogxerr.m, plot/semilogy.m,
	plot/semilogyerr.m: Return handles to line objects.

2007-02-11  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_close_all.m: New file.
	* plot/Makefile.in (SOURCES_M): Add it to the list.

2007-02-10  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m: Arrange for plot streams to be close on exit.
	* plot/__uiobject_globals__.m: Don't call mlock.

	* plot/drawnow.m: Only check for DISPLAY if isunix returns true.
	* plot/__uiobject_delete__.m: Send quit command and flush stream
	before calling pclose.

2007-02-09  John W. Eaton  <jwe@octave.org>

	* plot/subplot.m: Delete spurious call to axes.

	* plot/figure.m: Call drawnow for current figure before creating
	or switching to a new figure.
	* plot/__uiobject_init_figure__.in: Handle empty arg the same as
	nargin == 0 case.

	* testfun/assert.m: Try to avoid problems when comparisons involve
	strange values like Inf+NaNi.

2007-02-08  John W. Eaton  <jwe@octave.org>

	* plot/drawnow.m: Use gnuplot_binary() instead of just "gnuplot"
	and check gnuplot_use_title_option instead of just assuming -title
	works.  From Michael Goffioul <michael.goffioul@swing.be>.

	* Makefile.in (DISTFILES): Add move-if-change to the list.

	* audio/Makefile.in, control/base/Makefile.in,
	control/hinf/Makefile.in, control/obsolete/Makefile.in,
	control/system/Makefile.in, control/util/Makefile.in,
	deprecated/Makefile.in, elfun/Makefile.in, finance/Makefile.in,
	general/Makefile.in, image/Makefile.in, io/Makefile.in,
	linear-algebra/Makefile.in, miscellaneous/Makefile.in,
	optimization/Makefile.in, plot/Makefile.in,
	polynomial/Makefile.in, quaternion/Makefile.in, set/Makefile.in,
	signal/Makefile.in, sparse/Makefile.in, specfun/Makefile.in,
	special-matrix/Makefile.in, startup/Makefile.in,
	statistics/base/Makefile.in, statistics/distributions/Makefile.in,
	statistics/models/Makefile.in, statistics/tests/Makefile.in,
	strings/Makefile.in, testfun/Makefile.in, time/Makefile.in,
	path/Makefile.in, pkg/Makefile.in: Explicitly list source files.

	* plot/figure.m: Don't call drawnow.  Correctly init figure when
	only given property list.

2007-02-07  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: Handle xdir, ydir, and zdir axis
	properties.

	* plot/sombrero.m: Call box ("off") after mesh.

	* plot/__uiobject_draw_axes__.m: Avoid rgb colors and "set style
	line default" commands with older versions of gnuplot.

	* plot/close.m: Use get (0, "currentifgure") instead of gcf.

2007-02-06  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: Set pt to 0 if marker is ".".
	* sparse/gplot.m: Use line style - instead of 1.

2007-02-05  Rafael Laboissiere  <rafael@debian.org>

	* plot/print.m: Avoid error message from cellidx.

2007-02-05  John W. Eaton  <jwe@octave.org>

	* plot/legend.m: Fix check for data.

2007-02-05  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* plot/__uiobject_draw_axes__.m (do_linestyle_command):
	Always set lt and pt.

2007-02-05  Shai Ayal  <shaiay@users.sourceforge.net>

	* plot/contourc.m: Correctly compute X and Y.

2007-02-05  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: Use title "" if no explicit title.
	When setting {x,y,z}lim, also set {x,y,z}limmode to "auto.

2007-02-01  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m:
	Don't try to set axis limits unless we have data.

	*  plot/__plt1__.m, plot/__plt2__.m, plot/__plt2mm__.m,
	plot/__plt2mv__.m, plot/__plt2ss__.m, plot/__plt2vm__.m,
	plot/__plt2vv__.m, plot/__plt__.m, plot/__pltopt1__.m,
	plot/__pltopt__.m, plot/plot3.m: Set and use options struct
	instead of of key and fmt strings.

	* plot/__pltopt1__.m: Greatly simplify.

	* plot/__next_line_color__.m: New file.
	* plot/Makefile.in (SOURCES_M): Add it to the list.
	* plot/newplot.m: Call __next_line_color__ here to reset rotation.

	* plot/__default_plot_options__.m: New file.
	* plot/Makefile.in (SOURCES_M): Add it to the list.

	* plot/__plt3__.m: Delete.
	* plot/Makefile.in (SOURCES_M): Remove it from the list.

2007-01-31  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: Set defaults for color,
	linestyle, linewidth, marker, and markersize properties.
	* plot/__uiobject_draw_axes__.m: Attempt to handle line and marker
	colors and widths, and line styles.

	* plot/__plt__.m, image/image.m: Don't call drawnow.

	* plot/__gnuplot_version__.m: Restore from CVS Attic.
	* plot/Makefile.in (SOURCES_M): Add it to the list.

	* plot/__uiobject_draw_axes__.m: Delete useless call to
	__gnuplot_save_data__.

	* image/image.m: Accept 2 args, but ignore the second for now.

2007-01-30  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (pkg, isautoload, install, load_packages): Add ability
	to flag a package as to be autoloaded. Add install flags -noauto, 
	-auto to force autoload behavior.
	(installed_packages): Make list of installed packages unique.

2007-01-30  John W. Eaton  <jwe@octave.org>

	* Merge of changes from graphics-branch:

	2007-01-29  John W. Eaton  <jwe@octave.org>

	* plot/subplot.m: Set nextplot property of current figure to "add".

	* plot/__uiobject_draw_axes__.m: Only handle outerposition
	property if it exists.

	2007-01-26  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: Move initialization of max and
	min values outside of loop over child objects.

	* plot/contour.m, plot/contourc.m: New files.
	* plot/Makefile.in (SOURCES_M): Add them to the list.

	* image/image_viewer.m: Set view_fcn to "gnuplot_internal" if we
	find a gnuplot version newer than 4.0.
	* image/__img_gnuplot__.m: Delete.
	* image/image.m: Create image graphics object.
	Call newplot to setup and drawnow to finish.
	Eliminate ZOOM arg.

	* plot/__uiobject_draw_axes__.m: Handle image data.

	* plot/legend.m: Eliminate useless variable "warned".

	* plot/__uiobject_image_ctor__.m: New file.
	* plot/Makefile.in (SOURCES_M): Add it to the list.

	* plot/gcf.m: Also create new figure if currentfigure is 0.
	* plot/drawnow.m: Use get (0, "currentfigure") instead of gcf.

	* plot/__uiobject_root_figure_ctor__.m: Set visible property.

	* plot/__default_colormap__.m: New file.
	* plot/Makefile.in (SOURCES_M): Add it to the list.
	* plot/__uiobject_figure_ctor__.m: Use it to set default colormap
	property.
	* image/colormap.m: Use colormap property of current figure
	to store colormap instead of using persistent variable.
	Call __default_colormap__ to get default map value.
	* image/ocean.m, image/gray.m: Set colormap for current figure.

	* plot/__uiobject_draw_axes__.m: Handle aspect ratio property.
	Handle some tick mark options.

	* plot/__uiobject_axes_setr__.m: If we see xtick, ytick, or ztick,
	set corresponding *mode to "manual".  If we set dataaspectratio,
	set dataaspectratiomode to "manual".

	* plot/__uiobject_axes_init__.m: Include *tick, *tickmode,
	*ticklabelmode, dataaspectratio, dataaspectratiomode properties.

	* plot/axis.m: New file.
	* plot/Makefile.in (SOURCES_M): Include it in the list.

	* plot/__uiobject_axes_setr__.m: If we see xlim, ylim, or zlim,
	set corresponding *limmode to "manual".
	* plot/__uiobject_draw_axes__.m	(get_axis_limits): New subfunction.
	Use it to compute autosclaled limits.
	Arg is now handle, not object.  Change all callers.
	Compute data limits.

	2007-01-25  John W. Eaton  <jwe@octave.org>

	* plot/drawnow: Fix visibility check for zero args.

	* plot/text.m: New file.
	* plot/Makefile.in (SOURCES_M): Add it to the list.
	* plot/__uiobject_draw_axes__.m: Handle text objects.
	* plot/__uiobject_text_ctor__.m: Include units, position, and
	horizontalalignment properties.

	* plot/figure.m: Set options for f we just constructed or were
	given as an argument, not gcf.  Only return handle if nargout > 0.	

	* plot/drawnow.m: Handle visible field for figure here.
	* plot/__uiobject_figure_ctor__.m: Set default visible field.

	* plot/__uiobject_draw_axes__.m: Call undo_string_escapes on
	title and axis labels.

	* plot/plot3.m, plot/mesh.m: Set default 3-d view here.
	* plot/__uiobject_draw_axes__.m: Handle view for 3-d plots.
	* plot/__uiobject_axes_init__.in: Set default view field for object.
	* plot/view.m: New file.
	* plot/Makefile.in (SOURCES_M): Add it to the list.

	* plot/__uiobject_make_handle__.in, plot/set.m, plot/drawnow.m:
	Call __request_drawnow__.

	* plot/newplot.m: For "replace" action, call __uiobject_axes_init__.

	* plot/__uiobject_axes_ctor__.m, plot/__uiobject_text_ctor__.m:
	Call set to set properties.  Return handle instead of structure.
	Change all callers.

	* plot/__uiobject_axes_setr__.m: New file.
	* plot/set.in: Check for __setter__ field.

	* plot/__uiobject_axes_init__.in:
	Rename from plot/__uiobject_axes_init__.m.
	Include __uiobject_globals__.
	Accept handle as arg instead of structure
	* plot/Makefile.in (SOURCES_M): Remove __uiobject_axes_init__.m
	from the list.
	(SOURCES_IN): Add __uiobject_axes_init__.in to the list.

	2007-01-24  John W. Eaton  <jwe@octave.org>

	* plot/Makefile.in ($(GEN_M)): Depend on __uiobject_globals__.m.

	* plot/__uiobject_globals__.m: Call __lock_global__ when
	initializing each global variable.

	2007-01-18  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_globals__.m (__uiobject_handles_free_list__,
	__uiobject_figure_handles_free_list__): New global variables.
	* plot/__uiobject_get_handle__.m, plot/__uiobject_free__.m:
	Place unused handles on the free list.

	* plot/__uiobject_get_figure_handle__.in: Delete.
	* plot/Makefile.in: Delete it from the SOURCES_IN list.

	* plot/__uiobject_init_figure__.in: Perform allocation of figure
	handles here.  Return figure handle.
	* plot/figure.m: Call __uiobject_init_figure__ to allocate handle.

	2007-01-11  John W. Eaton  <jwe@octave.org>

	* plot/__uiobject_draw_axes__.m: Use "%g", not "%.4g" when writing
	data for gnuplot.

	* plot/Makefile.in (SOURCES_M, SOURCES_IN, GEN_M): New lists of
	files.
	(SOURCES): Include $(SOURCES_M) and $(SOURCES_M) in the list.
	(DISTFILES): Include include-globals.awk in the list.
	(FCN_FILES): Define using $(SOURCES_M) and $(GEN_M).
	($(GEN_M) : %.m : %.in): New rule.

	* include-globals.awk: New file.

	* plot/__uiobject_alloc__.in, plot/__uiobject_figures__.in, 
	plot/__uiobject_free__.in, plot/__uiobject_get_figure_handle__.in, 
	plot/__uiobject_get_handle__.in, plot/__uiobject_grow_list__.in, 
	plot/__uiobject_handle2idx__.in, plot/__uiobject_init_figure__.in, 
	plot/__uiobject_init_root_figure__.in,
	plot/__uiobject_make_handle__.in,  plot/get.in, plot/set.in:
	Rename from corresponding .m files.

	* move-if-change: New file.

	* plot/__uiobject_delete__.m: New file.
	* plot/delete.m, plot/__uiobject_delete_children__.m,
	plot/__uiobject_delete_child__.m: Delete.
	* miscellaneous/delete.m: Forward to __uiobject_delete__ if arg is
	not a character string.
	* plot/__plt2mm__.m, plot/__plt2mv__.m, plot/__plt2vm__.m:
	Fix assignment to tmp key value in loop.
	* plot/__uiobject_axes_dtor__.m: No need to Call __uiobject_free__
	for obj.title, obj.xlabel, obj.ylabel, obj.zlabel.
	* plot/__uiobject_axes_dtor__.m, plot/__uiobject_axis_init__.m:
	Inline code to delete children.
	* plot/__uiobject_free__.m: Arg is now handle, not index into
	__uiobject_list__.
	* plot/clf.m, plot/closereq.m, plot/newplot.m: No need to remove
	and free child.

	2006-12-08  John W. Eaton  <jwe@octave.org>

	* plot/gcf.m: Check if the root figure object's currentfigure
	handle is empty, not 0.
	* plot/__uiobject_root_figure_ctor__.m:
	Set currentfigure to [], not 0.

	* plot/stairs.m: Handle matrix arguments.  Improve compatibility.

	2006-12-07  John W. Eaton  <jwe@octave.org>

	* plot/__plt_get_axis_arg__.m, plot/__uiobject_adopt__.m,
	plot/__uiobject_alloc__.m, plot/__uiobject_axes_ctor__.m,
	plot/__uiobject_axes_dtor__.m, plot/__uiobject_axes_init__.m,
	plot/__uiobject_delete_children__.m,
	plot/__uiobject_draw_axes__.m, plot/__uiobject_draw_figure__.m,
	plot/__uiobject_figure_ctor__.m, plot/__uiobject_figures__.m,
	plot/__uiobject_free__.m, plot/__uiobject_get_figure_handle__.m,
	plot/__uiobject_get_handle__.m, plot/__uiobject_globals__.m,
	plot/__uiobject_grow_list__.m, plot/__uiobject_handle2idx__.m,
	plot/__uiobject_init_figure__.m,
	plot/__uiobject_init_root_figure__.m,
	plot/__uiobject_line_ctor__.m, plot/__uiobject_make_handle__.m,
	plot/__uiobject_remove_child__.m,
	plot/__uiobject_root_figure_ctor__.m,
	plot/__uiobject_surface_ctor__.m, plot/__uiobject_text_ctor__.m,
	plot/axes.m, plot/box.m, plot/closereq.m, plot/delete.m,
	plot/drawnow.m, plot/gca.m, plot/gcf.m, plot/get.m,
	plot/isfigure.m, plot/ishandle.m, plot/line.m, plot/newplot.m,
	plot/set.m: New files.

	* plot/__plt3__.m, plot/errorbar.m, plot/__axis_label__.m,
	plot/__plr1__.m, plot/__errcomm__.m, plot/print.m, plot/zlabel.m,
	plot/__plt1__.m, plot/__plt2__.m, plot/sombrero.m, plot/shg.m,
	plot/fplot.m, plot/ndgrid.m, plot/clf.m, plot/hold.m,
	plot/ishold.m, plot/meshdom.m, plot/ylabel.m, plot/__plt2ss__.m,
	plot/__plt2vv__.m, plot/__plr2__.m, plot/__plt2mm__.m,
	plot/__pltopt1__.m, plot/meshgrid.m, plot/__plt2mv__.m,
	plot/figure.m, plot/xlabel.m, plot/stairs.m, plot/__plt2vm__.m,
	plot/bar.m, plot/__errplot__.m, plot/semilogx.m, plot/semilogy.m,
	plot/loglog.m, plot/polar.m, plot/legend.m, plot/orient.m,
	plot/title.m, plot/__pltopt__.m, plot/grid.m, plot/hist.m,
	plot/subplot.m, plot/plot.m, plot/mesh.m, plot/__plt__.m,
	plot/close.m, plot/loglogerr.m, plot/plot3.m, plot/semilogxerr.m,
	plot/semilogyerr.m, plot/replot.m:
	Adapt to new graphics data structure.

	* plot/__do_legend__.m, plot/__gnuplot_version__.m,
	plot/__init_plot_vars__.m, plot/__make_using_clause__.m,
	plot/__plot_globals__.m, plot/__plr__.m, plot/__render_plot1__.m,
	plot/__render_plot__.m, plot/__setup_plot__.m, plot/axis.m,
	plot/contour.m, plot/mplot.m, plot/multiplot.m, plot/oneplot.m,
	plot/plot_border.m, plot/subwindow.m: Delete.

2007-01-24  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m: Install ChangeLog file if it exists.
	Delete bare newline in string passed to write_INDEX.

	* sparse/sprandsym.m: Make work for even values of N.

2007-01-24  John W. Eaton  <jwe@octave.org>

	* miscellaneous/news.m: New file.

2007-01-23  Luis F. Ortiz  <lortiz@interactivesupercomputing.com>

	* strings/strncmpi.m: Use strncmp instead of calling strtrunc on args.

	* strings/strncmp.m: Delete (we now have a built-in version).

2007-01-22  Bob Weigel  <rweigel@gmu.edu>

	* testfun/test.m: Check for all files in path, use first found.

2007-01-22  David Bateman  <dbateman@free.fr>

	* polynomial/spline.m: Make DG a column instead of a row vector.

2007-01-18  S�ren Hauberg  <hauberg@gmail.com>

	* pkg/pkg.m (copy_files): Call write_INDEX with correct target
	file name.

	* image/ind2rgb.m: Better input checking.  Return 3-d array if
	nargout is 1.  Handle colormaps that have too few colors.

	* pkg/pkg.m (create_pkgadddel): Call fullfile with nm, not "nm".
	(configure_make): Use fullfile instead of concatenating with "/".

2007-01-10  Baylis Shanks  <bshanks3@hotmail.com>

	* set/ismember.m: Handle N-d arrays.

2007-01-10  David Bateman  <dbateman@free.fr>

	* elfun/acosd.m, elfun/acotd.m, elfun/acscd.m, elfun/asecd.m,
	elfun/asind.m, elfun/atand.m, elfun/cosd.m, elfun/cotd.m,
	elfun/cscd.m, elfun/secd.m, elfun/sind.m, elfun/tand.m:
	New files.

2007-01-09  S�ren Hauberg  <hauberg@gmail.com>

	 * pkg/pkg.m: Allow filenames to contain glob patterns.

2007-01-08  S�ren Hauberg  <hauberg@gmail.com>

	* pkg/pkg.m: Use copyfile instead of calling system.  Use fullfile
	instead of concatenating with "/".  Use mlock to ensure that
	persistent variables are not clobbered if user types clear all.

2007-01-08  John W. Eaton  <jwe@octave.org>

	* miscellaneous/copyfile.m, miscellaneous/movefile.m:
	Improve handling of file names containing globbing characters.
	From S�ren Hauberg <hauberg@gmail.com>.

2007-01-05  John W. Eaton  <jwe@octave.org>

	* optimization/optimset.m, optimization/__fsolve_defopts__.m:
	New files.

2006-12-30  John W. Eaton  <jwe@octave.org>

	* sparse/spfun.m: Check for "function_handle" not "function handle".
	* plot/fplot.m: Likewise.  Use isa instead of strcmp + class.

2006-12-27  S�ren Hauberg  <hauberg@gmail.com>

	* image/imshow.m: Strip NaNs from image.

2006-12-08  David Bateman  <dbateman@free.fr>

	* sparse/normest.m: New file.

2006-12-06  Michael Goffioul  <michael.goffioul@swing.be>

	* miscellaneous/copyfile.m, miscellaneous/movefile.m:
	Work on Windows systems without cp or mv.

	* startup/inputrc: Include sequences for Windows.

2006-12-06  S�ren Hauberg  <hauberg@gmail.com>

	* pkg/pkg.m (unload_packages): New function.
	(pkg): Handle unload action.

	* __errplot__.m: Add missing semicolon.

2006-11-30  John W. Eaton  <jwe@octave.org>

	* miscellaneous/mexext.m: New file.

2006-11-29  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m: Add local_list and global_list options that allow the
	location of package lists to be probed and set.

2006-11-17  John W. Eaton  <jwe@octave.org>

	* plot/__render_plot1__.m: Reverse y axis for images.

	* plot/__render_plot__.m: New args, terminal and output.
	* plot/print.m: Don't set output and term here.  Instead, call
	__render_plot__ with terminal and output.

2006-11-16  John W. Eaton  <jwe@octave.org>

	* plot/__render_plot1__.m: New file.
	* plot/__render_plot__.m: Use it.  Loop over multiplots.
	* plot/print.m, plot/subplot.m: Don't send "set multiplot" to
	gnuplot.  Let __render_plot__ do that.

2006-11-16  Francesco Potorti`  <Potorti@isti.cnr.it>

	* plot/plot.m: Fix doc string.

2006-11-16  John W. Eaton  <jwe@octave.org>

	* plot/__render_plot__.m: Check for mix of 2-d and 3-d plots
	before sending anything to the plotter.

2006-11-15  John W. Eaton  <jwe@octave.org>

	* image/__img_gnuplot__.m: Store more info in global plot
	structures and use __render_plot__ to build plot command to
	display image.

	* plot/__plt3__.m: New arg, parametric.  Change all callers.

	* plot/__plot_globals__.m (__plot_line_offset__, __plot_command__,
	__plot_command_sep__): Delete.
	(__plot_data_type__, __plot_data_parametric__,
	__plot_image_colormap__, __plot_image_dims__, __plot_fmtstr__,
	__plot_usingstr__, __plot_withstr__): New variables.
	* plot/__init_plot_vars__.m: Initialize them.

	* plot/__init_plot_vars__.m, plot/__setup_plot__.m:
	Don't handle sep or cmd.

	* plot/__render_plot__.m: New function.
	* plot/__plt__.m, plot/__plt3__.m, plot/__errplot__.m:
	Store more info in global plot structures and use __render_plot__
	to build plot command.
	* plot/replot.m: Simply call __render_plot__.

	* plot/contour.m, plot/mesh.m, plot/plot3.m:
	Set __plot_data_parametric__ here.

2006-11-14  John W. Eaton  <jwe@octave.org>

	* plot/bottom_title.m, plot/top_title.m: Delete.

	* image/image_viewer.m: Set default values here.
	* image/image.m: Not here.

	* image/image_viewer.m: Always return old values.  Check arguments.
	* image/__img_gnuplot__.m: Rename from __img__m.

2006-11-14  S�ren Hauberg  <soren@hauberg.org>

	* image/image_viewer.m: New function.
	* image/__img_via_file__.m: New function.
	* image/image.m: Use image_viewer to determine which program to
	use for image viewing.
	* image/__img__.m: Silently accept more than 3 args.

2006-11-14  John W. Eaton  <jwe@octave.org>

	* plot/__do_legend__.m, plot/__errplot__.m,
	plot/__init_plot_vars__.m, plot/__plot_globals__.m,
	plot/__plt3__.m, plot/__plt__.m, plot/__setup_plot__.m,
	plot/legend.m, plot/mplot.m, plot/multiplot.m, plot/oneplot.m,
	plot/replot.m, plot/subplot.m, plot/subwindow.m:
	Use __plot_globals__ for multiplot variables.  Keep track of
	multiplot info for each figure.  Eliminate __multiplot_xscale__.

2006-11-13  John W. Eaton  <jwe@octave.org>

	* plot/mesh.m: Use proper dimensions for y in call to repmat.

	* miscellaneous/substruct.m: New function.

	* testfun/assert.m: Force orientation to match when comparing
	struct elements.

	* general/__isequal__.m: Avoid assignment of comma-separated lists
	when comparing structs.

2006-11-13  S�ren Hauberg  <hauberg@gmail.com>

	* general/bicubic.m, general/cart2pol.m, general/cart2sph.m,
	plot/contour.m, linear-algebra/cross.m, general/cumtrapz.m,
	linear-algebra/dot.m, image/imshow.m, general/interp2.m,
	general/mod.m, plot/plot3.m, plot/__plr2__.m, plot/__plr__.m,
	general/pol2cart.m, general/polyarea.m, polynomial/polyfit.m,
	general/rem.m, image/rgb2ind.m, general/sph2cart.m,
	general/trapz.m, miscellaneous/xor.m: Use size_equal.

2006-11-13  John W. Eaton  <jwe@octave.org>

	* plot/mesh.m: Use size_equal to compare dimensions.

2006-11-13  S�ren Hauberg  <soren@hauberg.org>

	* plot/mesh.m: Simplify.  Set hidden3d for the plot.

2006-11-11  S�ren Hauberg  <soren@hauberg.org>

	* miscellaneous/copyfile.m: Fix docs to match function.

2006-11-08  John W. Eaton  <jwe@octave.org>

	* plot/legend.m: New function, adapted from Octave Forge.

	* plot/__do_legend__.m: New function.
	* plot/__errplot__.m, plot/__plt3__.m, plot/__plt__.m,
	plot/replot.m: Call it before plotting.

	* plot/plot3.m, plot/mesh.m, plot/contour.m: Don't send "set
	noparametric" to gnuplot..
	
	* plot/__plotopt__.m, plot/__pltopt1__.m, plot/__plt1__.m,
	plot/__plt2__.m, plot/__plt2mm__.m, plot/__plt2mv__.m,
	plot/__plt2ss__.m, plot/__plt2vm__.m, plot/__plt2vv__.m: Accept
	and return key title separate from line format.  Accept format and
	key as cellstr.  Always return data as cell array.  Return format
	and key title as cellstr.
	* plot/__errplot__.m, plot/__plt3__.m, plot/__plt__.m:
	Handle line format and key titles separately.
	* plot/__plt3__.m, plot/__plt__.m: Handle data as cell array only.

	* plot/__plot_globals__.m (__plot_line_offset__,
	__plot_key_labels__, __plot_key_properties__): New global
	variables.  Initialize them.
	* plot/__init_plot_vars__.m (__plot_line_offset__,
	__plot_key_labels__, __plot_key_properties__): Initialize.
	* plot/__errplot__.m, plot/__plt3__.m, plot/__plt__.m
	(__plot_line_offset__, __plot_key_labels__,
	__plot_key_properties__): Store information about plot key titles.

	* plot/__errplot__.m, plot/__init_plot_vars__.m, plot/__plt3__.m,
	plot/__plt__.m: Use cf, mxi, and myi as shorthand for
	__current_figure__, __multiplot_xi__, and __multiplot_yi__,
	respectively.

	* plot/__errcomm__.m: Allow fmt to be cellstr.

	* strings/strcat.m: Disable Octave:empty-list-elements warning
	whle concatenating args.

2006-11-07  John W. Eaton  <jwe@octave.org>

	* startup/main-rcfile: Conditionally set PAGER_FLAGS.

2006-11-06  S�ren Hauberg  <soren@hauberg.org>

	* pkg/pkg.m (extract_pkg): No need to pass "dotexceptnewline"
	option to regexp.

	* image/__img__.m: Send "set size ratio -1" before plotting.

2006-11-03  Bill Denney  <denney@seas.upenn.edu>

	* strings/index.m: New arg, direction.  Simplify and speed up.
	* strings/rindex.m: Implement using index (..., "last");

	* blanks.m, strcat.m: Simplify.  Add tests.

2006-11-01  Bill Denney  <denney@seas.upenn.edu>

	* general/__isequal__.m: Test size and class more consistently.

2006-10-27  John W. Eaton  <jwe@octave.org>

	* miscellaneous/ls_command.m: Use /D instead of /w.
	From Michael Goffioul <michael.goffioul@swing.be>.

	* miscellaneous/ls.m, miscellaneous/ls_command.m: New files.
	* miscellaneous/dir.m: Mark as a command.

2006-10-27  William Poetra Yoga Hadisoeseno  <williampoetra@gmail.com>

	* miscellaneous/unpack.m: Fix missing comma in strcat call.

2006-10-25  John W. Eaton  <jwe@octave.org>

	* image/image.m: Set x = y = [] when nargin == 0;

2006-10-25  Quentin Spencer  <qspencer@ieee.org>

	* image/image.m: Call __img__ if gnuplot version is > 4.0.
	* image/__img__.m: New file, originally from
	Daniel J Sebald <daniel.sebald@ieee.org>.

2006-10-25  John W. Eaton  <jwe@octave.org>

	* plot/__gnuplot_version__.m: New function, originally from
	Daniel J Sebald <daniel.sebald@ieee.org> by way of 
	Quentin Spencer <qspencer@ieee.org>.

2006-10-25  S�ren Hauberg  <soren@hauberg.org>

	* plot/__pltopt__.m: Update symbol marker id numbers for gnuplot 4.

2006-10-24  Bill Denney  <denney@seas.upenn.edu>

	* miscellaneous/unpack.m, miscellaneous/bunzip2.m,
	miscellaneous/gunzip.m: New files.
	* miscellaneous/untar.m, miscellaneous/unzip.m:
	Call unpack to do the real work.

2006-10-24  John W. Eaton  <jwe@octave.org>

	* plot/plot3.m: If we have a format string, then also pass using
	string to __plt3__.

	* plot/sombrero.m: Don't return anything if nargout == 0.

	* plot/__plt3__.m: Create using clause if none is supplied.
	* plot/mesh.m: Always pass empty using string to __plt3__.

2006-10-20  Bill Denney  <denney@seas.upenn.edu>

	* movefile.m, copyfile.m: Handle cellstr lists of files.
	Quote filenames in shell commands.

2006-10-17  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (uninstall): Allow the uninstall to proceed even if
	the package directory is missing.

2006-10-13  John W. Eaton  <jwe@octave.org>

	* plot/box.m: New function.

2006-10-13  Etienne Grossmann  <etienne@tyzx.com>

	* general/ind2sub.m, general/sub2ind.m: Handle empty indices.

2006-10-12  Quentin Spencer  <qspencer@ieee.org>

	* plot/sombrero.m: Only plot if nargout == 0.  Otherwise, return data.

2006-10-10  John W. Eaton  <jwe@octave.org>

	* miscellaneous/copyfile.m, miscellaneous/movefile.m: New functions.

2006-10-10  Bill Denney  <denney@seas.upenn.edu>

	* audio/lin2mu.m, audio/loadaudio.m, audio/mu2lin.m,
	audio/playaudio.m, audio/record.m, audio/saveaudio.m,
	audio/setaudio.m, audio/wavread.m, audio/wavwrite.m,
	control/base/__bodquist__.m, control/base/__freqresp__.m,
	control/base/are.m, control/base/bode.m, control/base/ctrb.m,
	control/base/damp.m, control/base/dare.m, control/base/dcgain.m,
	control/base/dre.m, control/base/impulse.m, control/base/lqg.m,
	control/base/lsim.m, control/base/lyap.m, control/base/nichols.m,
	control/base/nyquist.m, control/base/obsv.m, control/base/pzmap.m,
	control/base/rlocus.m, control/base/step.m, control/base/tzero.m,
	control/hinf/h2norm.m, control/hinf/h2syn.m,
	control/hinf/hinfnorm.m, control/hinf/hinfsyn.m,
	control/hinf/is_dgkf.m, control/hinf/wgt1o.m,
	control/obsolete/dezero.m, control/system/__sysdefioname__.m,
	control/system/buildssic.m, control/system/c2d.m,
	control/system/cellidx.m, control/system/d2c.m,
	control/system/dmr2d.m, control/system/fir2sys.m,
	control/system/is_abcd.m, control/system/is_controllable.m,
	control/system/is_detectable.m, control/system/is_digital.m,
	control/system/is_observable.m, control/system/is_siso.m,
	control/system/is_stabilizable.m, control/system/is_stable.m,
	control/system/jet707.m, control/system/listidx.m,
	control/system/ord2.m, control/system/parallel.m,
	control/system/ss.m, control/system/ss2zp.m,
	control/system/starp.m, control/system/sys2ss.m,
	control/system/sys2tf.m, control/system/sys2zp.m,
	control/system/sysadd.m, control/system/sysappend.m,
	control/system/syschtsam.m, control/system/sysconnect.m,
	control/system/syscont.m, control/system/sysdimensions.m,
	control/system/sysdisc.m, control/system/sysdup.m,
	control/system/sysgetsignals.m, control/system/sysgettsam.m,
	control/system/sysgroup.m, control/system/sysidx.m,
	control/system/sysmin.m, control/system/sysmult.m,
	control/system/sysout.m, control/system/sysprune.m,
	control/system/sysscale.m, control/system/syssetsignals.m,
	control/system/syssub.m, control/system/sysupdate.m,
	control/system/tf.m, control/system/tfout.m,
	control/system/ugain.m, control/system/zp.m,
	control/system/zpout.m, control/util/__outlist__.m,
	control/util/__zgpbal__.m, control/util/prompt.m,
	control/util/sortcom.m, control/util/strappend.m,
	deprecated/com2str.m, elfun/acot.m, elfun/acoth.m, elfun/acsc.m,
	elfun/acsch.m, elfun/asec.m, elfun/asech.m, elfun/cot.m,
	elfun/coth.m, elfun/csc.m, elfun/csch.m, elfun/lcm.m, elfun/sec.m,
	elfun/sech.m, finance/fv.m, finance/fvl.m, finance/irr.m,
	finance/nper.m, finance/npv.m, finance/pmt.m, finance/pv.m,
	finance/pvl.m, finance/rate.m, finance/vol.m,
	general/__isequal__.m, general/bitcmp.m, general/bitget.m,
	general/bitset.m, general/blkdiag.m, general/cart2sph.m,
	general/cell2mat.m, general/circshift.m, general/cplxpair.m,
	general/cumtrapz.m, general/deal.m, general/diff.m,
	general/flipdim.m, general/fliplr.m, general/flipud.m,
	general/ind2sub.m, general/int2str.m,
	general/is_duplicate_entry.m, general/isdefinite.m,
	general/isequal.m, general/isequalwithequalnans.m,
	general/isscalar.m, general/issquare.m, general/issymmetric.m,
	general/isvector.m, general/logical.m, general/logspace.m,
	general/mod.m, general/nargchk.m, general/nextpow2.m,
	general/perror.m, general/postpad.m, general/prepad.m,
	general/randperm.m, general/rem.m, general/repmat.m,
	general/rot90.m, general/rotdim.m, general/shift.m,
	general/shiftdim.m, general/sph2cart.m, general/strerror.m,
	general/sub2ind.m, general/trapz.m, general/tril.m,
	general/triu.m, image/gray.m, image/gray2ind.m, image/hsv2rgb.m,
	image/image.m, image/imagesc.m, image/ind2gray.m, image/ind2rgb.m,
	image/loadimage.m, image/ntsc2rgb.m, image/ocean.m,
	image/rgb2hsv.m, image/rgb2ntsc.m, image/saveimage.m, io/beep.m,
	linear-algebra/commutation_matrix.m, linear-algebra/cond.m,
	linear-algebra/cross.m, linear-algebra/dmult.m,
	linear-algebra/dot.m, linear-algebra/duplication_matrix.m,
	linear-algebra/krylov.m, linear-algebra/krylovb.m,
	linear-algebra/logm.m, linear-algebra/norm.m,
	linear-algebra/null.m, linear-algebra/orth.m,
	linear-algebra/qzhess.m, linear-algebra/rank.m,
	linear-algebra/trace.m, linear-algebra/vec.m,
	linear-algebra/vech.m, miscellaneous/bincoeff.m,
	miscellaneous/delete.m, miscellaneous/dir.m, miscellaneous/dos.m,
	miscellaneous/fileattrib.m, miscellaneous/fileparts.m,
	miscellaneous/flops.m, miscellaneous/fullfile.m,
	miscellaneous/ispc.m, miscellaneous/isunix.m,
	miscellaneous/menu.m, miscellaneous/not.m, miscellaneous/popen2.m,
	miscellaneous/single.m, miscellaneous/unix.m, miscellaneous/ver.m,
	miscellaneous/xor.m, optimization/glpk.m, optimization/glpkmex.m,
	optimization/qp.m, optimization/sqp.m, plot/__axis_label__.m,
	plot/__errplot__.m, plot/__plr1__.m, plot/__plr2__.m,
	plot/__plr__.m, plot/__plt1__.m, plot/__plt2__.m,
	plot/__plt2mm__.m, plot/__plt2mv__.m, plot/__plt2ss__.m,
	plot/__plt2vm__.m, plot/__plt2vv__.m, plot/__pltopt1__.m,
	plot/__pltopt__.m, plot/bar.m, plot/bottom_title.m, plot/close.m,
	plot/contour.m, plot/errorbar.m, plot/figure.m, plot/fplot.m,
	plot/grid.m, plot/hist.m, plot/hold.m, plot/ishold.m,
	plot/loglogerr.m, plot/mesh.m, plot/meshdom.m, plot/meshgrid.m,
	plot/multiplot.m, plot/orient.m, plot/polar.m, plot/replot.m,
	plot/semilogxerr.m, plot/semilogyerr.m, plot/sombrero.m,
	plot/stairs.m, plot/subplot.m, plot/subwindow.m, plot/title.m,
	plot/top_title.m, polynomial/compan.m, polynomial/conv.m,
	polynomial/deconv.m, polynomial/mkpp.m, polynomial/poly.m,
	polynomial/polyder.m, polynomial/polyderiv.m,
	polynomial/polyfit.m, polynomial/polygcd.m,
	polynomial/polyinteg.m, polynomial/polyout.m,
	polynomial/polyreduce.m, polynomial/polyval.m,
	polynomial/polyvalm.m, polynomial/ppval.m, polynomial/residue.m,
	polynomial/roots.m, polynomial/unmkpp.m, quaternion/quaternion.m,
	set/complement.m, set/create_set.m, set/intersect.m,
	set/ismember.m, set/setdiff.m, set/setxor.m, set/union.m,
	set/unique.m, signal/arch_fit.m, signal/arch_rnd.m,
	signal/arma_rnd.m, signal/autocor.m, signal/autoreg_matrix.m,
	signal/bartlett.m, signal/blackman.m, signal/detrend.m,
	signal/diffpara.m, signal/durbinlevinson.m, signal/fftconv.m,
	signal/fftfilt.m, signal/fftshift.m, signal/filter2.m,
	signal/freqz.m, signal/hamming.m, signal/hanning.m,
	signal/hurst.m, signal/ifftshift.m, signal/sinetone.m,
	signal/sinewave.m, signal/spencer.m, signal/stft.m,
	signal/synthesis.m, signal/unwrap.m, sparse/gplot.m,
	sparse/spfun.m, sparse/sprand.m, sparse/sprandn.m,
	sparse/sprandsym.m, sparse/spstats.m, specfun/beta.m,
	specfun/betai.m, specfun/betaln.m, specfun/erfinv.m,
	specfun/gammai.m, specfun/log2.m, specfun/pow2.m,
	special-matrix/hankel.m, special-matrix/hilb.m,
	special-matrix/invhilb.m, special-matrix/sylvester_matrix.m,
	special-matrix/toeplitz.m, special-matrix/vander.m,
	statistics/base/center.m, statistics/base/cloglog.m,
	statistics/base/cor.m, statistics/base/corrcoef.m,
	statistics/base/cov.m, statistics/base/cut.m,
	statistics/base/gls.m, statistics/base/iqr.m,
	statistics/base/kendall.m, statistics/base/kurtosis.m,
	statistics/base/logit.m, statistics/base/mahalanobis.m,
	statistics/base/mean.m, statistics/base/meansq.m,
	statistics/base/median.m, statistics/base/moment.m,
	statistics/base/ols.m, statistics/base/ppplot.m,
	statistics/base/probit.m, statistics/base/qqplot.m,
	statistics/base/range.m, statistics/base/ranks.m,
	statistics/base/run_count.m, statistics/base/skewness.m,
	statistics/base/spearman.m, statistics/base/statistics.m,
	statistics/base/std.m, statistics/base/studentize.m,
	statistics/base/table.m, statistics/base/values.m,
	statistics/base/var.m, statistics/distributions/betacdf.m,
	statistics/distributions/betainv.m,
	statistics/distributions/betapdf.m,
	statistics/distributions/betarnd.m,
	statistics/distributions/binocdf.m,
	statistics/distributions/binoinv.m,
	statistics/distributions/binopdf.m,
	statistics/distributions/binornd.m,
	statistics/distributions/cauchy_cdf.m,
	statistics/distributions/cauchy_inv.m,
	statistics/distributions/cauchy_pdf.m,
	statistics/distributions/cauchy_rnd.m,
	statistics/distributions/chi2cdf.m,
	statistics/distributions/chi2inv.m,
	statistics/distributions/chi2pdf.m,
	statistics/distributions/chi2rnd.m,
	statistics/distributions/discrete_cdf.m,
	statistics/distributions/discrete_inv.m,
	statistics/distributions/discrete_pdf.m,
	statistics/distributions/discrete_rnd.m,
	statistics/distributions/empirical_rnd.m,
	statistics/distributions/expcdf.m,
	statistics/distributions/expinv.m,
	statistics/distributions/exppdf.m,
	statistics/distributions/exprnd.m,
	statistics/distributions/fcdf.m, statistics/distributions/finv.m,
	statistics/distributions/fpdf.m, statistics/distributions/frnd.m,
	statistics/distributions/gamcdf.m,
	statistics/distributions/gaminv.m,
	statistics/distributions/gampdf.m,
	statistics/distributions/gamrnd.m,
	statistics/distributions/geocdf.m,
	statistics/distributions/geoinv.m,
	statistics/distributions/geopdf.m,
	statistics/distributions/geornd.m,
	statistics/distributions/hygecdf.m,
	statistics/distributions/hygeinv.m,
	statistics/distributions/hygepdf.m,
	statistics/distributions/hygernd.m,
	statistics/distributions/kolmogorov_smirnov_cdf.m,
	statistics/distributions/laplace_cdf.m,
	statistics/distributions/laplace_inv.m,
	statistics/distributions/laplace_pdf.m,
	statistics/distributions/laplace_rnd.m,
	statistics/distributions/logistic_cdf.m,
	statistics/distributions/logistic_inv.m,
	statistics/distributions/logistic_pdf.m,
	statistics/distributions/logistic_rnd.m,
	statistics/distributions/logncdf.m,
	statistics/distributions/logninv.m,
	statistics/distributions/lognpdf.m,
	statistics/distributions/lognrnd.m,
	statistics/distributions/normcdf.m,
	statistics/distributions/norminv.m,
	statistics/distributions/normpdf.m,
	statistics/distributions/normrnd.m,
	statistics/distributions/pascal_cdf.m,
	statistics/distributions/pascal_inv.m,
	statistics/distributions/pascal_pdf.m,
	statistics/distributions/pascal_rnd.m,
	statistics/distributions/poisscdf.m,
	statistics/distributions/poissinv.m,
	statistics/distributions/poisspdf.m,
	statistics/distributions/poissrnd.m,
	statistics/distributions/stdnormal_cdf.m,
	statistics/distributions/stdnormal_inv.m,
	statistics/distributions/stdnormal_pdf.m,
	statistics/distributions/stdnormal_rnd.m,
	statistics/distributions/tcdf.m, statistics/distributions/tinv.m,
	statistics/distributions/tpdf.m, statistics/distributions/trnd.m,
	statistics/distributions/unifcdf.m,
	statistics/distributions/unifinv.m,
	statistics/distributions/unifpdf.m,
	statistics/distributions/unifrnd.m,
	statistics/distributions/wblcdf.m,
	statistics/distributions/wblinv.m,
	statistics/distributions/wblpdf.m,
	statistics/distributions/wblrnd.m,
	statistics/distributions/wienrnd.m, statistics/tests/anova.m,
	statistics/tests/bartlett_test.m,
	statistics/tests/chisquare_test_homogeneity.m,
	statistics/tests/chisquare_test_independence.m,
	statistics/tests/cor_test.m, statistics/tests/f_test_regression.m,
	statistics/tests/hotelling_test.m,
	statistics/tests/hotelling_test_2.m,
	statistics/tests/kolmogorov_smirnov_test.m,
	statistics/tests/kolmogorov_smirnov_test_2.m,
	statistics/tests/kruskal_wallis_test.m, statistics/tests/manova.m,
	statistics/tests/mcnemar_test.m, statistics/tests/prop_test_2.m,
	statistics/tests/run_test.m, statistics/tests/sign_test.m,
	statistics/tests/t_test.m, statistics/tests/t_test_2.m,
	statistics/tests/t_test_regression.m, statistics/tests/u_test.m,
	statistics/tests/var_test.m, statistics/tests/welch_test.m,
	statistics/tests/wilcoxon_test.m, statistics/tests/z_test.m,
	statistics/tests/z_test_2.m, strings/base2dec.m, strings/blanks.m,
	strings/deblank.m, strings/dec2base.m, strings/dec2bin.m,
	strings/dec2hex.m, strings/findstr.m, strings/hex2dec.m,
	strings/index.m, strings/isletter.m, strings/lower.m,
	strings/rindex.m, strings/split.m, strings/str2mat.m,
	strings/str2num.m, strings/strcat.m, strings/strcmpi.m,
	strings/strfind.m, strings/strjust.m, strings/strmatch.m,
	strings/strncmp.m, strings/strncmpi.m, strings/strrep.m,
	strings/strtrunc.m, strings/strvcat.m, strings/substr.m,
	strings/upper.m, testfun/assert.m, testfun/demo.m,
	testfun/example.m, testfun/fail.m, testfun/speed.m,
	testfun/test.m, time/asctime.m, time/calendar.m, time/ctime.m,
	time/datenum.m, time/datestr.m, time/datevec.m, time/eomday.m,
	time/etime.m, time/is_leap_year.m:
	Use print_usage instead of usage.

2006-10-09  David Bateman  <dbateman@free.fr>

	* time/datevec.m: Add additional compatible default parsing strings.

2006-10-09  Bill Denney  <denney@seas.upenn.edu>

	* pkg/pkg.m: Remove trailing "\n" from error messages.
	Remove compare_versions subfunction.

	* miscellaneous/compare_versions.m: New function to compare
	version numbers as strings with any boolean operators.

	* miscellaneous/untar.m: Check more rigorously to see if the tar
	file exists.

2006-10-04  John W. Eaton  <jwe@octave.org>

	* pkg/pkg.m: Use fullfile to concatenate directory and file names.

2006-10-04  S�ren Hauberg  <soren@hauberg.org>

	* pkg/pkg.m: Update docs.  Handle prefix option.
	Handle dependencies for load option.

2006-10-04  John W. Eaton  <jwe@octave.org>

	* deprecated/clearplot.m, deprecated/clg.m: New functions.

	* plot/clg.m: Delete.
	* plot/__init_plot_vars__.m: New function.
	* plot/__setup_plot__.m: Use __init_plot_vars__.

2006-10-03  S�ren Hauberg  <soren@hauberg.org>

	* pkg/pkg.m: Avoid calling addpath with no args.

2006-10-03  Bill Denney  <denney@seas.upenn.edu>

 	* audio/loadaudio.m, control/base/nyquist.m,
 	control/system/__zp2ssg2__.m, linear-algebra/cross.m,
 	linear-algebra/krylov.m, statistics/base/center.m,
 	statistics/base/median.m, statistics/base/std.m,
 	statistics/base/var.m, testfun/test.m: 	Use the new find syntax to
	find first or last element matching a condition.

2006-10-02  Bill Denney  <denney@seas.upenn.edu>

	* strings/deblank.m, strings/upper.m, strings/lower.m,
	general/__isequal__.m: Minimize looping using cellfun.

2006-10-02  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (copy_files): always create installation directory.

2006-10-02  Thomas Weber  <thomas.weber.mail@gmail.com>

	* miscellaneous/doc.m: Swap file and directory args to info.

2006-10-01  Arno Onken  <whyly@gmx.net>

	* statistics/distributions/exprnd.m: Fix typo.

2006-09-30  Benjamin Lindner  <lindnerben@gmx.net>

	* polynomial/ppval.m: Use .' instead of '.
	* polynomial/spline.m: Likewise.  New tests.

2006-09-26  David Bateman  <dbateman@free.fr>

	* __plt3__.m: Using global variables __plot_data__,
	__plot_data_offset__ and __plot_command__ to store plots and
	correctly handle multiplots, and hold state. Only accept a single
	data parameter plus, using, format and with strings. Remove
	setting of gnuplot parameters.
	* __make_using_clause__.m: New function extracted from __plt__.m.
	* __setup_plot__.m: Convert to a function and pass the plotting
	command to use.
	* __plt__.m: Change call to __setup_plot__ and __make_using_clause__.
	* contour.m: Use unwind protect on the parametric state of plot
	and __plt3__ instead of calling __gnuplot_splot__ directly.
	* mesh.m: ditto.
	* plot3.m: Error checking, setting of parametric state and
	formation of matrix to plot moved from old __plt3__.

2006-09-22  Michael Creel  <michael.creel@uab.es>

	* deprecated/chisquare_pdf.m: Typo in documentation. 

2006-09-22  S�ren Hauberg  <soren@hauberg.org>

	* signal/filter2.m: Correct texinfo doc.

2006-09-22  David Bateman  <dbateman@free.fr>

	* miscellaneous/parseparams.m: Correct texinfo doc.
	
2006-09-15  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (prepare_installation): Don't create package
	installation directory here.
	(copy_files): Create it here instead, to avoid issues with
	upgrades. Also install the COPYING file in packinfo.

2006-09-13  John W. Eaton  <jwe@octave.org>

	* general/blkdiag.m: Adjust to new cellfun rules.

2006-08-30  David Bateman  <dbateman@free.fr>

	* pkg/pkg.m (install): Disallow bundles of packages. More verbose
	error message for archive name not matching package name.
	(installed_packages): Size header of printed results to
	arguments. Sort the list of installed packages before printing
	them.

2006-09-11  Paul Kienzle  <pkienzle@users.sf.net>

	* signal/freqz.m: Update tests.

2006-09-11  Ken Kouno  <kouno@mk.ecei.tohoku.ac.jp>

	* signal/freqz.m: Corretly postpad arrays.
	Don't call fliplr on a column vector.

2006-09-11  Luis F. Ortiz  <lortiz@interactivesupercomputing.com>

	* general/shiftdim.m: Use permute instead of reshape.

2006-09-05  Alexander Barth  <abarth93@users.sourceforge.net>

	* miscellaneous/parseparams.m: New function.

2006-09-05  Rafael Laboissiere  <rafael@debian.org>

	* miscellaneous/doc.m: Swap order of --file and --directory
	options for info program invocation.
